GNU bug report logs - #56706
[PATCH 00/17] Update Tryton to 6.2.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Hartmut Goebel <h.goebel@HIDDEN>; Keywords: patch; Done: Hartmut Goebel <h.goebel@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 56706-close <at> debbugs.gnu.org:


Received: (at 56706-close) by debbugs.gnu.org; 10 Aug 2022 12:29:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 10 08:29:16 2022
Received: from localhost ([127.0.0.1]:46739 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLkpo-0007yZ-P8
	for submit <at> debbugs.gnu.org; Wed, 10 Aug 2022 08:29:16 -0400
Received: from mout.kundenserver.de ([212.227.17.10]:41853)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oLkpl-0007yF-L4
 for 56706-close <at> debbugs.gnu.org; Wed, 10 Aug 2022 08:29:15 -0400
Received: from hermia.goebel-consult.de ([79.211.180.104]) by
 mrelayeu.kundenserver.de (mreue108 [212.227.15.183]) with ESMTPSA (Nemesis)
 id 1N2E5Q-1nOoMN2gko-013deU; Wed, 10 Aug 2022 14:29:01 +0200
Received: from [192.168.110.2] (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id D3E9B5F631;
 Wed, 10 Aug 2022 14:29:06 +0200 (CEST)
Message-ID: <779f6edf-4792-bba3-3f18-ddd051d716e5@HIDDEN>
Date: Wed, 10 Aug 2022 14:28:58 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.11.0
Content-Language: en-US
To: 56706-close <at> debbugs.gnu.org
References: <cover.1658504593.git.h.goebel@HIDDEN>
 <handler.56706.B.165850477414349.ack <at> debbugs.gnu.org>
From: Hartmut Goebel <h.goebel@HIDDEN>
Organization: crazy-compilers.com
Subject: Re: bug#56706: Acknowledgement ([PATCH 00/17] Update Tryton to 6.2.)
In-Reply-To: <handler.56706.B.165850477414349.ack <at> debbugs.gnu.org>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:VWOX0paDka128H37zzPme2b7GNOKxGpXwSkKGYdkZy88DUHIzRB
 ACqVfOhdADI2Fy3wx7bIDnqyfTMVvdMx/3K93x7ezPek17tw8abXLn1LQTiRkzOU47NOBv0
 9k2TsXgWjf/gURbLCVGAH32ysZ8oHmR11qQjBb3x5G6YWnZskuJ7Ik0u5F9iTs+5DyMhwdQ
 9jtt7c+EBy3Ev7uJB00Ng==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:+a2IdWsg3zw=:a2s3zmIloDCEiffFLPzqRm
 zDMhftXWdqHUDqS0J6xNVyAu+yuaVTVUjthVuP6eOFWJpBtYn4D/1ltvPUw+KF3YQBcT6jEHk
 r7paPwKRIbR5J0d49sZ0zYQ4bVwmcjB9HC5Pi/3qUhfzbggx9lYunfBioEPmTWTdqnwvkBw+0
 Cx6/fdvy+C4PNP1NE2bwPBE81dKi6tj4opOGBgls9XTab2GK28ihPN409ZNrUmxcMF42XYCfc
 BLQgK8vxmvilN+PAArpdCWD6hVESgSfEIX/hlYLIgXGyalTQsIz1ovgpUu9A02xvekWHaUlaq
 1eFqQilr5b57NveFzHD8Ju/BXNkdKqhNW+Gp3gzDjM1E3vZdwOpuToIWQiZREBl6G67OFsFmN
 dj8Of0wufy0nEHIeiMuPFnL/7palIsUDQ90nTwswLUeIFnLqyTvpnlitUNQAOYr9Mv3QK+iU3
 yyJyX5D2rrF0rxD3W5h+MNohBOmyCEN3w/DME5ysDv1EL08kXKwn+tFAUFnTJEZAjt4B4FXYe
 AMSM2QvdsaaRsnFyeBiGVX9VlC3Bvuz/CGT8yUskVQgS4Qke1bV0eOpIAC3pNE6r2yafJSdij
 cAwvjdOs/Z/Y4rENeQ15yJ3+HOjNlcanYvq6cB79drNcuTit1ADIta2fWQHKgtj0+CLCx6Zrr
 K198EoeLyZ+5e5w+sMSQ3Z9rqadZlrWEK0eoJrigORh6BwW+bj0x2VjGeCLbVFRghVjn/gqjX
 xFeRsTxyUbGbO+aApXi42aEn+WE4/+e5hm+FEsi9skZ2aQ/U+0DVSWz/Wzc=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706-close
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thanks for the review. I now pushed it as 
62bee0a915ca15dadfc584d7f619f546f5f1256b with updated packages in one 
commit.


-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | h.goebel@HIDDEN               |
| www.crazy-compilers.com | compilers which you thought are impossible |





Notification sent to Hartmut Goebel <h.goebel@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Hartmut Goebel <h.goebel@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 24 Jul 2022 09:26:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 24 05:26:20 2022
Received: from localhost ([127.0.0.1]:46881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oFXsS-0001yw-J9
	for submit <at> debbugs.gnu.org; Sun, 24 Jul 2022 05:26:20 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:53746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oFXsO-0001yj-IQ
 for 56706 <at> debbugs.gnu.org; Sun, 24 Jul 2022 05:26:19 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by laurent.telenet-ops.be with bizsmtp
 id yxSB2700820ykKC01xSBh2; Sun, 24 Jul 2022 11:26:13 +0200
Message-ID: <7d02e898-2f02-da3b-44c2-5fdb6ab4fd36@HIDDEN>
Date: Sun, 24 Jul 2022 11:26:11 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.11.0
Subject: Re: [bug#56706] [PATCH 02/17] gnu: Tryton application and framework:
 Update to 6.2.x.
Content-Language: en-US
To: Hartmut Goebel <h.goebel@HIDDEN>, 56706 <at> debbugs.gnu.org
References: <cover.1658504593.git.h.goebel@HIDDEN>
 <263488960e204b3bfcfefdaed00feb0fb846c3dc.1658504593.git.h.goebel@HIDDEN>
 <c2b5263e-3074-2be7-5cd6-ff486d248bee@HIDDEN>
 <3d9d49fb-b791-0d40-b32b-0ceb4cdc93a6@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
In-Reply-To: <3d9d49fb-b791-0d40-b32b-0ceb4cdc93a6@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------zvRwwuCTY3WPAOtzeukmOk7M"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1658654773; bh=WwoKvF0UHXEXwf5UmdGobnxbuahQl4r2/etujMS7Ie8=;
 h=Date:Subject:To:References:From:In-Reply-To;
 b=A0F8JhQhB0eSqkLaYxl/1cbWtr+2lys3AQvjUmkJFUtBkBk8hnuGZrWt2pScfQBgT
 LuZlctK3ompGCAFi8uHkRaUsuIeU3HwUd2UOBuc6AwIoMeJhchQ32gfPAczoYG6fs8
 KySrOkCmImsTcCDmDk9DyaozWenTGE8Hhue8tWgWH34fH49ycTZffWN5M9i5kDzON8
 Dh2bMK6g6zCdYtfHrmIBlV0MXjPzap2qbKUPX5zz+W7qOwAJFOTs/XGCw3CvTmKSIV
 FTgjwy9KZyPFBAWg5p6dxlMATU13UkCAtF93O9xfvWOsdGMwEMTf/L2etIX9K0TVM9
 OOGIiiBy8N9zQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------zvRwwuCTY3WPAOtzeukmOk7M
Content-Type: multipart/mixed; boundary="------------69OXeCIV61ADiA4IeCc1AGIr";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Hartmut Goebel <h.goebel@HIDDEN>, 56706 <at> debbugs.gnu.org
Message-ID: <7d02e898-2f02-da3b-44c2-5fdb6ab4fd36@HIDDEN>
Subject: Re: [bug#56706] [PATCH 02/17] gnu: Tryton application and framework:
 Update to 6.2.x.
References: <cover.1658504593.git.h.goebel@HIDDEN>
 <263488960e204b3bfcfefdaed00feb0fb846c3dc.1658504593.git.h.goebel@HIDDEN>
 <c2b5263e-3074-2be7-5cd6-ff486d248bee@HIDDEN>
 <3d9d49fb-b791-0d40-b32b-0ceb4cdc93a6@HIDDEN>
In-Reply-To: <3d9d49fb-b791-0d40-b32b-0ceb4cdc93a6@HIDDEN>

--------------69OXeCIV61ADiA4IeCc1AGIr
Content-Type: multipart/mixed; boundary="------------9WieAjliprOCuCZR0BnC0136"

--------------9WieAjliprOCuCZR0BnC0136
Content-Type: multipart/alternative;
 boundary="------------lcsG009zaYO0TrEjQMuM0PHd"

--------------lcsG009zaYO0TrEjQMuM0PHd
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64

DQpPbiAyNC0wNy0yMDIyIDEwOjUxLCBIYXJ0bXV0IEdvZWJlbCB3cm90ZToNCj4+IFdlIHVz
dWFsbHkgYXNrIHBhdGNoIHN1Ym1pdHRlcnMgdG8gc3BsaXQgdGhlaXIgcGF0Y2hlcyB1bnJl
bGF0ZWQgDQo+PiBwYXJ0cyAtLSB0aGVzZSB1cGRhdGVzIGFyZSBhbGwgcmVsYXRlZCwgYnV0
IChndWl4KVN1Ym1pdHRpbmcgUGF0Y2hlcyANCj4+IGNsYXJpZmllcyBpdCBhczogDQo+DQo+
IFRoZXNlIHBhY2thZ2VzIG5lZWQgdG8gYmUgdXBkYXRlZCB0b2dldGhlciwgYXMgdGhlIHRy
eXRvbmQgY2hlY2tzIHRoZSANCj4gKG1pbm9yKSB2ZXJzaW9uIG9mIHRoZSBtb2R1bGVzIHdo
ZW4gbG9hZGluZyB0aGVtLg0KPg0KPiBBbmQgd2UgZGlkIGl0IHRoZSBzYW1lIHdheSBpbiBk
NGQzNzA3MTMxMzcyN2Q4Y2YwY2IxMjBkNmQ0ODExMWFkNGY1NjViIA0KPiAoZm9yIDYuMC54
KSBhbmQgODIzY2NhOGJjZTJkNjFiODQzZDljNTVhOWQzY2I5ZTY5ZmYyYTRjYSAoZm9yIDUu
OC54KS4gDQo+IE9ubHkgZGlmZmVyZW5jZSBpcyB0aGF0IGJhY2sgdGhlbiB3ZSBkaWQgbm90
IGhhdmUgc28gbWFueSBUcnl0b24gbW9kdWxlcy4gDQoNCk9LLCBkb2Vzbid0IHNvdW5kIHdv
cnRoIHRoZSB0cm91YmxlIG9mIHNwbGl0dGluZy4NCg0KR3JlZXRpbmdzLA0KTWF4aW1lLg0K
DQo=
--------------lcsG009zaYO0TrEjQMuM0PHd
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html>
  <head>
    <meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3DUTF=
-8">
  </head>
  <body>
    <p><br>
    </p>
    <div class=3D"moz-cite-prefix">On 24-07-2022 10:51, Hartmut Goebel
      wrote:<br>
    </div>
    <blockquote type=3D"cite"
      cite=3D"mid:3d9d49fb-b791-0d40-b32b-0ceb4cdc93a6@HIDDEN=
m">
      <blockquote type=3D"cite" style=3D"color: #007cff;">We usually ask
        patch submitters to split their patches unrelated parts -- these
        updates are all related, but (guix)Submitting Patches clarifies
        it as: </blockquote>
      <br>
      These packages need to be updated together, as the trytond checks
      the (minor) version of the modules when loading them.
      <br>
      <br>
      And we did it the same way in
      d4d37071313727d8cf0cb120d6d48111ad4f565b (for 6.0.x) and
      823cca8bce2d61b843d9c55a9d3cb9e69ff2a4ca (for 5.8.x). Only
      difference is that back then we did not have so many Tryton
      modules.
    </blockquote>
    <p>OK, doesn't sound worth the trouble of splitting.</p>
    <p>Greetings,<br>
      Maxime.<br>
    </p>
  </body>
</html>

--------------lcsG009zaYO0TrEjQMuM0PHd--

--------------9WieAjliprOCuCZR0BnC0136
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------9WieAjliprOCuCZR0BnC0136--

--------------69OXeCIV61ADiA4IeCc1AGIr--

--------------zvRwwuCTY3WPAOtzeukmOk7M
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYt0QMwUDAAAAAAAKCRBJ4+4iGRcl7iaQ
AQDurDvTPfykABCcJ0Nm2LYnCny5a+aL1Ai/i2EGU8KZxwEAl+FyHvf6pMK1YXhwjEjKCU1DNaQX
YHK2jYAfKPuufws=
=Svkr
-----END PGP SIGNATURE-----

--------------zvRwwuCTY3WPAOtzeukmOk7M--




Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 24 Jul 2022 09:08:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 24 05:08:32 2022
Received: from localhost ([127.0.0.1]:46827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oFXbE-0007hm-FT
	for submit <at> debbugs.gnu.org; Sun, 24 Jul 2022 05:08:32 -0400
Received: from mout.kundenserver.de ([212.227.126.134]:46447)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oFXbB-0007hU-DA
 for 56706 <at> debbugs.gnu.org; Sun, 24 Jul 2022 05:08:31 -0400
Received: from hermia.goebel-consult.de ([87.176.133.28]) by
 mrelayeu.kundenserver.de (mreue009 [212.227.15.167]) with ESMTPSA (Nemesis)
 id 1MlNgz-1nljER3FMr-00ll3u; Sun, 24 Jul 2022 11:08:22 +0200
Received: from [192.168.110.2] (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id B955D5F52E;
 Sun, 24 Jul 2022 11:08:36 +0200 (CEST)
Message-ID: <d40101dd-8bb8-0c0f-58a4-a5fdc102c2d0@HIDDEN>
Date: Sun, 24 Jul 2022 11:08:19 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.11.0
Subject: Re: [PATCH 00/17] Update Tryton to 6.2.
Content-Language: en-US
To: Vinicius Monego <monego@HIDDEN>, 56706 <at> debbugs.gnu.org
References: <cover.1658504593.git.h.goebel@HIDDEN>
 <1037a264876fa6aef19de72e406cea6c6a9040b3.camel@HIDDEN>
From: Hartmut Goebel <h.goebel@HIDDEN>
Organization: crazy-compilers.com
In-Reply-To: <1037a264876fa6aef19de72e406cea6c6a9040b3.camel@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:PcQxdydcLuEZx7K6Q/fmwy/sLj1mgmkUyoA8NqEDZ2nXX7FO8Ir
 FQPtWZDekDelWRmp54ZBitSqe/7Ufj9XJ5scugN/lrww/tICdnafqtppcqVe9qQNF3xnYNN
 lMb5iOxSDqKm47kchYvurHwfs5NKonn/Y8NeBnnoOjGxu3CM7zMRFeZrlOo+Akb8dEtWhZN
 yUENtwgS0KpFTwAETzdrA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:768Ru829KBs=:98JYY7UwydDzBK6IrEKj4X
 SmPTsrPI8XzYP+vJ3hgcMNmwu56Td8qYw5h0KTsz+gip8f/nHy880+8blvfS5NOQfbmd7ZeOQ
 sjskW2JU+Ajq/WfpguUypNaVe+MGH/pfEINdLjK5DFchx7Ot9b4y5WKp2yBvnZ4s02p/U4u3l
 s7v3w6OmhcmGlElD8LpOleR/D4/snxl/8T0o0DLFtwycevLGgr3FfkjDxVXGFcx9nwbIHxqCB
 WOAQp1dH+562ldqHcmz82oyCXfLrs6Ow70PM1hVzX8HBmCr0YwcxIR6FVkWTqLE1KVSTaJYKg
 396FB/+IwTSv7zSmKCJX3qzQtawfKEmBVfSUL8rVyGparEhlx4JyYEX76djLdv3wkTf+CI1gx
 9FbxaSZQQ5gAOQVGw/95+ZFL0CtOVTFrzThk1/LGSf7kxc/Qph5KGtkCS4RPlNEzolMH0WKP1
 9o88dNqEkLiJbsjxM3iHR0TpRHiuucHirshoPW7lFwFBTDfp4tqjGTQ1ZiI1UnMm+r4xSvYPB
 VSgwb5kjILaw1fiYCTOmNqt5Ul2RO6JYxLsE+tiGmx9uELxMhzVr+c8VYMfElTy3LcFhld8Hc
 bXORngwYoL7kvgXr9u7KfX1ZjJ1L25RtBWnUrC6yERg0Lf6rEXHG/gM0vh2LJFOqS47ANnEuc
 jejB2g9WBnEuu3UIn3rewL21puvt8qz2n0POVh+OJj/lOP0mGipRXCbx2Cf9RWrBjmylTMJeU
 OH23gx/uDkLWpRmEn2cJZjI0GeLFuk1qNYQBpg53gcGwNxqnyhVERkJckLw=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am 22.07.22 um 20:27 schrieb Vinicius Monego:
> I'd suggest keeping Tryton at 6.0 to retain compatibility with GNU
> Health, which tracks only the LTS versions of Tryton (minor versions at
> 0).

For the records: I just created https://issues.guix.gnu.org/56733 
„Tryton LTS“ as a follow-up on this topic.

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | h.goebel@HIDDEN               |
| www.crazy-compilers.com | compilers which you thought are impossible |





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 24 Jul 2022 08:51:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 24 04:51:23 2022
Received: from localhost ([127.0.0.1]:46784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oFXKc-0007AG-MY
	for submit <at> debbugs.gnu.org; Sun, 24 Jul 2022 04:51:22 -0400
Received: from mout.kundenserver.de ([212.227.126.133]:44421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oFXKa-0007A0-Ep
 for 56706 <at> debbugs.gnu.org; Sun, 24 Jul 2022 04:51:21 -0400
Received: from hermia.goebel-consult.de ([87.176.133.28]) by
 mrelayeu.kundenserver.de (mreue011 [212.227.15.167]) with ESMTPSA (Nemesis)
 id 1N3KkM-1nYKiA3gt0-010LQP; Sun, 24 Jul 2022 10:51:12 +0200
Received: from [192.168.110.2] (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 1E5445F52E;
 Sun, 24 Jul 2022 10:51:26 +0200 (CEST)
Message-ID: <3d9d49fb-b791-0d40-b32b-0ceb4cdc93a6@HIDDEN>
Date: Sun, 24 Jul 2022 10:51:10 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.11.0
Content-Language: en-US
To: Maxime Devos <maximedevos@HIDDEN>, 56706 <at> debbugs.gnu.org
References: <cover.1658504593.git.h.goebel@HIDDEN>
 <263488960e204b3bfcfefdaed00feb0fb846c3dc.1658504593.git.h.goebel@HIDDEN>
 <c2b5263e-3074-2be7-5cd6-ff486d248bee@HIDDEN>
From: Hartmut Goebel <h.goebel@HIDDEN>
Organization: crazy-compilers.com
Subject: Re: [bug#56706] [PATCH 02/17] gnu: Tryton application and framework:
 Update to 6.2.x.
In-Reply-To: <c2b5263e-3074-2be7-5cd6-ff486d248bee@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:x+xIUo2PbilhiYmVrxPTeTwrpAgMC7qzAXvfreVsqixhH726GhE
 UjKstSl5Jrg54YdJF82CUZGmHEkiUHgnpInUJRIN+NwGvIkDO3fngUzhR8niDR5uPGsToSg
 Y128JsM8aOgYYJICys8ZeY/aMXq+C6K1pBvdFLw8uqTUJI0f7Gpiin26bOH5qDml6fydMFk
 hglZtW9eVnybTu7HpFEOw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:G+ENzqHI9A8=:LsFnDxXd0vQ09eUsV0scip
 AwrYOppwsi5MZ8fSch3OYdOrRELZM61bZUkpsaVnyx7gop28HM3l2h1n0S9TSwswVyo/IdNvE
 WR3KT7YfCmI051GIR1bH1814b7jfykTcO2TwVzmY/v1Oq7c87B3+d5G9hr4dt/D7NqRKkptTx
 TwmtbyGux2PA4MNc0SxEovOkkXi49gHjBTdVQz7oTy+4qVw+SZKf38ayptT4V8SeYcjXU3Fhq
 C73qKj8TQjxmLC+mMcZ5zn5vFmxUO/lzm6XqgJ3bLxNJ8+dOwHl6kdXI30VzWBeyvDnEVbLLn
 +NarQwaU+k97ZQyOYuxj/T/A6Ocunn3KY2uwN+1OY17JuW890mPfr+RrLA21aZ71xpa6o5jmM
 ZkSL0JqmpwQyfQpjz2FNItn4zKL0ersEmurCr8p4xrm72Rq8nKjbWazuOlMqZGlj2Zp5x4EYx
 NrsrMh9YggEfbS190QZjAvLCeKUwM509U8NH2KRQM8H9h9l3ABwptGllxFvZf3+rafDY+6XXG
 2dtULwWqE725eHiwoR+BupZA0iPYmNleniK97iB2YAIXZcJ3atJdbEUU4aSvQsRTC1Z4uBHDX
 5MDqzulblz16HCti6dDD7BNR+YpdDsSof3lUUWgS5Cymp3TdpAQRzuKyhnH+LYPgfoXmGporS
 pVA9nDd4ctt68QvPhDov33Qx2s29Vvy+1tn6Vj13BAfmwbQz79YT/P22/quABXKVbwRPFlJkw
 jXnKcCWBatd7M0s5+KOyap4XP8mpiSMhRRO3pBKgEYLqECM9uprCH0Jat6o=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am 22.07.22 um 19:25 schrieb Maxime Devos:
> We usually ask patch submitters to split their patches unrelated parts 
> -- these updates are all related, but (guix)Submitting Patches 
> clarifies it as: 

These packages need to be updated together, as the trytond checks the 
(minor) version of the modules when loading them.

And we did it the same way in d4d37071313727d8cf0cb120d6d48111ad4f565b 
(for 6.0.x) and 823cca8bce2d61b843d9c55a9d3cb9e69ff2a4ca (for 5.8.x). 
Only difference is that back then we did not have so many Tryton modules.

Of course I can split this into separate commits — and this would even 
simplify my workflow, as well as increase the number of commits 
submitted by me and thus my „fame“. Anyhow, I doubt having 160 separate 
commits would be of much benefit.

The commits have been done with committer.scm, reviewed and then 
squashed using a script. Thus IMHO it;s not worth validating that the 
commit message matched the change. YMMV.

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | h.goebel@HIDDEN               |
| www.crazy-compilers.com | compilers which you thought are impossible |





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 23 Jul 2022 16:11:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 23 12:11:53 2022
Received: from localhost ([127.0.0.1]:46131 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oFHjM-0000o1-PS
	for submit <at> debbugs.gnu.org; Sat, 23 Jul 2022 12:11:53 -0400
Received: from mout01.posteo.de ([185.67.36.65]:51553)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1oFHjJ-0000nk-Sg
 for 56706 <at> debbugs.gnu.org; Sat, 23 Jul 2022 12:11:51 -0400
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id B36F724002A
 for <56706 <at> debbugs.gnu.org>; Sat, 23 Jul 2022 18:11:43 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1658592703; bh=mWMWj7f48jDhthfFvVedO5buQ2zK/fy4ev5Q8YYFLW8=;
 h=Subject:From:To:Date:From;
 b=mdDW3A2kzwjoCgnCbprMNe/fuTSaaN4CMW6UxcU+8QXJjRQGcnthbbPNKvf63FT21
 Qje1dVV1dpqq1C+8nPzg4ifT2ezECidRNcFSzseWtK2Iglyyzq1rE8R6RBFpZTknDJ
 wjw6eINOg4IZgDqamkyTQkZzOFbQr3j+8kTHymtbM9Xajb0RWtuomGT1Z0H51bQV11
 oCUjM7vtxZ7Twue7xAYz5lcCVJDG6iQ6W20Zig8jx4I121dc80HGOpZIxXlJjk25KW
 aUxc1WudW92uLfJTVbHANmm5ifXo73NwygQU12OCRQifq0nt24biQFAFPpG/qxajo2
 daZhlBuEpte5A==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4LqrsR0Fq3z6tmd;
 Sat, 23 Jul 2022 18:11:38 +0200 (CEST)
Message-ID: <cd27b3ea0479062fb93d8955afba1797d43a189c.camel@HIDDEN>
Subject: Re: [PATCH 00/17] Update Tryton to 6.2.
From: Vinicius Monego <monego@HIDDEN>
To: Hartmut Goebel <h.goebel@HIDDEN>, 56706 <at> debbugs.gnu.org
Date: Sat, 23 Jul 2022 16:11:28 +0000
In-Reply-To: <1037a264876fa6aef19de72e406cea6c6a9040b3.camel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
 <1037a264876fa6aef19de72e406cea6c6a9040b3.camel@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Em sex, 2022-07-22 =C3=A0s 15:27 -0300, Vinicius Monego escreveu:
> Em sex, 2022-07-22 =C3=A0s 17:45 +0200, Hartmut Goebel escreveu:
> > Update all existing Tryton packages to the latest 6.2.x version and
> > add the
> > latest version of all Tryton modules new in 6.2.
> >=20
> > This needs to be applied after issue 56701.
>=20
> Hi,
>=20
> I'd suggest keeping Tryton at 6.0 to retain compatibility with GNU
> Health, which tracks only the LTS versions of Tryton (minor versions
> at
> 0).

To clarify a little further, GNU Health [1] (to keep it short, it is a
set of health-related tryton modules) is not yet packaged in Guix. I
did attempt to package it but got stuck in test errors in the check
phase.

The Tryton release process is explained in [2]. Normal releases have
one year of support, while LTS releases have 5 years. Tryton has a huge
package ecosystem and is mostly used in enterprise where LTS is more
important. Tracking non-LTS releases would mean huge and breaking
upgrades at least every year. Also 6.2 will be EOL in 3 months [2].

[1] https://www.gnuhealth.org/

[2] https://discuss.tryton.org/t/release-process/395




Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 18:27:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 14:27:39 2022
Received: from localhost ([127.0.0.1]:42430 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oExND-0008Bj-GX
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 14:27:39 -0400
Received: from mout02.posteo.de ([185.67.36.66]:50241)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1oExNA-0008BS-TP
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 14:27:37 -0400
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id B8E46240109
 for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022 20:27:28 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1658514450; bh=0fWp2ZGkt2Ug8lfRwXIs4+wMQ9wLWaz8IZ9sMAHkxts=;
 h=Subject:From:To:Date:From;
 b=MuZk5Sod8uKGPvmXSmHPK9ftTS8wPL6cOlWyTcywJ8gy3IDhPJ056nbd785txPclA
 k8o0fu3rgQz+P2aArQWA+muo4WrK02gKkhASrjle5RMMhjZksA2/IiUnraGLCIMmku
 /PY6nXcaTFvvFwK2o/S1G/pV5nQZdDZdBF7s1erm/ETvEXJYKb/prfHF//6qa7tQVa
 LkuzZaDdeYwuRJcuf9bq+bX7otnhM5gPr+QCbqjq5oiWrOm+woDPxMCXCUFTWWMGBo
 svIvLRktaRqVGPcQLiDaF7YqN8XMk+K8V3dw36ZofrqFJfcP1jbzF7T62EhZ61rMVF
 5QroZCHus8F1Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4LqHwZ12pVz9rxD;
 Fri, 22 Jul 2022 20:27:25 +0200 (CEST)
Message-ID: <1037a264876fa6aef19de72e406cea6c6a9040b3.camel@HIDDEN>
Subject: Re: [PATCH 00/17] Update Tryton to 6.2.
From: Vinicius Monego <monego@HIDDEN>
To: Hartmut Goebel <h.goebel@HIDDEN>, 56706 <at> debbugs.gnu.org
Date: Fri, 22 Jul 2022 18:27:16 +0000
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Em sex, 2022-07-22 =C3=A0s 17:45 +0200, Hartmut Goebel escreveu:
> Update all existing Tryton packages to the latest 6.2.x version and
> add the
> latest version of all Tryton modules new in 6.2.
>=20
> This needs to be applied after issue 56701.

Hi,

I'd suggest keeping Tryton at 6.0 to retain compatibility with GNU
Health, which tracks only the LTS versions of Tryton (minor versions at
0).




Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 17:25:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 13:25:16 2022
Received: from localhost ([127.0.0.1]:42418 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEwOo-0006Ui-P9
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 13:25:16 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:53220)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oEwOi-0006UP-EH
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 13:25:13 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by andre.telenet-ops.be with bizsmtp
 id yHR32700620ykKC01HR3nF; Fri, 22 Jul 2022 19:25:05 +0200
Message-ID: <c2b5263e-3074-2be7-5cd6-ff486d248bee@HIDDEN>
Date: Fri, 22 Jul 2022 19:25:03 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.11.0
Content-Language: en-US
To: Hartmut Goebel <h.goebel@HIDDEN>, 56706 <at> debbugs.gnu.org
References: <cover.1658504593.git.h.goebel@HIDDEN>
 <263488960e204b3bfcfefdaed00feb0fb846c3dc.1658504593.git.h.goebel@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#56706] [PATCH 02/17] gnu: Tryton application and framework:
 Update to 6.2.x.
In-Reply-To: <263488960e204b3bfcfefdaed00feb0fb846c3dc.1658504593.git.h.goebel@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------EvqP5PRSY785BSxIX8ZiT536"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1658510705; bh=GiGQcaKbHkkFa2/6lEX/XFAcFNKzd37f8ze76JUFw4I=;
 h=Date:To:References:From:Subject:In-Reply-To;
 b=jYQrwEQjyZ52URoyWBOxQEVL+sfB2P+4ycnAf0FC92nKJCrOqc3BbnR/+slS2c/Aq
 MFO5OhswbCUcSQJNUXdvRhu+cTBRy/HSJN4GXvEpHOXADSBPR4Qh73Wva0OvW/K3Y8
 FlPxlBrAUkDNOOIdgC36JBeLuGO6PLEy3zbpz9fwSC/v7KyrtSfjxOfDIzegnQqM87
 PjHqldU7o2axeC0TD2dFWho66CP/6ByDo0SxMeArSsd71Qqh99Eu2e77CWjYmMaJvO
 52p6xgZMxWlWSzzec7EnO8V7LR6Nt3nY2xxsBhLCaqfW+haPU5+zwljKXnWrN0fZh0
 qEFPlLdQFh7/w==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------EvqP5PRSY785BSxIX8ZiT536
Content-Type: multipart/mixed; boundary="------------DvBDtYx0oqfWBPv36XwIrioF";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Hartmut Goebel <h.goebel@HIDDEN>, 56706 <at> debbugs.gnu.org
Message-ID: <c2b5263e-3074-2be7-5cd6-ff486d248bee@HIDDEN>
Subject: Re: [bug#56706] [PATCH 02/17] gnu: Tryton application and framework:
 Update to 6.2.x.
References: <cover.1658504593.git.h.goebel@HIDDEN>
 <263488960e204b3bfcfefdaed00feb0fb846c3dc.1658504593.git.h.goebel@HIDDEN>
In-Reply-To: <263488960e204b3bfcfefdaed00feb0fb846c3dc.1658504593.git.h.goebel@HIDDEN>

--------------DvBDtYx0oqfWBPv36XwIrioF
Content-Type: multipart/mixed; boundary="------------NwF3i30O700b0LEa4keFF6Y0"

--------------NwF3i30O700b0LEa4keFF6Y0
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64

T24gMjItMDctMjAyMiAxNzo0NywgSGFydG11dCBHb2ViZWwgd3JvdGU6DQoNCj4gICBnbnUv
cGFja2FnZXMvdHJ5dG9uLnNjbSB8IDcwOCArKysrKysrKysrKysrKysrKysrKy0tLS0tLS0t
LS0tLS0tLS0tLS0tDQo+ICAgMSBmaWxlIGNoYW5nZWQsIDM2MCBpbnNlcnRpb25zKCspLCAz
NDggZGVsZXRpb25zKC0pDQoNCldlIHVzdWFsbHkgYXNrIHBhdGNoIHN1Ym1pdHRlcnMgdG8g
c3BsaXQgdGhlaXIgcGF0Y2hlcyB1bnJlbGF0ZWQgcGFydHMgDQotLSB0aGVzZSB1cGRhdGVz
IGFyZSBhbGwgcmVsYXRlZCwgYnV0IChndWl4KVN1Ym1pdHRpbmcgUGF0Y2hlcyBjbGFyaWZp
ZXMgDQppdCBhczoNCg0KIMKgIDEzLiBWZXJpZnkgdGhhdCB5b3VyIHBhdGNoIGNvbnRhaW5z
IG9ubHkgb25lIHNldCBvZiByZWxhdGVkIGNoYW5nZXMuDQogwqDCoMKgwqAgQnVuZGxpbmcg
dW5yZWxhdGVkIGNoYW5nZXMgdG9nZXRoZXIgbWFrZXMgcmV2aWV3aW5nIGhhcmRlciBhbmQN
CiDCoMKgwqDCoCBzbG93ZXIuDQoNCiDCoMKgwqDCoCBFeGFtcGxlcyBvZiB1bnJlbGF0ZWQg
Y2hhbmdlcyBpbmNsdWRlIHRoZSBfYWRkaXRpb24gb2Ygc2V2ZXJhbA0KIMKgwqDCoMKgIHBh
Y2thZ2VzXywgb3IgYSBwYWNrYWdlIHVwZGF0ZSBhbG9uZyB3aXRoIGZpeGVzIHRvIHRoYXQg
cGFja2FnZS4NCg0KKGVtcGhhc2lzIG1pbmUpLCBJIGFzc3VtZSB0aGlzIGFsc28gaW5jbHVk
ZXMgX3VwZGF0ZXMgb2Ygc2V2ZXJhbCBwYWNrYWdlc18uDQoNClVubGVzcyB0aGV5IG5lZWQg
dG8gYWxsIGJlIHVwZGF0ZWQgYXQgdGhlIHNhbWUgdGltZSwgaXQgc2VlbXMgdGhhdCB0aGlz
IA0KcGF0Y2ggc2hvdWxkIGJlIHNwbGl0IGZvciB0aGUgdXN1YWwgcmVhc29ucywgdGhvdWdo
IEkgZG9uJ3Qga25vdyBob3cgDQoiaGFyZCIgdGhpcyBndWlkZWxpbmUgaXMuDQoNClRCQywg
SSdtIG1vc3RseSBkb2luZyBvdGhlciB0aGluZ3MgdGhhbiByZXZpZXdpbmcgYXQgdGhlIG1v
bWVudCAodGhvdWdoIA0KSSBkb24ndCBleHBlY3QgYW55IHByb2JsZW1zIGFzaWRlIGZyb20g
dGhlIHBhdGNoIHNwbGl0dGluZyBjb252ZW50aW9ucywgDQpidXQgdGhlIHN1YmplY3QgbGlu
ZSBvZiBwYXRjaCAwMy8xNyBzcHJhbmcgb3V0IGFzIHVuZXhwZWN0ZWQuDQoNCkdyZWV0aW5n
cywNCk1heGltZS4NCg0K
--------------NwF3i30O700b0LEa4keFF6Y0
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------NwF3i30O700b0LEa4keFF6Y0--

--------------DvBDtYx0oqfWBPv36XwIrioF--

--------------EvqP5PRSY785BSxIX8ZiT536
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYtrdbwUDAAAAAAAKCRBJ4+4iGRcl7gkR
AQDDfdnZBnfRp0ChkYsdg51/Kqdy0CMonF/bzD5lVkdANQEAxLUQkSlR0mfB3SUFrVasMOFvwB7a
ay3o3ySeDcBkwA4=
=jqrN
-----END PGP SIGNATURE-----

--------------EvqP5PRSY785BSxIX8ZiT536--




Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 15:48:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:48:59 2022
Received: from localhost ([127.0.0.1]:42324 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEutf-0003tp-3z
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:59 -0400
Received: from mout.kundenserver.de ([212.227.126.135]:48809)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEutY-0003sh-Kj
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:53 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue010 [212.227.15.167]) with ESMTPSA (Nemesis)
 id 1MeTkC-1ngg0J0BQC-00aRP0 for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022
 17:48:47 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 490676662A;
 Fri, 22 Jul 2022 17:48:15 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 56706 <at> debbugs.gnu.org
Subject: [PATCH 17/17] gnu: Add trytond-web-shop-shopify.
Date: Fri, 22 Jul 2022 17:48:03 +0200
Message-Id: <bd62c86ca6a153724d73089dc4836db24947a995.1658504594.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:1TBxHFfDwt4mXubtv2WwMhVKih5IdWK22UV/LzLbNPq1YgzDZ6X
 RgnwSSKiFkR4Q/EXwv7PZYIB4UGy34X0onwYNUERBqCMcpuhCWSwdlrALpau/Wubd8Zkt+/
 LYOr5uFjeimOg9NgV9+palyR5Y73ZAkS5qiLD1DnHtj7OUAg09MkgrbbQjDSahPS9Am/ATb
 2GKZM1mt1I3MNW5xDW7mQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:EZ17G4nBrJU=:Y3IPJutSisZ284h+DU1YCN
 wwXBoaGu+1jGCSOAt1bPBtQlp7PtQQePyNSGBuyb15MY2PvdrJ/Uadnnw5cZyNxFx2Cgq+MDZ
 rZ3dumPL2/qJKcIhSA1NMrhyweL+wqG2Juwm7mpUZw9n4y7E1w23MoXugxr74tWQVGIm2A3v2
 jNJ22GJKrG3qA7CCy2mTWiAL+uamVfe1WesXIMiBfoXgD10BuQW+f1RU1k9GMsrc78qZyg8MG
 7TLxJK9itsrhRij6D4/91NyADVa2OIjbKnX8Uh1CMvqnu0GrK3pkMUqbCpV+2Gb8OcVSpiD+f
 pezSMYAeo6ml6bu1EbO22MPBqpj2lgg8z7pgzVWMcN0RSd7HspRcDajW/iE5O1EJluHF6PwMW
 0jwIMLoKZqYAo7mWym8RUhwFBm98wBvKA9UlioTCASWCQFDAIFJTYpcfooCxh9hSyfstyj322
 9P6NrJNh6WuJe/YnDeDRCjPjkOPFr86aDbXeuqs2QwMpmxP8iRxWY4Dcjd9B4HgIf1HfkIfON
 BxJxEfln1feH/22bQPd+Vs96mu/Lxj5FQpu1h7XHS/h43Eck3Hp+S14cJK4/9+Yv0N+A7OwDj
 x8xOHp2SVJ3CsJqCttGvnyLZXoUMWU/tlEFaq2CemmXf6Dda7wSyZ847IqnKqyqA+1EsIj5OH
 oKxYyItwmYe70t4WZ8VcquEZhaExFk//1unl3MLZzouoxNg++kwf7zxSLq7A60JqIA4LFdcac
 n7gQ0+omhSCpiFrHXjQlIvEDCrxZ+hyZ580CP5R256ygwMIID/y/vB40v3U=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tryton.scm (trytond-web-shop-shopify): New variable.
---
 gnu/packages/tryton.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/tryton.scm b/gnu/packages/tryton.scm
index 8385c5fd5f..8e561cad45 100644
--- a/gnu/packages/tryton.scm
+++ b/gnu/packages/tryton.scm
@@ -4508,6 +4508,39 @@ user for a period of time only.")
 configuration of an online web shop.")
     (license license:gpl3+)))
 
+(define-public trytond-web-shop-shopify
+  (package
+    (name "trytond-web-shop-shopify")
+    (version "6.2.2")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "trytond_web_shop_shopify" version))
+              (sha256
+               (base32 "1nd2wnzr6cibqcsidk0k98iy4vs7dy7crhld60wkbza8pgc23hc4"))))
+    (build-system python-build-system)
+    (arguments (tryton-arguments "trytond_web_shop_shopify"))
+    (native-inputs (%standard-trytond-native-inputs))
+    (propagated-inputs (list python-dateutil
+                             python-pyactiveresource
+                             python-shopifyapi
+                             python-sql
+                             trytond
+                             trytond-account-payment
+                             trytond-currency
+                             trytond-party
+                             trytond-product
+                             trytond-product-attribute
+                             trytond-sale
+                             trytond-sale-payment
+                             trytond-stock
+                             trytond-web-shop))
+    (home-page "https://docs.tryton.org/projects/modules-web-shop-shopify")
+    (synopsis "Integrate Tryton with Shopify")
+    (description "The @emph{Web Shop Shopify} Tryton module provides a way to
+manage @emph{Shopify} stores.  It uploads products, variants and collections
+to Shopify, and downloads orders, transactions and creates fulfilments.")
+    (license license:gpl3+)))
+
 (define-public trytond-web-shop-vue-storefront
   (package
     (name "trytond-web-shop-vue-storefront")
-- 
2.30.4





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 15:48:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:48:59 2022
Received: from localhost ([127.0.0.1]:42322 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEute-0003th-Qt
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:59 -0400
Received: from mout.kundenserver.de ([217.72.192.73]:49701)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEutW-0003sZ-9e
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:50 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue106 [212.227.15.183]) with ESMTPSA (Nemesis)
 id 1Mbj7g-1ndvuc352M-00dHIK for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022
 17:48:44 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 3C38E66629;
 Fri, 22 Jul 2022 17:48:15 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 56706 <at> debbugs.gnu.org
Subject: [PATCH 16/17] gnu: Add python-shopifyapi.
Date: Fri, 22 Jul 2022 17:48:02 +0200
Message-Id: <5dbd1e9bd7fc0537845f3b22d8576541554588cc.1658504594.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:FHQi9TgrD3SL6DUJzlQHYEINgKAJONq3D8BUDKeR8lycZMXsJwm
 OmIislMWzQ+b6KGwaY7h6DiRjqr9w0ABVnjS+cU+I9nOBE+XW+cuAvVITbtDQna/mPDAvTl
 jPSbHCPUj8aUs5gONYFm9p3eoWPdMWSGzOeLZbrDjgymEokNFYnsJLCuOfpba/5xGwvzobJ
 h6Sep5RSVRRu/H6APvxOA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:51BBQZMqOu8=:zSTLOj7IkXH7mEUBi8qh9T
 u0sNJzAVt/BLDtU2x39wT3KRV9gXftBTiJXYk2+nwFAe0jtDlji477bnZUqe8fhEdFwj7dQ/A
 n9VkBLkqm0pVzMWnqjX5me3zCjcwwbhKVgUpyspD/itwUCcwCOewGGG8LKxnbhE4EguQKeh8p
 FuO1vrBgc8R6vTkecKFdT6wYSceTBLHeHO0VzhOoXSQs+8mLZwZHo0A7NEXm0DpdNNnpc1cTA
 1W6IJtmXH4xU/GJJU4dwmTsxXG1V/lQjAL97a2d1KPOuPbWiHMNWtQqjwOW08/0mNlUQQvCV/
 riiiQ1TrnIljYLjIjDq36nJP/S1NA33gIGB92qcrSSLWLuAV1gBu57Zu81K4VNMZlLrDSMaoL
 EZ/o3kJxxDCPOOaaiPCbJKuIQU0p6Md/4/YkB3JFpioRyrCgyNHL4esJMRrYm1m347d5VyDJB
 MQfhfdLqhO4009KTSgNn6MtvB59q2+0ghQdIu790cVXFhoAm6X5mJiViYDd72ETxuM+P9ICSI
 Fx0Mn5Saxp6MrFhlDDrouN+gSboEfK+wE7AmICNX78M83tV4dCct907dVuaw1Tt12+yImKJGI
 1Z3II2E8S30jbG9WjpCVBjrQMuza2TTMZGO+L5lcfBZBsIm7lY1TLJ/HrnQ06mHkO0jM90J2v
 jHPofNmZKMFvNIFoh5kAC+bCRVP8VZYPyAXfEP+MuZzjvMWIDeIVsxfSREI2ZnaRyd5ce0KKV
 syF3W9uFj7kc+5X4hIB4SNxLeV5x8x9//up2wTgbl7GHTxLM8ZUuxOZSQ20=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-web.scm (python-shopifyapi): New variable.
---
 gnu/packages/python-web.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 07e6625964..ee722346b6 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -7638,3 +7638,26 @@ code- and protocol-based conventions that make it easy for Active Resource to
 infer complex relations and structures.")
     (license license:expat)))
 
+(define-public python-shopifyapi
+  (package
+    (name "python-shopifyapi")
+    (version "12.0.0")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "ShopifyAPI" version))
+              (sha256
+               (base32
+                "03np9mkycqbw5l5vk0srmq353q3vmbycbbarzv0cg3z703p81gnb"))))
+    (build-system python-build-system)
+    (native-inputs (list python-mock))
+    (propagated-inputs (list python-pyactiveresource python-pyjwt
+                             python-pyyaml python-six))
+    (home-page "https://github.com/Shopify/shopify_python_api")
+    (synopsis "Shopify API for Python")
+    (description "This package provides the Shopify API for Python.
+
+The ShopifyAPI library allows Python developers to programmatically access the
+admin section of stores using an ActiveResource-like interface similar the
+ruby Shopify API gem.  The library makes HTTP requests to Shopify in order to
+list, create, update, or delete resources (e.g. Order, Product, Collection).")
+    (license license:expat)))
-- 
2.30.4





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 15:48:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:48:58 2022
Received: from localhost ([127.0.0.1]:42320 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEute-0003tf-Hj
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:58 -0400
Received: from mout.kundenserver.de ([217.72.192.74]:55733)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEutU-0003sL-0V
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:48 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue106 [212.227.15.183]) with ESMTPSA (Nemesis)
 id 1Mc0Er-1neD1p1ij1-00dY44 for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022
 17:48:42 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 3158966628;
 Fri, 22 Jul 2022 17:48:15 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 56706 <at> debbugs.gnu.org
Subject: [PATCH 15/17] gnu: Add python-pyactiveresource.
Date: Fri, 22 Jul 2022 17:48:01 +0200
Message-Id: <f82c90090088382da1e84d66123e0329f5810a27.1658504594.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:ZuvQnJ3QSRQR4oDrqKS9yUq+54BOBFoZe/AumsJeyqU+A7q2lAt
 OQwmlRmvrt404IVc3OaaNo7G4bRKoUZ8qF8S1nkhUGgsMVFeGayNrx/J+yAZUgim+J4d6DC
 GMYyk5K8jdRFx9Y3M0bpyF1b3bgQl4VFKvDyF8Lq4Xyn/hphXnf71kkSnwqKz60QA2sWbGI
 cZeub4IMCkJYRJPacvi4g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:e81E4pIudBs=:LTkiczTE21DRDPPEZY3k3m
 vvfsFC4k8qEvTKWHx6GlJ3EO+izT//OznspJRfmXUX80gZwIkd6I3mwboXLcPW8/WkWajSNSB
 uf2S/nzbZZU1qAqb/gjdJYXQiIVsxeUj6BVaP7WXRh5x5DTwtElJiIKL7hIj+WANBL5V+Arjo
 sC0Gu2aKBJlJpLJB+hR5Q6pX+c9ljIKFiIHpxpkf9OMLEXP8F2uu+R+4XxCT6z/AKRUD3cXwo
 0Y+yTawD0t28Xv8vM+3/C+axG1E4qDwaM+PGlnpfvxiNk10LSVfp9icHgSC4xbydVdeshj41Y
 6NcY2/VSDBP3dWm1gLG2xQ/TmQu3PDxxJgiIOenU85IMAbmvMqQViwoAgNO+8upcrdk61QmTd
 ANwrXp9/h+WxuoMc3Fgfd9pcalD02wYu5g+r6b5CjwzSMCwPxJu19J+iJtMIWnbT/D7hS0Bq5
 ddEtYlNBtbj8Swbxt3luHKe4dH850R2DglpL36SwG+3TX0OaZUBkP94Ev7LmB3B9uA61vVFD2
 dUHxGMuIxVp115d92mPgoW91LBvHhGndm8LPTLXapb6GKzxJlWW47bWxMdMKgmWavAvLE1Q9Y
 Erg+UbBYTcqAPRgYzaD5iWv8v/Xn7EBtlfa7LezqlQgS5Zu/tjw31dw0Myeo7Z1xz0AAfPN0G
 GZKv88DxRXOY6GMm6U9yCxNTeLSXlVXzgFMuQCTyVt/Xd9bBUHMOLliGinvUA3ZDYd0Czg6kE
 6gg6MrHkIK5PkvQqIBL2gDpM1hh1UV4qqOPgNGDK0NLSLH+8YMLpAMPxbDU=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-web.scm (python-pyactiveresource): New variable.
---
 gnu/packages/python-web.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 5e1bc8c7aa..07e6625964 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -7611,3 +7611,30 @@ resources using Web Application Description Language (WADL) files as guides.")
 SendGrid Web API v3.  Version 3+ of the library provides full support for all
 SendGrid Web API v3 endpoints, including the new v3 /mail/send.")
     (license license:expat)))
+
+(define-public python-pyactiveresource
+  (package
+    (name "python-pyactiveresource")
+    (version "2.2.2")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "pyactiveresource" version))
+              (sha256
+               (base32
+                "1n7xvzh1j8fxal0gx9bgg1ayrp3q9mb1a2vb12d6s86wa93880rg"))))
+    (build-system python-build-system)
+    (native-inputs (list python-dateutil python-pyyaml))
+    (propagated-inputs (list python-six))
+    (home-page "https://github.com/Shopify/pyactiveresource/")
+    (synopsis "ActiveResource for Python")
+    (description "This package provides a Python port of the ActiveResource
+project.
+
+Active Resource attempts to provide a coherent wrapper object-relational
+mapping for REST web services.  It follows the same philosophy as Active
+Record, in that one of its prime aims is to reduce the amount of code needed
+to map to these resources.  This is made possible by relying on a number of
+code- and protocol-based conventions that make it easy for Active Resource to
+infer complex relations and structures.")
+    (license license:expat)))
+
-- 
2.30.4





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 15:48:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:48:49 2022
Received: from localhost ([127.0.0.1]:42316 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEutV-0003t6-6k
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:49 -0400
Received: from mout.kundenserver.de ([217.72.192.74]:48017)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEutR-0003sI-MF
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:46 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue109 [212.227.15.183]) with ESMTPSA (Nemesis)
 id 1MUXlG-1o65Bg0GCu-00QSgC for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022
 17:48:40 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 26A2066627;
 Fri, 22 Jul 2022 17:48:15 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 56706 <at> debbugs.gnu.org
Subject: [PATCH 14/17] gnu: Add trytond-stock-package-shipping-sendcloud.
Date: Fri, 22 Jul 2022 17:48:00 +0200
Message-Id: <37830342f1cb6516dbcf8b572a9530f74c56caf3.1658504594.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:C3KUnyaC7ip2GgTEwUdkkHalsDcxYgqGF3bCyMrJc14dQRLXoBC
 4Pm/r8jdF3OW3ziERvlcSO+ATqa9oOqUAZMcixUic9lhKrtoL4vY2G6QghfCEReuWy/ds23
 F68Dij+0rE3zBuPDvOuuYQTD7++LfzwAn3NZX0grpFcpsael2/05Y/rP61rgXiv027iu1c3
 Pr3nGpK2GVqNj3ottVvMA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:PFajrqT/ePc=:r1DFj+sUF+PelYhq6AlGxh
 a1ZAenkdQjOABGqvcOM2fc5afLtHDvkYzkigM+6TKl/zZsAGBWp3emOQ2XZYs4Ros+ml0YYfK
 ZRCO6X2fr+BYTbPVU2etr8/kT1pmydBTv5S1tnPsvdOW5Iwcwd2lx5bH6lPycUK4Klc7HqRM1
 A2lffPFmFYmADTKullkD2L5eq0ZH1us4tnb5pOOYytyuAun+N7fjrc2hJE3X7kKRruBo+Kcsr
 JZcQZmK1qP9AZt52v8LBMrgc+uineumPTBzmyJeIadSq320gQDL+3vCb4SA1M/I5p7hSFWrVc
 ACe0Z5xoQYJ72afBucG/CXnHd3xFeWc/O+zM247TLQTrnFe7W8VB7LXIn6j7+UsfeL4aJSKzP
 7ahjXePaV30Pa0QgSJiMemLlwPKqIrECxoiEJXIV7VgihSw4p1Un+jrM+25wLCepM8keDKpF+
 DXLpi7FcFMl5jidiLGPxNuFVhDuaNP3FuqB2cBWpGmSI88w9f441WtLB2teRQ3JzwQVYlKwAy
 THjrxJvxtpN7E9+rMju4/fjQv3i/XOkTfXPuoikGcUzhdyUdK2ByoPmNOHPuABp8Td4eJ95zT
 afacTZI2DEcXxC0LSxuy4sIP2/YwQlGdS6/Tloa3X1BbpuQr1d4HxPC8KXs68twqfYUQ1rSBJ
 4puT+KUGh7jO8J3a0VCkzg4biptlaN2sGWt8+XRmLbzYicxkdsKuFS493c39oyEmR9YrMiQLf
 Q/6zyJlNgvoDli6QkjsWOZ0ctO+sZACPBDTwqK1LastQUmnUTfzXOTYEVWU=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tryton.scm (trytond-stock-package-shipping-sendcloud): New variable.
---
 gnu/packages/tryton.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/tryton.scm b/gnu/packages/tryton.scm
index 2b35653142..8385c5fd5f 100644
--- a/gnu/packages/tryton.scm
+++ b/gnu/packages/tryton.scm
@@ -4087,6 +4087,35 @@ different web services, the module supports:")
 package labels to be generated for shipments using MyGLS webservices.")
     (license license:gpl3+)))
 
+(define-public trytond-stock-package-shipping-sendcloud
+  (package
+    (name "trytond-stock-package-shipping-sendcloud")
+    (version "6.2.1")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "trytond_stock_package_shipping_sendcloud" version))
+              (sha256
+               (base32 "1hvlyrdz1nv1l06qrdj1np8yfyip8hhw0l7wbin1rab63hbxa8rf"))))
+    (build-system python-build-system)
+    (arguments (tryton-arguments "trytond_stock_package_shipping_sendcloud"))
+    (native-inputs (%standard-trytond-native-inputs))
+    (propagated-inputs (list python-requests
+                             trytond
+                             trytond-company
+                             trytond-party
+                             trytond-product
+                             trytond-stock
+                             trytond-stock-package
+                             trytond-stock-package-shipping
+                             trytond-stock-shipment-measurements))
+    (home-page
+     "https://docs.tryton.org/projects/modules-stock-package-shipping-sendcloud")
+    (synopsis "Sendcloud connector for the Tryton application platform")
+    (description "The @emph{Stock Package Shipping Sendcloud} Tryton module
+allows package labels to be generated for shipments made by any of Sendcloud’s
+supported carriers.")
+    (license license:gpl3+)))
+
 (define-public trytond-stock-package-shipping-ups
   (package
     (name "trytond-stock-package-shipping-ups")
-- 
2.30.4





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 15:48:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:48:49 2022
Received: from localhost ([127.0.0.1]:42314 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEutU-0003sy-SO
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:49 -0400
Received: from mout.kundenserver.de ([212.227.126.187]:52385)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEutP-0003rp-D8
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:43 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue009 [212.227.15.167]) with ESMTPSA (Nemesis)
 id 1Mi2BV-1nbTT238pl-00e1wh for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022
 17:48:37 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 1D65C66626;
 Fri, 22 Jul 2022 17:48:15 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 56706 <at> debbugs.gnu.org
Subject: [PATCH 13/17] gnu: Add trytond-stock-package-shipping-mygls.
Date: Fri, 22 Jul 2022 17:47:59 +0200
Message-Id: <3c94da266728be400fe6f9a9e31ab50dbc902626.1658504594.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:C2RsBu6Hs9BDuApJX6EkdU85sXsccUQw3UOXpDhPjwJExQDxyRk
 +uk+ftU8NpyoQgG3YbeQ4KhiCnYA3LxpT2SUoZZcEpHsDm4J4vYd9MXf8QX4OhX0bsBy8iI
 5qWWAlg1kmfcwKWnLrfzu6iQJLnBwGTzjyrtTh2AgE1Fw5h2UCHDycRFHXIyf8jDVQXrPaR
 aOFRW724JRFYH8qkBfMLQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ltoYUBxuzpE=:8HzwL//mQUHDwPdfkqO2TL
 L3Mu+8Vk8PuPGPPuryTH/C6SDr9W/qefLIUV2TFfEHd3oAo8FEVN3xufR4uB+WvCuqSqZ/8WX
 uRHH62rMUXh3MG0AWn/N3wBqi2Epxm5mD7fTLmsdEQD8cOBC0ZdPruo478cJvQgC65RtjLkSZ
 3VpaYUnkSHHMm9DRdWnWic1uiJBrcmpj0Wj22LgXikpT3h5osyWw310SCZ/NPbmVgiNBHAogw
 RAMZDXGynbQs6xvwtuKD2NfY4TqgYkP7EnMCaWsHxnV8gINr9CRyqEkJeqDPbfTJMS/h+D36O
 lY1a1iLKOqR1YbfcleYJS9KSsMMuhxYE+tPwG2G72CaOe0QB9LfQG8317oRnjF+ez15ouLB9O
 2nQ6JX09soCvr6+fKxytstmx56RmRp37VHZQ3BZMeecpfYjWl2CJ+mFzOhOA7jXpvBK0CkPJL
 lLDrSkw6K8pVMZPMYoYIceRMVwkskQaIhkHOo0ngVDbGYSjHoUwPCfWhRS+7/YVzQB3m871ea
 TiHTC+yx4RqaCtNlUz7dLZlIsGDomTDnG9890Z6oHN5ormZV/tqvYt7blaf05CwO/KZV+21C6
 0PDPWfwIKexr9blWNFXjTLgCvfjeeESJLD9SKmgmXboFCpupdDp/yxx4ZoDFFJsXr3FCq2vig
 RFptwFxkgc/dZUxWgux9f5yDv6u9jNGS7gG63elYcflUuEKPS5TjdsQ6FLZXnId7BPSvnbf6p
 SEx1Cx/YtuSXJW9UrzZVhsGsQnUgzYsp4Rok+4aSPsEE8GS7CG0u2DiNz8o=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tryton.scm (trytond-stock-package-shipping-mygls): New variable.
---
 gnu/packages/tryton.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/tryton.scm b/gnu/packages/tryton.scm
index 15602c5fc7..2b35653142 100644
--- a/gnu/packages/tryton.scm
+++ b/gnu/packages/tryton.scm
@@ -4062,6 +4062,31 @@ you to generate the DPD label using the DPD webservices.  DPD has many
 different web services, the module supports:")
     (license license:gpl3+)))
 
+(define-public trytond-stock-package-shipping-mygls
+  (package
+    (name "trytond-stock-package-shipping-mygls")
+    (version "6.2.1")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "trytond_stock_package_shipping_mygls" version))
+              (sha256
+               (base32 "0pwq720mqv473s5aqib89z5bjdl127l8nqw91prxsna82bm16kv2"))))
+    (build-system python-build-system)
+    (arguments (tryton-arguments "trytond_stock_package_shipping_mygls"))
+    (native-inputs (%standard-trytond-native-inputs))
+    (propagated-inputs (list python-pypdf2
+                             trytond
+                             trytond-carrier
+                             trytond-stock
+                             trytond-stock-package
+                             trytond-stock-package-shipping
+                             python-zeep))
+    (home-page "https://docs.tryton.org/projects/modules-stock-package-shipping-mygls")
+    (synopsis "MyGLS connector for the Tryton application platform")
+    (description "The @emph{Stock Package Shipping MyGLS} Tryton module allows
+package labels to be generated for shipments using MyGLS webservices.")
+    (license license:gpl3+)))
+
 (define-public trytond-stock-package-shipping-ups
   (package
     (name "trytond-stock-package-shipping-ups")
-- 
2.30.4





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 15:48:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:48:48 2022
Received: from localhost ([127.0.0.1]:42312 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEutU-0003sn-G8
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:48 -0400
Received: from mout.kundenserver.de ([217.72.192.73]:39967)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEutN-0003rh-Bh
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:42 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue109 [212.227.15.183]) with ESMTPSA (Nemesis)
 id 1McY0J-1nelGI1u2v-00czrg for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022
 17:48:35 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 148B466625;
 Fri, 22 Jul 2022 17:48:15 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 56706 <at> debbugs.gnu.org
Subject: [PATCH 12/17] gnu: Add trytond-sale-point.
Date: Fri, 22 Jul 2022 17:47:58 +0200
Message-Id: <72603e2a6dd76da8e17e93d61621eb2f2ad67e43.1658504594.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:PFEReQnWQ7bEuuiKYm4uOt+Wz82ERvQOOVQDObCi6UFU2QT5zUQ
 YAmdxP5sT7RHSw0bO6LPr+0ubhjDPkaw5N6OcAYtWzNnSQwfPxFCboxMblXkeloQWV2u+NO
 Y6GteBx8Q3avP0taHx+eUtA4/V7+8zGmqaAZvr5qf8Ehf3ZhjJTaA1foWs+31ATwmvG7Iny
 rC11YVh5x1oiS1ABkva0g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:JF6WIPgD/fc=:YIC8pMS/+/DjCZi+qwjXUg
 6/wZR4d8uKh2V6dXaPm1g4TXxol4HuiKtmSE6Os26hg9qK0VZqdOieS8mxsDemzfGwV1HvXIa
 HRoFnmr9zgJXuuwjIfL5cfuYYgPzMphZ8J9Y5Tcq900av5eCNnaBAx6eBJVnYaMnwoEQ85YcT
 mFHv8k9iiRckma3mW1S+2CuZ6SgTSjZVxRxU91P386fTQKuS9hoRZMN6oeHeqhrrJ4s76v5PU
 zBGmnYtlQ9tM9RM+aPZAm1VgOB8i2AfLNTsq8iqtXXzPbLlW0WJw3Jpa7cIs8Ji8KD6zwQkfj
 TbaUA5bqAnPkCBoaV0FxBMKK/p+bPTdWT95GWWfHPOOjMBcq8n3E7emJgW8y/6+SoC15GnZ96
 LboI8SqfW6AWMw4IVMhrIA9HV85LeMqMvcY+LmZOzmYredCLe75+FlAj/jXu+oh9Zpdg65pCh
 YiNW94p6t3MM07lI+jB0dQQxaMhNa9QHoNsBekjhgrk8HOZARss6E8yZIuUE0Yz5h8U2C9HOT
 oBqs+2P8dXiNLKYMExw2VCkyR/2ljhl3y1ZeDkn13Zcw2AuFL0qggoWdJmH9MFNGz4om1oyeu
 CdXS/6hGzLIcZM7Eh45Tg/MKZ6byEjFUFkH5Xq2fqUno08p40pC/tbaQxBhnBDiQuYC3+IsOi
 h9xMmZoAdjjlF7errhrO0wHQ42+MnInKTm69QsynD/HIV/JB6CoAMZ8c/XSZWhOXyqybBbLsX
 Ik/iXDDQukzLB5m4YFc0jMVSDVZrythK2xm0DJfpnJStuVW/x0MlIGV/CRI=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tryton.scm (trytond-sale-point): New variable.
---
 gnu/packages/tryton.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/tryton.scm b/gnu/packages/tryton.scm
index 9df1d9846b..15602c5fc7 100644
--- a/gnu/packages/tryton.scm
+++ b/gnu/packages/tryton.scm
@@ -3353,6 +3353,33 @@ lead/opportunity model.")
 payments prior to the creation of any invoice.")
     (license license:gpl3+)))
 
+(define-public trytond-sale-point
+  (package
+    (name "trytond-sale-point")
+    (version "6.2.2")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "trytond_sale_point" version))
+              (sha256
+               (base32 "0brysadw75rm80yk66wq68gqkyb28zk65sw530fyacx9ma0sq0pj"))))
+    (build-system python-build-system)
+    (arguments (tryton-arguments "trytond_sale_point"))
+    (native-inputs (%standard-trytond-native-inputs))
+    (propagated-inputs (list python-sql
+                             trytond
+                             trytond-account
+                             trytond-account-product
+                             trytond-company
+                             trytond-party
+                             trytond-product
+                             trytond-sale
+                             trytond-stock))
+    (home-page "https://docs.tryton.org/projects/modules-sale-point")
+    (synopsis "Tryton module for Point of Sales")
+    (description "The @emph{Sale Point} Tryton module allows retail sales to
+be handled and recorded.")
+    (license license:gpl3+)))
+
 (define-public trytond-sale-price-list
   (package
     (name "trytond-sale-price-list")
-- 
2.30.4





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 15:48:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:48:48 2022
Received: from localhost ([127.0.0.1]:42309 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEutU-0003sj-5b
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:48 -0400
Received: from mout.kundenserver.de ([212.227.126.130]:34755)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEutK-0003rY-PB
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:39 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue012 [212.227.15.167]) with ESMTPSA (Nemesis)
 id 1MgzWP-1naNXY0XPB-00hLOv for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022
 17:48:33 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 0BFC466624;
 Fri, 22 Jul 2022 17:48:15 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 56706 <at> debbugs.gnu.org
Subject: [PATCH 11/17] gnu: Add trytond-product-image-attribute.
Date: Fri, 22 Jul 2022 17:47:57 +0200
Message-Id: <35b4212d9b257af47df61d927ba887a6c896297c.1658504594.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:zhp93R59C8AST1x0fJE7OUHykm+OiJ+HEfz2pJEQBd5wn/EZLx5
 /giyg4qMeXM+6Hk2+7IoUQ75fi5qdAE4sIJHTNLJR1r0O3y7ceoyo9Tu+ZYq2k2MxVunqtC
 ocMjv+jCHkMS0kjb/B2aoDHOPooW10K0yYZQPKCkWu5O8SomX0STfTW+LioyTmyRIbLvmZR
 0HnfNyyMV+P4IeCdHcVLw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:zdY1mArigSQ=:G99GahngtW7wqSUm0d9fc3
 WUzVoa2A0pSHyM8FTqLYuOrRfQfOgIf7P3Bge+D+bsoFkcPKlMHAHEckJ9hsn+dJBH6oFyYIW
 szF3ZUwAXlfiZ/q48W7D7PPC5+6wQBYUHox4AnpYFiCigA7qklywxHV0JGMPP6iVphOx3YZ8b
 EWa213vQLLvQ8FMhuXAmL/9urerTV8WUgC4D12wLKek2wfLrBGvdJolWYOgfhDUM0AYGKeBOV
 6M3yodCh1FkYOVKuX2BfbJwXHQyxE+4y58qYkiyn5HBu50Ncb0TFTcqSqznQTjA/VUsQEyC4f
 v1I+XY7UGv7lrxQqVKRbbPwXYyn1bWVFT/SQUlldByUs71ytZq2tGaqx66QDOVIKqbcpGGn85
 eIFu7acUtSEjbxgvvjixrK9znGeDLy6M+f+mM11Ue+QFvuQmWRm62jr2KnIj+zNsX5ouWlucp
 u/0TatwuTepQ5+yoH+RBjw2TjwxChbjOPV3ptk+nM6VU9SwRx2KHaZcZ0HhH35juVAHwmSflY
 R/1bAFro4g+WpD4mu6bKI0dpedFF1Lj5DEqF6vbUrXpKw4tjG4yXR62FOiA5U7oAfgamUgtoT
 e/ooMKd3VsyIdUWVTeE8Yj0HzlTEgNQMnQjlWQQgcfDMQuOrz0BPGyNz1hs2sX3M43jjjPV9g
 jqUhoBaZH6wOvRmASPMQ+CNAH0iXxW12HBORgHyqRQcykcdy4DGm+FGDNym60LOwWWD0Jw1yP
 D9bDaHw13ppimIS8qhN5xR29F0HYHpnd+D3LzNBqNN8ULjaL+EvQfs4REj8=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tryton.scm (trytond-product-image-attribute): New variable.
---
 gnu/packages/tryton.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/tryton.scm b/gnu/packages/tryton.scm
index 833c157689..9df1d9846b 100644
--- a/gnu/packages/tryton.scm
+++ b/gnu/packages/tryton.scm
@@ -2369,6 +2369,27 @@ cost price of products to be calculated separately for each warehouse.")
 product and variant.")
     (license license:gpl3+)))
 
+(define-public trytond-product-image-attribute
+  (package
+    (name "trytond-product-image-attribute")
+    (version "6.2.0")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "trytond_product_image_attribute" version))
+              (sha256
+               (base32 "1ywyh158325v461qkka5svp4gygsfkkrxd6yl9dgfgypd483qjs8"))))
+    (build-system python-build-system)
+    (arguments (tryton-arguments "trytond_product_image_attribute"))
+    (native-inputs (%standard-trytond-native-inputs))
+    (propagated-inputs (list trytond trytond-product
+                             trytond-product-attribute
+                             trytond-product-image))
+    (home-page "https://docs.tryton.org/projects/modules-product-image-attribute")
+    (synopsis "Tryton module to select variant images based on attributes")
+    (description "The @emph{Product Image Attribute} Tryton module adds
+attributes to product images.")
+    (license license:gpl3+)))
+
 (define-public trytond-product-kit
   (package
     (name "trytond-product-kit")
-- 
2.30.4





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 15:48:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:48:40 2022
Received: from localhost ([127.0.0.1]:42304 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEutL-0003s5-PP
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:40 -0400
Received: from mout.kundenserver.de ([217.72.192.75]:56879)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEutI-0003rP-Sb
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:37 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue107 [212.227.15.183]) with ESMTPSA (Nemesis)
 id 1MhCq4-1nae7w3T98-00eMLl for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022
 17:48:30 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id ECD2D66623;
 Fri, 22 Jul 2022 17:48:14 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 56706 <at> debbugs.gnu.org
Subject: [PATCH 10/17] gnu: Add trytond-product-image.
Date: Fri, 22 Jul 2022 17:47:56 +0200
Message-Id: <54c263323a45acb5b62342a88bb9894ccd17a43c.1658504594.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:zr/neZ+GUBvo+fyOYRc1x0cDE494DxLFJai80+LkCrJkqfLhau2
 OOHNfPyICVYnNlHaJzWurYKpV12z/C0FmXiOiz9qcxoFl2i50f0UDsTJ8zmQO90/v8DwMXH
 cVJ6waoqkRxcmItG85xRstkWBPbH/XRuobifSCpLSV9GfI1lZQzmxsXjCAcAsnpjGY50Rc2
 oo2b8E0bd9C56j9w1cG0A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Ra42Bc/bs4s=:e+l7xyuiBkg45g65tX3vyE
 WCVElMc7bQYY+SbR4L85RwPaY602z6be8t471tvfmp62lVAh8V81aoDZAeq7lR3ImJ+N6SFbf
 3e04uZYzbcWrGTqhaBcmFrR3M0cFyg7lhteLKmTFtUwZiQf4m06sK5smSCumZk3KLCNT8n87T
 Koeo1oWLdedrmXoA3vu05/WlS1FRF2xZcq9vOeud5phX3/UjtkSYP0e1y3tIGZ/vfK50bCYOK
 ASII+mspGcp3vJgCQkhvQAyJCa11H5tN33jX9b6yts0r4h2d8Bvr/Zyc7SM5mGGmNdsslr+Qp
 CSjTRY4pTkF+ZrpMLiXyUTEfdqiDdFWTkaGSp7jrbpax/KsYLSUgcPha0DKWKmmI89TUMXPZy
 lrAFUU8+ymsBkdekZ6X0yqfWiUagyRgYiz44iCqTIhRp1Q5H6sTcUwPCkGalY90W1xgHo2+sj
 dtFFESueIHp0Iy16Pifr2o6RWS9oHdJM5nrXB/5EhLWBCpxSuYhT9hZ528DGCoahBkc7kikWQ
 k+S/qvMRX8o4TU+vEkK23KE2D/FvJzYptwuUxqYAC6r27dZsJwtSvyWcu4NIwHG6TY6Dkim85
 XH/OSf2EBPQjCYR/2lrpVaZoo6RnI/OH1h4x1FoTT+GPwoa2GB4ZZbTGoz5mEFFJKNiS1ztlK
 pyvZjGktD+nE/0h1qVQY3trVyC1vhleR6eo7eBZiOCzq6ZkqOE/tcaKb1puJlCF5Y7cBCpdYd
 fBmvTRGYJZ2wXcbkbDsjz2v/8Ut7xsVMb95/qPeY9cvTgRvgDaEDY/LdPwM=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tryton.scm (trytond-product-image): New variable.
---
 gnu/packages/tryton.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/tryton.scm b/gnu/packages/tryton.scm
index ed82a7ebec..833c157689 100644
--- a/gnu/packages/tryton.scm
+++ b/gnu/packages/tryton.scm
@@ -2350,6 +2350,25 @@ and assets.")
 cost price of products to be calculated separately for each warehouse.")
     (license license:gpl3+)))
 
+(define-public trytond-product-image
+  (package
+    (name "trytond-product-image")
+    (version "6.2.1")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "trytond_product_image" version))
+              (sha256
+               (base32 "1xdqgc4y1sghnp5q25facdz3mnaxf8fysqlpbq3zrghsvi136mvd"))))
+    (build-system python-build-system)
+    (arguments (tryton-arguments "trytond_product_image"))
+    (native-inputs (%standard-trytond-native-inputs))
+    (propagated-inputs (list python-pillow trytond trytond-product))
+    (home-page "https://docs.tryton.org/projects/modules-product-image")
+    (synopsis "Tryton module that adds images to products")
+    (description "The @emph{Product Image} Tryton module adds images to each
+product and variant.")
+    (license license:gpl3+)))
+
 (define-public trytond-product-kit
   (package
     (name "trytond-product-kit")
-- 
2.30.4





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 15:48:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:48:39 2022
Received: from localhost ([127.0.0.1]:42302 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEutL-0003ry-FQ
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:39 -0400
Received: from mout.kundenserver.de ([212.227.17.13]:35347)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEutG-0003qs-Au
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:34 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue108 [212.227.15.183]) with ESMTPSA (Nemesis)
 id 1Mirb8-1ncIHo262G-00ete5 for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022
 17:48:28 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id E413E66622;
 Fri, 22 Jul 2022 17:48:14 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 56706 <at> debbugs.gnu.org
Subject: [PATCH 09/17] gnu: Add trytond-currency-rs.
Date: Fri, 22 Jul 2022 17:47:55 +0200
Message-Id: <55aa828e35ff1bdc7eb3d5a754a8245735714ef4.1658504594.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:Z8oH4dzjhaaWnXRPoNo+5NVzq13gzuzgiji/sjjEUkP7dVHtSKJ
 YqcDSuVfc+v+bPFawrB16q6i3IL7qKojaZS5A87UfdA2OEqilp/vITCO+WfiaIn26R/MrJ4
 iXPkoT9U+ECWG8MHWvKQRmI6qTyp624tWwAPtb3XKUR2ikcxOX+D+Br4adoXeMm9YqcoXjL
 hgtB0voO0lbzM48DJSd5g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:WUBQkpVfl08=:plNW40I/MBSSkeNSbsjKo9
 ZZ4nusGasLYoP9gI3c9xlPzkVj6ZUDps1YrGq9oB3LI6cTdE85lRpxdbqrA8DEL3hHdka5NVm
 dYZaaT3nqGW9QqTcOb21Uxocp4kY2z/whMyglDitnWG7QyHg7fFiFvWjEEouAd3xGYsA/M8iF
 p57OU0NyYctFwXo6L0+vwuZ3lvSEq1hldwN92xpjSWiA4jzQt05BMtevAg6XHM0JynV8eXXTE
 0QLu7cTqYejYn487C41PF0HE471eqcltsK7rcT6zXr/ujFhlOJLWzmZ3YwtK1pQyZIurpdd2H
 oISTWqzFbJc0QMXiI1zufVq8kAbVG/njgNVi7Qc1TGt9d5vYkY5dPyqNNGra9IybnXW64AsW3
 h97BKzTHai0vzcbw0gFU9P5XHXrCn9qqLtgEABrozUBWelA5vguM29+obMvyAzMX9w2xHDhRh
 OkHO46+p1aWNBGih8PzzILjkwJW0mQCOxngRM5ANXuk5l7US3gxRz3bilbpiV9Oae1KhS+Yj5
 1F0b2spNzcDBRA8VOUUwIlSE0MV4mcZP/U09GIN7IGTd33mai5oclWNInzCtBSUfLSaTDLwt6
 kHkzNnBJNi32ON6qOPfpSpPvrb0//H8ZSVwSpd94uqYdgic88l1+vrVSiPI/6fm1rwKq9/kUb
 FGlLIgNwI8gn7Olusl83CLIag8bpxKIZHspoWlTT2HX8t2cTVLvPvChzhjW8NyUEMT0J7c/Fc
 1qzcfdaAUt1iisrym2TQkelzcYTQvSn9zEynVG1uWIj1l1o/m9soD/58XuM=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tryton.scm (trytond-currency-rs): New variable.
---
 gnu/packages/tryton.scm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/gnu/packages/tryton.scm b/gnu/packages/tryton.scm
index e906e4f719..ed82a7ebec 100644
--- a/gnu/packages/tryton.scm
+++ b/gnu/packages/tryton.scm
@@ -1782,6 +1782,26 @@ currency and rate.")
 National Bank as a source for currency exchange rates.")
     (license license:gpl3+)))
 
+(define-public trytond-currency-rs
+  (package
+    (name "trytond-currency-rs")
+    (version "6.2.0")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "trytond_currency_rs" version))
+              (sha256
+               (base32 "05admscvj5m7anhji2ni9w2d8b33vlgcifda6jbrxdw8g4c0yivn"))))
+    (build-system python-build-system)
+    (arguments (tryton-arguments "trytond_currency_rs"))
+    (native-inputs (%standard-trytond-native-inputs))
+    (propagated-inputs (list python-lxml trytond trytond-currency
+                             python-zeep))
+    (home-page "https://docs.tryton.org/projects/modules-currency-rs")
+    (synopsis "Fetch currency rates from the Serbian National Bank")
+    (description "The @emph{Currency RS} Tryton module adds the Serbian
+National Bank as a source for currency exchange rates.")
+    (license license:gpl3+)))
+
 (define-public trytond-customs
   (package
     (name "trytond-customs")
-- 
2.30.4





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 15:48:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:48:39 2022
Received: from localhost ([127.0.0.1]:42300 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEutL-0003rr-4p
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:39 -0400
Received: from mout.kundenserver.de ([212.227.17.10]:58649)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEutD-0003qi-Of
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:32 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue107 [212.227.15.183]) with ESMTPSA (Nemesis)
 id 1Mr8SG-1nkZlE0ivu-00oHyd for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022
 17:48:26 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id DB90266621;
 Fri, 22 Jul 2022 17:48:14 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 56706 <at> debbugs.gnu.org
Subject: [PATCH 08/17] gnu: Add trytond-currency-ro.
Date: Fri, 22 Jul 2022 17:47:54 +0200
Message-Id: <73913fa301f7ca53ec6f63697addccd525c76b7b.1658504594.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:BjCl9oXP15bxQjk9hAp0aIjdexHBcgJ3bf3E25XZ9JqhSivIcgD
 BH0G7sBm+yIdMHU+AcC9Q/HfHGt5Ld5gsRLiJAGPih/bAwdd1Djvf1UP6q0/+rE68mX0P6o
 Umh1sd5t9ONObT/O/CJ9xyLn621o5I5HS1KHvL5Cnm6EjBXWtcPqosDNde754Ln58kkoESo
 rRZCBylwlvyCKdGbUOpbQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:w3o1fhbfEmE=:xA3COi2RVN92la3ph1dviK
 zAVavNZb9rAqNs9nq0jULI1kwLhQhPy73JXtDc8MaB2GAzLoxN7AYlqRO94RxUjIwi7+ZQI2G
 mC+UPxr07y+/pjCgQJKsf5/RhSd3krJjsTY2QAjg7R4cmbuC6qof0a0wRV8Nf3Ii3Kr41dZOD
 wyEM+gLBNQRLql/bof4JUXpJGdySJjdGfFh31rVea0k7CNDNQd7cPUbu7FUze3i863P4Yqr9f
 6gYH4g6MzDm89+4lDfHSe5wsyMvuBkUoHNKJEuTBpTmIp9hcUCHt3jhUebNe6laYRXXSBBp5y
 1/q5E6urnGZW2skfmTVZK1DpZHDJKTm+vNG9IZ/SgrOcBq+eUI0ogrbZ9OBVAGpKPo010enow
 cPucdm2QYpDr7fAFc9+vLXmIe1gNY4GSxhVAh2bxBbpwy2UW+sSXUUCwRYWWh2tHfcMXbSR6B
 bR9cALeyT5iB5r4rkfFsxrvT38VlSSzJysa0aRftLNEEn8BQTPWH/PyxHkbo3wgwJrDN6IRll
 P/1kLhtskSimgzTJjSjjYeUJgRq4Mz8Ten4XUQwHhxFJV9dTH89b3M85GuGWHMGsUDiVlApaX
 r1x3LURrUSI8ZIHPoc7DPiCEbPphKWNxKnJCnYbgth5KCdzNmSC3178Cwere2YVh+ga5MYWQn
 u0VS9wOhpOC7Ai1dQBX2L85OgDth6rqKIt0acPSAcjzaPaoOXQRZivahHSActfCFejAXCBULS
 pO4tjCPM1Bgzhw/E9Qjkqc7foO4ERwW3d8b51/1FsVseFWGw3T8lLeqtuxQ=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tryton.scm (trytond-currency-ro): New variable.
---
 gnu/packages/tryton.scm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/gnu/packages/tryton.scm b/gnu/packages/tryton.scm
index 548d34ded6..e906e4f719 100644
--- a/gnu/packages/tryton.scm
+++ b/gnu/packages/tryton.scm
@@ -1762,6 +1762,26 @@ currency and rate.")
 (define-public python-trytond-currency
   (deprecated-package "python-trytond-currency" trytond-currency))
 
+(define-public trytond-currency-ro
+  (package
+    (name "trytond-currency-ro")
+    (version "6.2.0")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "trytond_currency_ro" version))
+              (sha256
+               (base32 "1kn4bgh1gg5dcphb2afqb922myyg2012vdhixipmi7ccbv7ik46s"))))
+    (build-system python-build-system)
+    (arguments (tryton-arguments "trytond_currency_ro"))
+        (native-inputs (%standard-trytond-native-inputs))
+    (propagated-inputs (list python-lxml python-requests trytond
+                             trytond-currency))
+    (home-page "https://docs.tryton.org/projects/modules-currency-ro")
+    (synopsis "Fetch currency rates from the Romanian National Bank")
+    (description "The @emph{Currency RO} Tryton module adds the Romanian
+National Bank as a source for currency exchange rates.")
+    (license license:gpl3+)))
+
 (define-public trytond-customs
   (package
     (name "trytond-customs")
-- 
2.30.4





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 15:48:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:48:31 2022
Received: from localhost ([127.0.0.1]:42294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEutC-0003rF-SD
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:31 -0400
Received: from mout.kundenserver.de ([212.227.126.135]:44347)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEutB-0003qR-Ex
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:29 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue012 [212.227.15.167]) with ESMTPSA (Nemesis)
 id 1M1JJC-1oCAnd3ahe-002nhQ for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022
 17:48:23 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id D2C1F66620;
 Fri, 22 Jul 2022 17:48:14 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 56706 <at> debbugs.gnu.org
Subject: [PATCH 07/17] gnu: Add trytond-analytic-budget.
Date: Fri, 22 Jul 2022 17:47:53 +0200
Message-Id: <de98c9ab934daffac9c3988b041f0ccd5acda787.1658504594.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:4EGObCei0s17/Xm5arkAT8fxdk+NETink4d9E989Z3I26IRof5Y
 krY1S0ZwpMrcByUpMTVk8IahBDmlCESa561CAwAaYBOyvcjzIoH0S0/4SweG/mGhXWY45XB
 7BagVNAYke3vWW7IRfjRcFe9cnGCYwZNzQr9ne0r7OCzxETDfvt9GGxSbapDLtmqnLEmZQC
 rI75RYsGEKWP2Tjyvtc5Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:J9FtB4f8l7c=:E+z24nzh/MTbNnbdIrFfWw
 0FEFYzY3IEt+Ad4P8fSJB305vK4TqCfMZKE4s94DQvnDZTbn/IGOadU9e7RWm28wAolQeF56K
 3B8FGggFuyyS8RGgEzPjOFrw+D+GOnezz1cqq20iroU2ZOaz+9L0Hpd6JiwncebG+HJWKY28y
 2Mi9kIa0tAbq6mQKj6KnMDvcEdB0REMT4EVppa6mI3vwE9o8KAB5aVDAkLwkZuxPBpstaV4L4
 0Fe7mJkc1ooy7it5kxCUILPZMdIITazcpq02ctXfKK4IQLCFsnkDvWo60o4WMuknGsnVIeDGG
 YNanX1gIuqhihr2Cm3hiTck7DPyYboFEtvTN/y2eKBnKk9FRV8I2pMBIHejKV0IKjb6v0/NqT
 EWZM7n3ZNk3P8RwW/ApiTjpgV9WN/HuxnvqG2T4qx1jb37kJpeYvjKuYXA3MoLdQpJ9MmGDsV
 9Pg3PwcmOrwDyyabBDq0rQcqCOsRjQguG/+NR9U9HKmF/4q76i7MyIOD1P8vGwEcfrxZQEcKa
 wu1MK33bAkJ6hNWatueNVlIaLpJG/dwGHLwiy3KqdSUpA0gPPDpa7LdBHq93T6kY3hPsUIejK
 uSCGhAIrFGYFcwgjyGR/UFNDEpB5imdReyVILMcMitkyWFmjt4lMKpntrkuPohsIKLFaYDtxM
 NHLJKFtEhHKpduLpi9OWMNRUXXdqJUSu2uLdOVTTrskdYJjtrw+rBrHFVGn06NFjxVEsPLlFN
 QGUOVOE5S78oiLx/ECdfFZu3dkqaMlA5py+gXjscbAQruMjPZ1trg5y1UJM=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tryton.scm (trytond-analytic-budget): New variable.
---
 gnu/packages/tryton.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/tryton.scm b/gnu/packages/tryton.scm
index 2bc7388af4..548d34ded6 100644
--- a/gnu/packages/tryton.scm
+++ b/gnu/packages/tryton.scm
@@ -1333,6 +1333,29 @@ required to analyse accounting using multiple different axes.")
   (deprecated-package
    "python-trytond-analytic-account" trytond-analytic-account))
 
+(define-public trytond-analytic-budget
+  (package
+    (name "trytond-analytic-budget")
+    (version "6.2.1")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "trytond_analytic_budget" version))
+              (sha256
+               (base32 "080a1s9w6n50xi2r7d3jkyk84rdqzggbqzhab9qjgppl67q85m8p"))))
+    (build-system python-build-system)
+    (arguments (tryton-arguments "trytond_analytic_budget"))
+    (native-inputs (%standard-trytond-native-inputs))
+    (propagated-inputs (list trytond trytond-account-budget
+                             trytond-analytic-account
+                             trytond-company))
+    (home-page "https://docs.tryton.org/projects/modules-analytic-budget")
+    (synopsis "Allow creating budgets for analytic accounts in Tryton")
+    (description "The @emph{Analytic Budget} Tryton module provides the
+ability to set budgets for analytic accounts over a defined period of time.
+These budgets can then be used to track the total amount from relevant
+transactions against the budgeted amount.")
+    (license license:gpl3+)))
+
 (define-public trytond-analytic-invoice
   (package
     (name "trytond-analytic-invoice")
-- 
2.30.4





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 15:48:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:48:29 2022
Received: from localhost ([127.0.0.1]:42291 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEutB-0003qz-Ik
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:29 -0400
Received: from mout.kundenserver.de ([212.227.126.133]:39973)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEut9-0003qC-3X
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:27 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue009 [212.227.15.167]) with ESMTPSA (Nemesis)
 id 1MCbMx-1oNTTa2Mip-009fHc for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022
 17:48:21 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id CA6B66661F;
 Fri, 22 Jul 2022 17:48:14 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 56706 <at> debbugs.gnu.org
Subject: [PATCH 06/17] gnu: Add trytond-account-stock-shipment-cost.
Date: Fri, 22 Jul 2022 17:47:52 +0200
Message-Id: <32c32d80850014f0d29a6ca6a4d671ec9a47923c.1658504594.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:J1aC4toyjhYdYcD4c7F4THrEewm5gqcwVmFS7fT0piHfwhP2QeW
 L5/wMyZ88rqfD+tarz1/EBPT2TT/1GUUTtP1HnBgdJoDRbz2H4t5CYI8dqWcc75wsxxPZYg
 LFT6sf+DXg66icJRN83CquR6Ic+TTBrqweMgAFl3mdzHm7JtORY5ALZMdwoezAuFJthrcUf
 WuCcJ9S1TMqZw/NxAskfA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:xbAVCDzi7S0=:GLwtQ1G0klVNBMRhZ+Zliq
 JWxWouvK+q45oMBIXUZpJUi97EKrbBf32NOhDCHLUSlV4BmU3bEto/shwPPs262r6zzgJAjQK
 6mOqXd9FzZOtPw07HM8bAcVPtvFVoVaKd3Us5yPZ7vltFLGljgidThRkQUKibeuywMoLItCQb
 YvEVt17SjJl8Lqynt2eIztFkvwe7nHoa5eNK9A15L12JxfCVDhDtnLGzfuuBs3eLstSKwe895
 hGQqd1W8zAiTEuevLiPNWtGr1iS9ZmSBNKQeFS7yydvEMN3vQXOak9YpVPWtiEDkHRybk2nXK
 oYYiRzwM3c4ail+FhwkMnUFxRj3W0HRKpgQfjn6jmenb76OnhoQWiKbcxa7L4UPW1lQJ+SL7s
 pSZDVJgfdunN8TVdRlOqw9pVVk2NNgiFp21WjL90Kxtyu3sY0QWgfD8adSzgX8L8jMB14xR4E
 mhfnwA1W8biL0wTxa+S9jblqBNYdJ0hJPHaxFtIStfshpDxqCx+/K4CjsSQn7gJK6lY5ZIEeD
 Zs3DJKTVFCwQq2JRoumJpAB3TY0ptYTWM3IAEmJF6/raNaej7gKx+/ptsp2BObHohgU8nxbRI
 4FwzuEnkIIT/W6El0tUUK6cU8xATxx6KM/si0PQtwMkS0GnYJe8/OXfEP7OJGGD9lxyd3e9Lu
 /2iBslXlj8MaGriLuEzQjA284UQSQovve82VCew0k0v/kAkuxHA5NuieyQnU/kjY4cmiJH/7R
 WtUWmCEUfxjpLrZfArxEw4kIIk/l0RUd4Vx8XkYPRCNOFCkbPab2e4k+Z5s=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tryton.scm (trytond-account-stock-shipment-cost): New variable.
---
 gnu/packages/tryton.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/tryton.scm b/gnu/packages/tryton.scm
index 78ecb7dde8..2bc7388af4 100644
--- a/gnu/packages/tryton.scm
+++ b/gnu/packages/tryton.scm
@@ -1233,6 +1233,30 @@ adds an allocation method based on weight of each line.  The Weight is taken
 from the Product Measurements")
     (license license:gpl3+)))
 
+(define-public trytond-account-stock-shipment-cost
+  (package
+    (name "trytond-account-stock-shipment-cost")
+    (version "6.2.1")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "trytond_account_stock_shipment_cost" version))
+              (sha256
+               (base32 "1iyz76cma63kp2alqr4rcrm3zjj6ifsvv9hsylbfkamfgy84brsr"))))
+    (build-system python-build-system)
+    (arguments (tryton-arguments "trytond_account_stock_shipment_cost"))
+    (native-inputs (%standard-trytond-native-inputs))
+    (propagated-inputs (list trytond
+                             trytond-account
+                             trytond-account-invoice
+                             trytond-product
+                             trytond-stock
+                             trytond-stock-shipment-cost))
+    (home-page "https://docs.tryton.org/projects/modules-account-stock-shipment-cost")
+    (synopsis "Tryton module to allocate shipment cost based on invoice")
+    (description "The @emph{Account Stock Shipment Cost} Tryton module
+allocates shipment cost based on invoice.")
+    (license license:gpl3+)))
+
 (define-public trytond-account-tax-cash
   (package
     (name "trytond-account-tax-cash")
-- 
2.30.4





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 15:48:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:48:29 2022
Received: from localhost ([127.0.0.1]:42289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEutB-0003qt-75
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:29 -0400
Received: from mout.kundenserver.de ([212.227.126.134]:48113)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEut7-0003q9-3O
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:25 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue010 [212.227.15.167]) with ESMTPSA (Nemesis)
 id 1MmlCY-1noxTJ17pu-00jozS for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022
 17:48:19 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id C22246661E;
 Fri, 22 Jul 2022 17:48:14 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 56706 <at> debbugs.gnu.org
Subject: [PATCH 05/17] gnu: Add trytond-account-rule.
Date: Fri, 22 Jul 2022 17:47:51 +0200
Message-Id: <7dbe5a747e9e0e7ad42b14622f29391b12c65f91.1658504594.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:l3iFiFK0pfYdOUn7dYgoIwSnEu58j510/bE/7H9YTn3aTciZLrc
 DY9HrMR6O/PN0okvmytth98NfHK52491/yWTivv2Ykf46ilshVmHz53LNejuNo9XehC/W0L
 Fl5SecuiZuwox682fKex0H1ZiUurW47aEqv5PorvJkqK56OgyKTfMDQk7BANVWddL31xwp6
 ZY6g+vnGPVAuzKW3JhrjA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Z8Jmly28FOk=:vJYERBtOZf2oe4+aMVeRJR
 4REJ7EcFEHPmd0PXahekXt1gx7RiVQ6UHRkzSuPJ3zZHYrZbd9mdbsaP67uJI57ee/ljRuW9s
 CKoRHZbGK5JQSfJy/lqZoQxzvLwvhmt8vIIrC7xKUBL5cYjX8hTpkHVVRFySO55EFqQnLvcfd
 j8vOATN3OpeP4mmbwhU9dng0GO1Us6WCmQ4cLjx5o0IG3uPJku/wTWsXn+QYPBe7M/XKbIVQJ
 dcjHrFRYLdpkLCeg7PIjEBF0gEaPchqUzOF0l0RB9NqyrRiFUJrgGbYkKpFns6oTN7H7ubHgc
 c6lMAl8//3t8cb4oS8+BkNhhec+WbGrgVM7Er3iUl2M1Itf1M1udexGTpUIAqZr6S3VpyZ7mG
 ArlY+77u8GlsQX0OpHek40T/Jv5YfSIMrPJEZXKaqyKnf3G9TCajMQlRr+u1OL0cGOCaq9TOm
 RkB5RG/Pr38l2y0XgWX4v8FAj2jg3WB4POFYJr/cdia/VS9GUaWG5wiVbVG3bUGurqfJl5zlH
 03bLNny1qocXA8oZBSAGNJ98GB68dHOtiWgx7oXx2YVOnP/FPw33LQvW9aBgkYT235mdnqQYB
 MRm4QNI/BX4azQS0Bt2VGJpG8I8U3WF8zA+GnyEVC+sbMbSaW3yMnatxfaR2fE5qoH0d36hY0
 rn82RMhsL5/w26sRQIQNniIEVUafkVEsY7f7S5BdgjOL7gT0i+twhZgwNx+i66D2qimhjR7Wl
 yG4hs+iAweJJVkus9DzpSOqBqxyGLXEydzS70xwHnRglh7KdZE+GLw7EZo0=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tryton.scm (trytond-account-rule): New variable.
---
 gnu/packages/tryton.scm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/gnu/packages/tryton.scm b/gnu/packages/tryton.scm
index f247605f90..78ecb7dde8 100644
--- a/gnu/packages/tryton.scm
+++ b/gnu/packages/tryton.scm
@@ -976,6 +976,26 @@ and category.")
 (define-public python-trytond-account-product
   (deprecated-package "python-trytond-account-product" trytond-account-product))
 
+(define-public trytond-account-rule
+  (package
+    (name "trytond-account-rule")
+    (version "6.2.1")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "trytond_account_rule" version))
+              (sha256
+               (base32 "1rn0xdqk5pcjybpyw09fqag6lyha06dq9qb3v0jc31cvwmd17ckl"))))
+    (build-system python-build-system)
+    (arguments (tryton-arguments "trytond_account_rule"))
+    (native-inputs (%standard-trytond-native-inputs))
+    (propagated-inputs (list trytond trytond-account
+                             trytond-company trytond-party))
+    (home-page "https://docs.tryton.org/projects/modules-account-rule")
+    (synopsis "Tryton module to change accounts based on rules")
+    (description "The @emph{Account Rule} Tryton module allows rules which
+substitute default accounts with other accounts.")
+    (license license:gpl3+)))
+
 (define-public trytond-account-statement
   (package
     (name "trytond-account-statement")
-- 
2.30.4





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 15:48:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:48:26 2022
Received: from localhost ([127.0.0.1]:42286 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEut7-0003qU-Ps
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:26 -0400
Received: from mout.kundenserver.de ([212.227.17.10]:37369)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEut4-0003pt-SU
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:23 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue108 [212.227.15.183]) with ESMTPSA (Nemesis)
 id 1MplTn-1njDFV45eP-00q7Zb for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022
 17:48:17 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id B9344665F6;
 Fri, 22 Jul 2022 17:48:14 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 56706 <at> debbugs.gnu.org
Subject: [PATCH 04/17] gnu: Add trytond-account-move-line-grouping.
Date: Fri, 22 Jul 2022 17:47:50 +0200
Message-Id: <7241adff58636917dc52c1963644efc1166c564f.1658504594.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:6lR0rF3eHIe35nM1GtGqTMhJfFODZ2f9f16t+ELyBL/6WzaO0z9
 Ndwhizv7sBjdP/HbQ09sKhEFanNxbmABm7YIeONonyB4SJ7lbyLMt14Z6XwySQfp0w/v5v4
 uzHleUiAlKi8gX1nrFyxwCjoFmHriHyOYSR8bYyGbJvzi6IloKNyCEgpH+yf6dKXDLX1l+H
 jgfjdNoLCHoC4MC972HOw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:LAgFECdCIJ0=:+kC2YkKLnjsCCov6sKf8gv
 WzS/ZI8boFPBTgAIOL2/UiTJuMNHmIA3SYFb7W7pQbu9xOZGMtyoFc1J25YgHGGMtxePfBfEG
 32Oty3/NoVdXI4dmzjdiqsFKnFDaWePLQ7ybpFCTZ7jgeqhelwvy6i0WzE6aUaWEsQowCGWvn
 bvgJoMFVqkJcuEH/d1LT6mPEjW6s9MZA1LFTja8DFX7PScGw47dThsQ+qhKp/osyaNzUmt35j
 6aqcfKQyV/NB6ZfEJ+r573RXuBhnjIu4dlbtfbnt7m0h+3lF6Vl4cl9IGanfWa0H0pLXmFH7X
 C7cRek5JIt47czKZxsl0T/j5kqI7GNMoFeG8xMaCPfNscqUdGNHcSYRaYBPt6Pk6a2xGeO1wW
 TK7DIsk9psJ7DA1b4VLjp48ntNqQZI5zUz/ocjsu34VQOuhIv/sqeFrZlFFAovVrwpQhKL8W+
 eHB17OGW8VLejgbLACBUtx6pib2yCfOSFYISKzmdcUHftfFVezHjGZLSiMfaFdhKGRyW0ZlKh
 YQ7kodZ7aTtrFgrxirnAJEFC2iRVJLLDGzi/PjU/n2KjmXDfIFUTSgtQvcgI47hZHf08pALOs
 /s9trBke76hdN8X0UMebx2ybS0VdgWmSfIaSiV4FBsBse1PNCaow4lr3TYl1yv7s+R92m2Qv/
 s4bzdD+Kauy8E1foCnibuaY2X0agooZ2DGV5Lbg54+cxqSuUKhMfi38QtscD63gEMRufI3iwK
 xlqCCVKsTRrjFR/5qDabS8Dl7SFCO6yfvUfCFXwlY8I7lUi86i3pQ6qCHQk=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tryton.scm (trytond-account-move-line-grouping): New variable.
---
 gnu/packages/tryton.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/tryton.scm b/gnu/packages/tryton.scm
index 6f23366e4c..f247605f90 100644
--- a/gnu/packages/tryton.scm
+++ b/gnu/packages/tryton.scm
@@ -778,6 +778,25 @@ average price of the posted invoice lines that are linked to it.")
   (deprecated-package
    "python-trytond-account-invoice-stock" trytond-account-invoice-stock))
 
+(define-public trytond-account-move-line-grouping
+  (package
+    (name "trytond-account-move-line-grouping")
+    (version "6.2.0")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "trytond_account_move_line_grouping" version))
+              (sha256
+               (base32 "1mrh17a55hkfj89vyx1jrmgzps4ig0m03c10ngsy4my6v6rnnn2r"))))
+    (build-system python-build-system)
+    (arguments (tryton-arguments "trytond_account_move_line_grouping"))
+    (native-inputs (%standard-trytond-native-inputs))
+    (propagated-inputs (list python-sql trytond trytond-account))
+    (home-page "https://docs.tryton.org/projects/modules-account-move-line-grouping")
+    (synopsis "Tryton module to display account move lines grouped")
+    (description "The @emph{Account Move Line Grouping} Tryton module adds a
+view that displays move lines grouped.")
+    (license license:gpl3+)))
+
 (define-public trytond-account-payment
   (package
     (name "trytond-account-payment")
-- 
2.30.4





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 15:48:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:48:22 2022
Received: from localhost ([127.0.0.1]:42282 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEut4-0003qE-Fz
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:22 -0400
Received: from mout.kundenserver.de ([212.227.126.133]:41787)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEut1-0003pO-0n
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:19 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue011 [212.227.15.167]) with ESMTPSA (Nemesis)
 id 1M433w-1oEusv1YQq-0005tn for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022
 17:48:13 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id B158D6650D;
 Fri, 22 Jul 2022 17:48:14 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 56706 <at> debbugs.gnu.org
Subject: [PATCH 03/17] gnu: Add trytond-account-budget.
Date: Fri, 22 Jul 2022 17:47:49 +0200
Message-Id: <d38376183aaef5203217c171ea38a897546ff033.1658504594.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:e2EbPuhoulCwJeb8rpLNMGSCedK0w78eMunV9vyBH+pAR+gHXun
 694SB/GZEXnEM3jAeE1eTEicpmmHVsKy1CX/DMMA7k2gHd7m0o5jNql9QKfwka9mPlDqUd5
 6VnLceiatNLeZltvA/qc+9trng8tkh0dmFFwzIwpckGIFeb7ojAqsivhVOedu+giyK6jLOk
 bTgwfubTqn50tQ8+RqYAQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:LG9aUJT7cmI=:Hb6ZRtI7XFJfiCbXf1A84A
 aIxX4hL1hA1bdQF5SBHCjycMgQVm0mMlzf6w2IKrrukJOGV3rfODy1NfeemKm78/WuATFUUX2
 /5O6+pgZ1a0cm698/n91VN4u6aUhTbSbevNA73jx1/KX4F9fSjDgaPCPJ9jn8Fjrv5tmPbGpK
 vVWvwvZmhvB9EqxyX5h0Bos912V5qjBmsifpAG4T2jGH3vF1qdsn0aP+gPLWp+SpeGvgQNz+K
 +5RSdib4WLQf+6CPrNz87mHOmn9YFgqpXrACxDikYasAZX9jjtGzcN3BzBu0NiCAkIOD7kv/M
 09a9c3jpLHHwvz0dWE1aB6QrXuVG6Q+GzOE3t2urfUfkH3C4I2VVEvqAGsvjd+QtTh2Ku1SVW
 u/XmDVYC9Vw47vBEWbULDfRA3xQRR52t2lm3dluuNAL+ejBQqNw01Qy8VwQIBS6quMcRlTo1X
 PMwhcOT4/CefR3nsu5gcBF/+rtyOjDc3j+2r+EnH4Jdfn6w+yRfohUQFr+gYXlj0NfJDsjsDp
 H3sbCKZMSTqkFYjwhwh2t6WwxMRvkZ2JCBubtGKr/PCFBWUC+Y2EWi/TgvpWxt432dDcGMs4n
 YyR1RUYdRNqRdTolm8hkuSN6mJSCZAvvQhd+hfxJ+1l/TbD/3MWG7Bl0pa19tfC+WHzipEXKk
 ZE147DBxuvY+OdZfuI/qqm8tOHJsQft9LMn/8tZXVQgNpJeaAE8yyFE8kwVaiGR4emy8hLCPP
 v3LTkCERQcQrxbkY38DY9GHaCwm/QwYAwMRmrpJD0MQeMNO9lOURab3C0uY=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tryton.scm (trytond-account-budget): New variable.
---
 gnu/packages/tryton.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/tryton.scm b/gnu/packages/tryton.scm
index 5307b0994d..6f23366e4c 100644
--- a/gnu/packages/tryton.scm
+++ b/gnu/packages/tryton.scm
@@ -276,6 +276,28 @@ of fixed assets.")
 chart of account for Belgium.")
     (license license:gpl3+)))
 
+(define-public trytond-account-budget
+  (package
+    (name "trytond-account-budget")
+    (version "6.2.2")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "trytond_account_budget" version))
+              (sha256
+               (base32 "055y9jjpx4xfrc6dlssvjzmjz7rrvfljlaljx0v6c6s87mpzi3m5"))))
+    (build-system python-build-system)
+    (arguments (tryton-arguments "trytond_account_budget"))
+    (native-inputs (%standard-trytond-native-inputs))
+    (propagated-inputs (list trytond trytond-account
+                             trytond-company trytond-currency))
+    (home-page "https://docs.tryton.org/projects/modules-account-budget")
+    (synopsis "Tryton module that allows budgets to be setup for accounts")
+    (description "The @emph{Account Budget} Tryton module provides the ability
+to set budgets for accounts over a defined period of time.  These budgets can
+then be used to track the total amount from relevant transactions against the
+budgeted amount.")
+    (license license:gpl3+)))
+
 (define-public trytond-account-cash-rounding
   (package
     (name "trytond-account-cash-rounding")
-- 
2.30.4





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 15:48:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:48:18 2022
Received: from localhost ([127.0.0.1]:42280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEut0-0003pv-CM
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:18 -0400
Received: from mout.kundenserver.de ([212.227.17.24]:53731)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEusw-0003p4-IB
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:14 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue107 [212.227.15.183]) with ESMTPSA (Nemesis)
 id 1N64JK-1nQAnQ1egq-016NT4 for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022
 17:48:08 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 9EF5A664FD;
 Fri, 22 Jul 2022 17:48:14 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 56706 <at> debbugs.gnu.org
Subject: [PATCH 02/17] gnu: Tryton application and framework: Update to 6.2.x.
Date: Fri, 22 Jul 2022 17:47:48 +0200
Message-Id: <263488960e204b3bfcfefdaed00feb0fb846c3dc.1658504593.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:ROuOVvQrp1RLcQi2SHn0ENupYcJmaViz7a2kzITaHpNkkO22kRc
 eaM6XPXndoJD64g6BJLH5IM8sjk7picrXINpQJxenNctJZCIcWIkNpDPTCmpv8Ko5Ppydsi
 UChF1bkVM/ERldaOoZqcPNZ1yNtaNi0Rl0Bv7VLAmHlMzyv/oNGmb4yIX9elxr1KJmcAaZu
 PRH8nDoRpktYHNxprxBiQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:tcGvTm2EITY=:p4Kw9Eyq6oUYE6NPV2+sum
 r6c9Vds1SC0yxXwvJ/Kb9wUJ3edyzc7QX06WqSOyEmWIlxfUNC+8oQ/bRGpGdrF7Aa1rRVuF1
 1QaQeM3J3snvMgIoXCbuMUquvzfs701ypUA9vZzdG7NRRgI3/YcoFJRarQ1TKWNYCI+P7Q+Ga
 GCF8D1XX1V9Cv9YrK7YIKTitZLvG2M4KS+xtHPD7yEOxAZSboUSgVC4PmQvlhYYvcbtEhU0Mc
 d8qIeby7lHw4wJjJxz4sQOD8d/kGkzSjlsFiUI0IrOxxcgjB/fn3zxFgnoMYoOdFSXCz3DVHh
 6LQ6DNSSXS8EuEcoq1BVVCk71Deej0uLN+0fbmbWV4lOBfV5IUf0hYNL3sSLG5P6O7393VjKi
 1wtMbSAzBxq0iYW4lleg74sYUFG71PEf2vzSAQM4222tjIQ9OtnWyLCMrQEWX6Jyt8HAvlb0o
 i6wNhkr2WAiwtPsAC8Za3yNdmI7bQVQfMMIs82YWWQIZuV3P58PESkDl7x1dGDwJOWnpjuNgM
 2+svgi4KJWDm1GXFy36oFaviCUH4mnmTuXvSweApnn8GJ/AENLpJ0IyWiI/a7u9TosIrDhSu9
 Z0if1MTYxNOBm+cZ/KQ8u6TnTyNyKYXFUfnRh+NbwhgxiriwuiqWDFDP41ucR+z+00V/rgE38
 wcLT2lMlHntHwttd3tzcTMLC2o9ePfmYwJ6Qanxr7L79aWXu2tPMZTz2Glr4UvqKJ6ltRm1TM
 5950QOx/pYWbLgisNX75zuAbpDLwoH/hYSljl2EiDHZhuIizLax7Z6JZ5Mg=
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

* gnu/packages/tryton.scm (trytond-account-be, trytond-account-cash-rounding,
  trytond-account-credit-limit, trytond-account-de-skr03,
  trytond-account-deposit, trytond-account-dunning,
  trytond-account-dunning-email, trytond-account-dunning-fee,
  trytond-account-dunning-letter, trytond-account-eu, trytond-account-fr,
  trytond-account-invoice-correction, trytond-account-invoice-history,
  trytond-account-invoice-line-standalone,
  trytond-account-invoice-secondary-unit, trytond-account-payment-braintree,
  trytond-account-payment-sepa-cfonb, trytond-account-payment-stripe,
  trytond-account-statement-coda, trytond-account-statement-ofx,
  trytond-account-stock-landed-cost-weight, trytond-account-tax-cash,
  trytond-account-tax-rule-country, trytond-analytic-account,
  trytond-analytic-invoice, trytond-analytic-purchase, trytond-analytic-sale,
  trytond-attendance, trytond-authentication-sms, trytond-bank,
  trytond-carrier, trytond-commission, trytond-company,
  trytond-company-work-time, trytond-currency, trytond-customs,
  trytond-dashboard, trytond-edocument-uncefact, trytond-edocument-unece,
  trytond-gis, trytond-google-maps, trytond-marketing,
  trytond-marketing-email, trytond-party-avatar, trytond-party-relationship,
  trytond-party-siret, trytond-product, trytond-product-attribute,
  trytond-product-classification, trytond-product-classification-taxonomic,
  trytond-product-cost-fifo, trytond-product-cost-history,
  trytond-product-measurements, trytond-product-price-list,
  trytond-product-price-list-parent, trytond-production-outsourcing,
  trytond-production-routing, trytond-production-split,
  trytond-production-work, trytond-production-work-timesheet, trytond-project,
  trytond-project-plan, trytond-purchase-history,
  trytond-purchase-invoice-line-standalone, trytond-purchase-requisition,
  trytond-purchase-secondary-unit, trytond-purchase-shipment-cost,
  trytond-sale-advance-payment, trytond-sale-credit-limit, trytond-sale-extra,
  trytond-sale-history, trytond-sale-invoice-grouping,
  trytond-sale-opportunity, trytond-sale-price-list, trytond-sale-promotion,
  trytond-sale-promotion-coupon, trytond-sale-secondary-unit,
  trytond-sale-shipment-grouping, trytond-sale-shipment-tolerance,
  trytond-sale-stock-quantity, trytond-sale-subscription,
  trytond-sale-subscription-asset, trytond-sale-supply,
  trytond-stock-assign-manual, trytond-stock-consignment,
  trytond-stock-inventory-location, trytond-stock-location-move,
  trytond-stock-location-sequence, trytond-stock-lot, trytond-stock-lot-sled,
  trytond-stock-lot-unit, trytond-stock-package,
  trytond-stock-package-shipping-ups, trytond-stock-product-location,
  trytond-stock-secondary-unit, trytond-stock-split, trytond-stock-supply-day,
  trytond-stock-supply-forecast, trytond-stock-supply-production,
  trytond-timesheet, trytond-timesheet-cost, trytond-user-role,
  trytond-web-shop-vue-storefront-stripe, trytond-web-user): Update to 6.2.0.
  (trytond-web-shop): Update to 6.2.0. [native-inputs]: Add trytond-image.
  (trytond-account-es): Update to 6.2.0. [native-inputs]: Add
  trytond-sale-advance-payment. [propagated-inputs]: Add trytond-company,
  trytond-currency.
  (trytond-sale-gift-card): Update to 6.2.0. [native-inputs]: Add
  trytond-sale-point.
  (trytond-carrier-percentage, trytond-carrier-subdivision,
  trytond-carrier-weight, trytond-incoterm): Update to 6.2.0. [native-inputs]:
  Add trytond-stock-shipment-cost.
  (trytond-stock-shipment-cost): Update to 6.2.0. [propagated-inputs]: Add
  trytond-carrier.
  (trytond-stock-package-shipping): Update to 6.2.0. [propagated-inputs]:
  Remove trytond-sale-shipment-cost; add trytond-stock-shipment-cost.
  (trytond-account-asset, trytond-account-fr-chorus,
  trytond-account-invoice-stock, trytond-account-payment-clearing,
  trytond-account-product, trytond-account-statement-aeb43,
  trytond-account-statement-rule, trytond-account-stock-anglo-saxon,
  trytond-commission-waiting, trytond-ldap-authentication,
  trytond-marketing-automation, trytond-party,
  trytond-product-price-list-dates, trytond-production,
  trytond-project-revenue, trytond-purchase-amendment,
  trytond-purchase-price-list, trytond-purchase-request,
  trytond-purchase-request-quotation, trytond-sale-amendment,
  trytond-sale-complaint, trytond-sale-discount, trytond-sale-payment,
  trytond-sale-supply-drop-shipment, trytond-sale-supply-production,
  trytond-stock-forecast, trytond-stock-quantity-issue,
  trytond-stock-shipment-measurements, trytond-web-shortener): Update to
  6.2.1.
  (trytond-product-cost-warehouse): Update to 6.2.1. [native-inputs]: Add
  trytond-account-invoice-stock.
  (trytond-web-shop-vue-storefront): Update to 6.2.1. [native-inputs]: Add
  trytond-product-image, trytond-stock-shipment-cost.
  (trytond-country): Update to 6.2.1. [propagated-inputs]: Remove
  python-pycountry; add python-pycountry@HIDDEN
  (trytond-account-invoice-defer, trytond-account-payment,
  trytond-account-payment-sepa, trytond-account-stock-landed-cost,
  trytond-notification-email, trytond-product-kit,
  trytond-sale-product-customer, trytond-sale-shipment-cost,
  trytond-stock-quantity-early-planning, trytond-stock-supply): Update to
  6.2.2.
  (trytond-account-statement, trytond-account-stock-continental,
  trytond-project-invoice, trytond-purchase,
  trytond-stock-package-shipping-dpd): Update to 6.2.3.
  (python-proteus): Update to 6.2.3. [propagated-inputs]: Add
  python-defusedxml.
  (trytond-account-invoice, trytond-sale): Update to 6.2.4.
  (tryton, trytond-account, trytond-stock): Update to 6.2.7.
  (trytond): Update to 6.2.10. [propagated-inputs]: Add python-defusedxml.
---
 gnu/packages/tryton.scm | 708 ++++++++++++++++++++--------------------
 1 file changed, 360 insertions(+), 348 deletions(-)

diff --git a/gnu/packages/tryton.scm b/gnu/packages/tryton.scm
index 9810a90d02..5307b0994d 100644
--- a/gnu/packages/tryton.scm
+++ b/gnu/packages/tryton.scm
@@ -57,18 +57,19 @@ installed in the same environments.  Collecting only paths actually containing
 (define-public trytond
   (package
     (name "trytond")
-    (version "6.0.6")
+    (version "6.2.10")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond" version))
        (sha256
-        (base32 "1jp5cadqpwkcnml8r1hj6aak5kc8an2d5ai62p96x77nn0dp3ny4"))
+        (base32 "0s53ig8snbs9936h99pwa0lwhcrd3j3cbpwlmf90mf1chrif7zca"))
        (patches (search-patches "trytond-add-egg-modules-to-path.patch"
                                 "trytond-add-guix_trytond_path.patch"))))
     (build-system python-build-system)
     (propagated-inputs
      (list python-dateutil
+           python-defusedxml
            python-genshi
            python-lxml
            python-magic
@@ -105,13 +106,13 @@ and security.")
 (define-public tryton
   (package
     (name "tryton")
-    (version "6.0.5")
+    (version "6.2.7")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "tryton" version))
        (sha256
-        (base32 "15cbp2r25pkr7lp4yliqgb6d0n779z70d4gckv56bx5aw4z27f66"))))
+        (base32 "1bvwkrj2mmnddaif60g2np2jpx8lq5ka32xlhd4rlnshnbryrm5q"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
@@ -146,19 +147,19 @@ and security.")
 (define-public python-proteus
   (package
     (name "python-proteus")
-    (version "6.0.2")
+    (version "6.2.3")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "proteus" version))
        (sha256
-        (base32 "0qr7rir7ysxvy2kyfzp2d2kcw9qzq4vdkddbwswzgddxjpycksdh"))))
+        (base32 "0xx8kqzgs66rgz6bk5favnjs0akz6znz81vmjwpwp2wpq7094fsr"))))
     (build-system python-build-system)
     ;; Tests require python-trytond-party which requires python-proteus.
     (arguments
      `(#:tests? #f))
     (propagated-inputs
-     (list python-dateutil))
+     (list python-dateutil python-defusedxml))
     (home-page "http://www.tryton.org/")
     (synopsis "Library to access a Tryton server as a client")
     (description
@@ -207,13 +208,13 @@ the build system."
 (define-public trytond-account
   (package
     (name "trytond-account")
-    (version "6.0.3")
+    (version "6.2.7")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account" version))
        (sha256
-        (base32 "0j1mn8sd5n8rkwgfvcy9kf8s7s3qxvnilnc72i83ac573zj922xc"))))
+        (base32 "1jjffyfkax36v6znhdyvlrr314h3d5rn13iwv3kvhsm6paddbmwi"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -233,13 +234,13 @@ most of accounting needs.")
 (define-public trytond-account-asset
   (package
     (name "trytond-account-asset")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_asset" version))
        (sha256
-        (base32 "12qf6f4hpxi6c3mx18d07ljbzzr58h0lg8yz95nby3g3mpx2mlaz"))))
+        (base32 "0zs0bqa3crfqc39z7c5hcj60w2aws2fv2l9y59v9sfy8azi32533"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_asset"))
     (native-inputs
@@ -257,13 +258,13 @@ of fixed assets.")
 (define-public trytond-account-be
   (package
     (name "trytond-account-be")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_be" version))
        (sha256
-        (base32 "1l4zxsh9f3ndsgj3224xv23nr7gbg5kwrydwgv34nlkyxp5557dk"))))
+        (base32 "0ff27b9g1nf1gqlbv71kq7nm25r85vqpn8b0piajcxln1pbwgnmw"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_be"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -278,13 +279,13 @@ chart of account for Belgium.")
 (define-public trytond-account-cash-rounding
   (package
     (name "trytond-account-cash-rounding")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_cash_rounding" version))
        (sha256
-        (base32 "15xl36929zgfw9rlwaqdqs5l4ijspfx8i060z6884p2nizhh69s5"))))
+        (base32 "0lxwz3f1p8szphvl64w8fhjnnvn30fin5k1rh47ikvcmlpq8xb67"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_cash_rounding"))
     (native-inputs
@@ -304,13 +305,13 @@ amounts to be rounded using the cash rounding factor of the currency.")
 (define-public trytond-account-credit-limit
   (package
     (name "trytond-account-credit-limit")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_credit_limit" version))
        (sha256
-        (base32 "1ni4cfydypxrkdj7fc0j4js9ygfkxa22ii5db2p89z2izbg1hxd8"))))
+        (base32 "1j3krz4qm04366d1k4sdf089vwbjl29lw8wbpd002hr2lb2lppm3"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_credit_limit"))
     (native-inputs
@@ -327,13 +328,13 @@ credit limit of parties.")
 (define-public trytond-account-de-skr03
   (package
     (name "trytond-account-de-skr03")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_de_skr03" version))
        (sha256
-        (base32 "1dhgspabr2bm0y6qkzh5kz6badhf23arzkw7lra1zsn52r23j9dl"))))
+        (base32 "1igag4nbafr5il6fqw7piak0wma6mgxhzy59zpsnl8gcl96jijv1"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_de_skr03"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -348,13 +349,13 @@ Tryton.")
 (define-public trytond-account-deposit
   (package
     (name "trytond-account-deposit")
-    (version "6.0.1")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_deposit" version))
        (sha256
-        (base32 "005yw868wxv8fhp7dlqd2z19hhjlmk4cgqa36axdfjmbwxvh1r6r"))))
+        (base32 "0axp72p00fk1r6mr9pip8g4276wvb55vfbp962f3gdsijslj9mqi"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_deposit"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -374,13 +375,13 @@ the party.")
 (define-public trytond-account-dunning
   (package
     (name "trytond-account-dunning")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_dunning" version))
        (sha256
-        (base32 "0d5wabn5g1gzmllihkdhzqix934184v303pp20927qxpzb2pm3qw"))))
+        (base32 "0kzafh99055ghg5d8vs411y5c8v1xjqqf23n1sa9a4dzj10wlq97"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_dunning"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -395,13 +396,13 @@ receivable move lines.")
 (define-public trytond-account-dunning-email
   (package
     (name "trytond-account-dunning-email")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_dunning_email" version))
        (sha256
-        (base32 "0sbh2rnziw5fhlbaq4n8q9rwqcgz35rik77dbvhflyyjdxh51vfq"))))
+        (base32 "01d0cwgvl40i7zq9s3yrmf504j8s6395vs8mm1hgg0s9dpi7pl46"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_dunning_email"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -418,13 +419,13 @@ emails.")
 (define-public trytond-account-dunning-fee
   (package
     (name "trytond-account-dunning-fee")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_dunning_fee" version))
        (sha256
-        (base32 "1h8qlrdvpyyf36cdss5lv3qp4h4xs6kp3ybh9ci14mhwy0jyni75"))))
+        (base32 "0v88xkigxqr1py2l25z3qfrr1irpllsi7zzwg3sxmp12d8pi8szk"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_dunning_fee"))
     (native-inputs
@@ -441,13 +442,13 @@ accounting moves as fees when processing dunning.")
 (define-public trytond-account-dunning-letter
   (package
     (name "trytond-account-dunning-letter")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_dunning_letter" version))
        (sha256
-        (base32 "0xb0mpf7n8jjgm8sb52q5sb2fjs1ap1gc0p33csdgz2lyh66lh3b"))))
+        (base32 "1jx1ad7kwlk7cm5j2b15bf4lcy5d2c13j8ag48v0pfy3kiglr2z3"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_dunning_letter"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -464,22 +465,23 @@ letters.")
 (define-public trytond-account-es
   (package
     (name "trytond-account-es")
-    (version "6.0.2")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_es" version))
        (sha256
-        (base32 "19qflzfwbbwz7jxxbah2l8z89m1rwsgvm80w2qsjw93chzabz802"))))
+        (base32 "0wwfkqxlppaild62labldabcnzgdmiqd36sknqdb69jn4ljhw4im"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_es"))
     (native-inputs
      `(,@(%standard-trytond-native-inputs)
        ("trytond-account-asset" ,trytond-account-asset)
-       ("trytond-account-payment-sepa" ,trytond-account-payment-sepa)))
+       ("trytond-account-payment-sepa" ,trytond-account-payment-sepa)
+       ("trytond-sale-advance-payment" ,trytond-sale-advance-payment)))
     (propagated-inputs
-     (list trytond trytond-account trytond-account-eu
-           trytond-account-invoice trytond-party))
+     (list trytond trytond-account trytond-account-eu trytond-account-invoice
+           trytond-company trytond-currency trytond-party))
     (home-page "https://docs.tryton.org/projects/modules-account-es")
     (synopsis "Tryton with Spanish chart of accounts")
     (description "This package provides the following Spanish charts of
@@ -501,13 +503,13 @@ A wizard allows generating the following AEAT files:
 (define-public trytond-account-eu
   (package
     (name "trytond-account-eu")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_eu" version))
        (sha256
-        (base32 "1x3w7iijkckv20q8lpqb5fnfrvddm130f51mcpnh4hlyx14q1c5i"))))
+        (base32 "1k11ncamp4cd5bdpj4va9p0vga2vcgfwd7wbivf1w4m1bzpisvm8"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_eu"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -531,13 +533,13 @@ accounting requirements in Europe.  It includes:
 (define-public trytond-account-fr
   (package
     (name "trytond-account-fr")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_fr" version))
        (sha256
-        (base32 "1zpzdnd68gsjrz4as019amygdh8yad8wvwrm22dbccwmbbnyvqpg"))))
+        (base32 "18wmijaxah125skhgpqc7iaw6a8md5mpv7m5yazcrscx9pk1z5jz"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_fr"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -552,13 +554,13 @@ for Tryton.")
 (define-public trytond-account-fr-chorus
   (package
     (name "trytond-account-fr-chorus")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_fr_chorus" version))
        (sha256
-        (base32 "13z30390zinv6ps0zr3k7mdmxrw2nhr49k248yjk0c0qh9rwifll"))))
+        (base32 "14rcfk825m7wi73a4ahps5wqrz2aws3a7spz402mmbfxz84ypvbg"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_fr_chorus"))
     (native-inputs
@@ -586,13 +588,13 @@ using the credential from the accounting configuration.")
 (define-public trytond-account-invoice
   (package
     (name "trytond-account-invoice")
-    (version "6.0.3")
+    (version "6.2.4")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_invoice" version))
        (sha256
-        (base32 "0r8zigb4qmv40kf835x8jd7049nnhk5g7g0aibvfd0y9p28lspnz"))))
+        (base32 "12hkrlni1psa5n72bvz94zqwfmzpy24814p0f2vk1cmzkbsfb6vi"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_invoice"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -617,13 +619,13 @@ term.")
 (define-public trytond-account-invoice-correction
   (package
     (name "trytond-account-invoice-correction")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_invoice_correction" version))
        (sha256
-        (base32 "152jxsl6v2wclk1wjhykbyvianh47cp2yg575hkx18dfynyp7nmw"))))
+        (base32 "1m95h7bnwzjbhrnbld5bka4hqygm0d8jcg1g2nmdyqakcniljv34"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_invoice_correction"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -641,13 +643,13 @@ original quantity, once with the inverted quantity.")
 (define-public trytond-account-invoice-defer
   (package
     (name "trytond-account-invoice-defer")
-    (version "6.0.0")
+    (version "6.2.2")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_invoice_defer" version))
        (sha256
-        (base32 "1ay9cpf6z8j3gamwy52z88qg31s09wkp6k5flv20f9c00hvly452"))))
+        (base32 "1jjsadia1bxx0h80aqhm0alzxdqbkg3by0i7i6qfk7wwikim6lkm"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_invoice_defer"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -664,13 +666,13 @@ deferring the expense or the revenue of an invoice line over many periods.")
 (define-public trytond-account-invoice-history
   (package
     (name "trytond-account-invoice-history")
-    (version "6.0.1")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_invoice_history" version))
        (sha256
-        (base32 "0pq1raj6v76vqsb2mk1bfv1vg1ngfk9iiai30rlzj2zcl53phcvj"))))
+        (base32 "1qg8x6kggi2f390y35m7k3mfi358zr4jwiw76vw5kkrpa3gm4lyj"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_invoice_history"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -686,13 +688,13 @@ the historization of the invoice and its related fields.")
 (define-public trytond-account-invoice-line-standalone
   (package
     (name "trytond-account-invoice-line-standalone")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_invoice_line_standalone" version))
        (sha256
-        (base32 "1affxhinyzz1lqfq621f76fixnx523fi7qrxwsqa4f1b6g31651a"))))
+        (base32 "15ld3iixh8kgil5zw3q4acci4xvdcd56lyin154qaak12f7rms0z"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_invoice_line_standalone"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -708,13 +710,13 @@ allows creating an invoice line not linked to an invoice.")
 (define-public trytond-account-invoice-secondary-unit
   (package
     (name "trytond-account-invoice-secondary-unit")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_invoice_secondary_unit" version))
        (sha256
-        (base32 "0wam7v92ldajpx3529x2cfvczgwv8ayr6hi6bwj8fi736p9x2kbp"))))
+        (base32 "1wmc8zx51saqxbg26b7jnhl7ss3gjrhzxn7zqqsis9dps6l07jwf"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_invoice_secondary_unit"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -730,13 +732,13 @@ a secondary unit of measure on invoice line.")
 (define-public trytond-account-invoice-stock
   (package
     (name "trytond-account-invoice-stock")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_invoice_stock" version))
        (sha256
-        (base32 "1228n6vsx0rdjsy3idvpyssa3n21nhvz9gqaacwa46c0hp2251bp"))))
+        (base32 "0q12v6xdpsw4fjm9pqp73bffdixi2hm9j2vxxx6n2p9r0c3g1gj1"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_invoice_stock"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -757,13 +759,13 @@ average price of the posted invoice lines that are linked to it.")
 (define-public trytond-account-payment
   (package
     (name "trytond-account-payment")
-    (version "6.0.1")
+    (version "6.2.2")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_payment" version))
        (sha256
-        (base32 "006d78kcml65mxikqp80igln118vkxfs9ah03lq5j9bvnfr6bb2m"))))
+        (base32 "0gsg53fiqdmrdpckpfh5sm56ycqjdpa26calmng4p0v2rz557l1f"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_payment"))
     (native-inputs
@@ -781,13 +783,13 @@ payments for receivable or payable Account Move Lines.")
 (define-public trytond-account-payment-braintree
   (package
     (name "trytond-account-payment-braintree")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_payment_braintree" version))
        (sha256
-        (base32 "0dgw47q4m5l13bhfl1kdpajh0q94pazdrq9sqzf1vg9mggai2gvi"))))
+        (base32 "0s8li1ynb89nx5isxmg0rbbk6aw85i0218391z9nzgkj8kxgww9j"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_payment_braintree"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -806,13 +808,13 @@ methods.")
 (define-public trytond-account-payment-clearing
   (package
     (name "trytond-account-payment-clearing")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_payment_clearing" version))
        (sha256
-        (base32 "0dvjfgp0lrqn838wchkmhbbg4990xx2jv337rivnis164nw84dn0"))))
+        (base32 "037d759nzfs5qh97a5hq24argrga9i3p0b966xckss38cwyq7ixq"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_payment_clearing"))
     (native-inputs
@@ -833,13 +835,13 @@ journal.")
 (define-public trytond-account-payment-sepa
   (package
     (name "trytond-account-payment-sepa")
-    (version "6.0.0")
+    (version "6.2.2")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_payment_sepa" version))
        (sha256
-        (base32 "0clnl2lql5q0gh48lad3vw47xajgd3cdj4kbmvdi72jh775p174w"))))
+        (base32 "0c3ij24l8mxad2ppd3r24mx92l2xm52ip2syf88wlxqhsja9p945"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_payment_sepa"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -859,13 +861,13 @@ generating SEPA files for a Payment Group.")
 (define-public trytond-account-payment-sepa-cfonb
   (package
     (name "trytond-account-payment-sepa-cfonb")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_payment_sepa_cfonb" version))
        (sha256
-        (base32 "0ccn5s360w78wqnq86qfyci8wii4n1n3pd9wvwsnbrpmabj1byv1"))))
+        (base32 "1a4g2jzk8f98iy3plzanz8wfw5jixqpbsljqfigcp05nykbcfwzf"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_payment_sepa_cfonb"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -886,13 +888,13 @@ CFONB flavors to SEPA messages.")
 (define-public trytond-account-payment-stripe
   (package
     (name "trytond-account-payment-stripe")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_payment_stripe" version))
        (sha256
-        (base32 "18hr2lrrx9asb0d3cjcpska4bv825yjln9cbqjzg0xbl36z6w3s2"))))
+        (base32 "11lmgw4ny5v7zimvx35kkmy9n2pa342j97abn25y10yrcacfjhvh"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_payment_stripe"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -910,13 +912,13 @@ checkout form to handle Setup Intent and Payment Intent by card.")
 (define-public trytond-account-product
   (package
     (name "trytond-account-product")
-    (version "6.0.2")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_product" version))
        (sha256
-        (base32 "1z0dn1p22smzb4a9v451224wrpxcw94inl7jxkarc0q088gasn7d"))))
+        (base32 "1z1ri2plsmdnhgw64r5yxk2m346zcnva8nddmcwcalis35krgjcx"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_product"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -936,13 +938,13 @@ and category.")
 (define-public trytond-account-statement
   (package
     (name "trytond-account-statement")
-    (version "6.0.0")
+    (version "6.2.3")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_statement" version))
        (sha256
-        (base32 "0nlak4kv2ampb5v2zbsvabnirvdi53h6vr35kp2zmrv4alpjsla0"))))
+        (base32 "1c7k1xv5jcraaa9dqdzxphqffycbc1ygy0gc49909vql1r8dpzk5"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_statement"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -963,13 +965,13 @@ statements.  Statement can be used for bank statement, cash daybook etc.")
 (define-public trytond-account-statement-aeb43
   (package
     (name "trytond-account-statement-aeb43")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_statement_aeb43" version))
        (sha256
-        (base32 "09mkxb9m9167lpca8pb8k4rvnwhsng6b6pmhw9c21w2r4q0hppxv"))))
+        (base32 "1snjabg4qixsb99lsrirpx7zrz0f21wy46d61rar5704657yxyc9"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_statement_aeb43"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -987,13 +989,13 @@ defined by the Spanish banking association.")
 (define-public trytond-account-statement-coda
   (package
     (name "trytond-account-statement-coda")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_statement_coda" version))
        (sha256
-        (base32 "11gryxh2b2py0h6f89nj2y42cwb8rrxjn0r5jbhrcsfhb2kh1x3w"))))
+        (base32 "0flz8rkavfcwq3przw9sq8jnpf6hdmyi3ip7vc89s3ykdx4qcrh0"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_statement_coda"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1011,13 +1013,13 @@ defined by Belgian \"febelfin\".")
 (define-public trytond-account-statement-ofx
   (package
     (name "trytond-account-statement-ofx")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_statement_ofx" version))
        (sha256
-        (base32 "1n24lwp1lfw59xdd7mqaz6ncr5b0bldr2qniqdnkvyaav0h8h5px"))))
+        (base32 "01ncqvz4nx277q7x50sqwwvcy3hcpgp7bwhbp2l5aa2habprki8x"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_statement_ofx"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1034,13 +1036,13 @@ the import of the @emph{OFX} files as statement.")
 (define-public trytond-account-statement-rule
   (package
     (name "trytond-account-statement-rule")
-    (version "6.0.1")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_statement_rule" version))
        (sha256
-        (base32 "0kg6lf2wa5scwxggr8p7r7j6jd3a34qv2dcs9w18ra1qvg6p4kmp"))))
+        (base32 "1fbn4z111k0wwsy9jr9np82yyc7xiniavyavwhf0qf3l6l8qwk6x"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_statement_rule"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1066,13 +1068,13 @@ linked to the origin.")
 (define-public trytond-account-stock-anglo-saxon
   (package
     (name "trytond-account-stock-anglo-saxon")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_stock_anglo_saxon" version))
        (sha256
-        (base32 "090a4ykrlk2xpqxqhmpa2jrbjkrvhibm60ilp1n28wisbgv9d3di"))))
+        (base32 "1jgj5kb85qj3kb1hcyb9jps1x062cqa32x5rp4rvgg64824d8hwz"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_stock_anglo_saxon"))
     (native-inputs
@@ -1098,13 +1100,13 @@ anglo-saxon accounting model for stock valuation.")
 (define-public trytond-account-stock-continental
   (package
     (name "trytond-account-stock-continental")
-    (version "6.0.1")
+    (version "6.2.3")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_stock_continental" version))
        (sha256
-        (base32 "1i7cyxqs2vxxvg5iyplhai4g8pi0nmh90i5kxqhbnhich6myfr4n"))))
+        (base32 "1dzldnasshpx2gn15scycj72z85z5xli5wq1h39y8brb49ib7nvy"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_stock_continental"))
     (native-inputs
@@ -1126,13 +1128,13 @@ continental accounting model for stock valuation.")
 (define-public trytond-account-stock-landed-cost
   (package
     (name "trytond-account-stock-landed-cost")
-    (version "6.0.1")
+    (version "6.2.2")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_stock_landed_cost" version))
        (sha256
-        (base32 "1p5xgd76585i55zcwvsi2gqhl0br9gbw398ap7m0cvadxfa6nxch"))))
+        (base32 "01yfkhwxw86s354y51bhs799cvfhwkmjrnmhaspbn889mkpir0wg"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_stock_landed_cost"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1149,13 +1151,13 @@ allocating landed cost on Supplier Shipments after their reception.")
 (define-public trytond-account-stock-landed-cost-weight
   (package
     (name "trytond-account-stock-landed-cost-weight")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_stock_landed_cost_weight" version))
        (sha256
-        (base32 "10i0ww3k2cgdg227lv6h8ag2j6rm07maylbh3n0grwxfy8dbq34m"))))
+        (base32 "1dx5m5l1ccnffkqgwxpfk57g1wndxq1q1jrmrbf4cj6q47x1y0xx"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_stock_landed_cost_weight"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1173,13 +1175,13 @@ from the Product Measurements")
 (define-public trytond-account-tax-cash
   (package
     (name "trytond-account-tax-cash")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_tax_cash" version))
        (sha256
-        (base32 "1di8brrj4jpx99i0553whyh2fddayvwq06dwdshb3iibgv4357cr"))))
+        (base32 "0hy5929697lsa84xyy535gh4s2j1yv4vdfxyi93md17pjf95hwpg"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_tax_cash"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1194,13 +1196,13 @@ report on cash basis.")
 (define-public trytond-account-tax-rule-country
   (package
     (name "trytond-account-tax-rule-country")
-    (version "6.0.1")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_account_tax_rule_country" version))
        (sha256
-        (base32 "0gy2zp023d2wqcivaiw5db5d8f4wrpqdnd6jywjhpkvqk4ay6i27"))))
+        (base32 "0bg831hha4j71lm9xhpv4al2qaxmk8qgli5s9hx2h4bcy1hbf5wf"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "account_tax_rule_country"))
     (native-inputs
@@ -1222,13 +1224,13 @@ criteria.")
 (define-public trytond-analytic-account
   (package
     (name "trytond-analytic-account")
-    (version "6.0.2")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_analytic_account" version))
        (sha256
-        (base32 "09j9xz41n5hk3j7w63xbw1asd3p00prqvl652qcm9x1nrlmqiw3r"))))
+        (base32 "1ys9admjlgvn2m2zjp74liplzmc8q12x8i004cgb5m43x2mhrj8d"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "analytic_account"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1249,13 +1251,13 @@ required to analyse accounting using multiple different axes.")
 (define-public trytond-analytic-invoice
   (package
     (name "trytond-analytic-invoice")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_analytic_invoice" version))
        (sha256
-        (base32 "151vwcn5sgpqma9kjxbznx4v4wlhfc97dcyb432brxnswf5glcir"))))
+        (base32 "0416knbcn7wcx4anzvl0hw7qcdn3xndlh5i0pa0xffvw6kw1ijp9"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "analytic_invoice"))
     (native-inputs
@@ -1272,13 +1274,13 @@ analytic accounts on an invoice line.")
 (define-public trytond-analytic-purchase
   (package
     (name "trytond-analytic-purchase")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_analytic_purchase" version))
        (sha256
-        (base32 "1yx3w3p98y11qw99jy02kal9393y6jpxazsfcznsffgigw2vl3y6"))))
+        (base32 "098sdhmr1idqqaxms3c05pgmvb27bykwfhgibxi9l1lr6k06d2cr"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "analytic_purchase"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1294,13 +1296,13 @@ analytic accounts on a purchase line.")
 (define-public trytond-analytic-sale
   (package
     (name "trytond-analytic-sale")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_analytic_sale" version))
        (sha256
-        (base32 "07l97jmg67468pihymfcjagqbbfdcmry3654f24zbmnljxy2qm1x"))))
+        (base32 "00b3xiykm9j0kf1f9kmsy22413rdjsmvg5li7bd4xrxk22j8v4wv"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "analytic_sale"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1316,13 +1318,13 @@ analytic accounts on a sale line.")
 (define-public trytond-attendance
   (package
     (name "trytond-attendance")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_attendance" version))
        (sha256
-        (base32 "1kwbxblpwjw9sv9axfp29vqgdkwkzf0c0vw8qx1fx8mfwv1hba5c"))))
+        (base32 "0g9b0x4zdz6djmd592ll8zj4q3lhz5gj97phc38kkzvwgvpq9xw2"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "attendance"))
     (native-inputs
@@ -1341,13 +1343,13 @@ detail of the time of entrance and exit")
 (define-public trytond-authentication-sms
   (package
     (name "trytond-authentication-sms")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_authentication_sms" version))
        (sha256
-        (base32 "1g46mimgjkz2lvh90p2ffmkfgwl7w03iqnvqlcghwpxk5vyxw3sj"))))
+        (base32 "17237qrmk8pm7lifrn5zjvsf42cs2q6p2h6qw2vk9fixdz1gxk9x"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "authentication_sms"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1364,13 +1366,13 @@ configuration file.")
 (define-public trytond-bank
   (package
     (name "trytond-bank")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_bank" version))
        (sha256
-        (base32 "0qwgp2s88n4hcqqxg1g34lmmvq5spdlkm978gzn6s96kmmzang0c"))))
+        (base32 "1gvsd8yyrba9bsql9zi4wlmg1jyjb7m13m15av0szkwxylcy0c0q"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "bank"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1385,13 +1387,13 @@ and account.")
 (define-public trytond-carrier
   (package
     (name "trytond-carrier")
-    (version "6.0.2")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_carrier" version))
        (sha256
-        (base32 "0kp08jb5f86bzfyn99qs4k1047svdrkhz3jxv3jw46vrpc2s0c1y"))))
+        (base32 "1fr12m4qi0fkxnbjq5v1sf5dkic9xb2j0bvb8y18if3hh0csfcy7"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "carrier"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1406,19 +1408,20 @@ of carrier.")
 (define-public trytond-carrier-percentage
   (package
     (name "trytond-carrier-percentage")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_carrier_percentage" version))
        (sha256
-        (base32 "0glgjf733qliqxbr1sykxn2rlphagnpixhkg84my7bv6cxfmvkh6"))))
+        (base32 "0lnahli4bc4zspr86i8qchza96k4cmsfcdg3wp7wicp1s2ki7bbw"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "carrier_percentage"))
     (native-inputs
      `(,@(%standard-trytond-native-inputs)
        ("trytond-purchase-shipment-cost" ,trytond-purchase-shipment-cost)
-       ("trytond-sale-shipment-cost" ,trytond-sale-shipment-cost)))
+       ("trytond-sale-shipment-cost" ,trytond-sale-shipment-cost)
+       ("trytond-stock-shipment-cost" ,trytond-stock-shipment-cost)))
     (propagated-inputs
      (list trytond trytond-carrier trytond-currency))
     (home-page "https://docs.tryton.org/projects/modules-carrier-percentage")
@@ -1430,18 +1433,19 @@ method \"on percentage\" on carrier.")
 (define-public trytond-carrier-subdivision
   (package
     (name "trytond-carrier-subdivision")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_carrier_subdivision" version))
        (sha256
-        (base32 "1mmbz541yywdgm16ij2xfvm50xad24plmqdb739ssg6jj0skmji4"))))
+        (base32 "1a4jpi6iaah3f1zsdsjz2zak6wd9jai4jcqzijl2li4pcnkc0x8a"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "carrier_subdivision"))
     (native-inputs
      `(,@(%standard-trytond-native-inputs)
-       ("trytond-sale-shipment-cost" ,trytond-sale-shipment-cost)))
+       ("trytond-sale-shipment-cost" ,trytond-sale-shipment-cost)
+       ("trytond-stock-shipment-cost" ,trytond-stock-shipment-cost)))
     (propagated-inputs
      (list trytond trytond-carrier))
     (home-page "https://docs.tryton.org/projects/modules-carrier-subdivision")
@@ -1464,19 +1468,20 @@ or a specific postal code.")
 (define-public trytond-carrier-weight
   (package
     (name "trytond-carrier-weight")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_carrier_weight" version))
        (sha256
-        (base32 "0l2gg4syym7jk0vjqnw7invh0gngrfmg9zmmvc1k6110aryr77yi"))))
+        (base32 "0mvz7q2hb4bcj3abvi4dxmnqbrph1g49s2bvyf3lx9ykbmr6v3n7"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "carrier_weight"))
     (native-inputs
      `(,@(%standard-trytond-native-inputs)
        ("trytond-purchase-shipment-cost" ,trytond-purchase-shipment-cost)
-       ("trytond-sale-shipment-cost" ,trytond-sale-shipment-cost)))
+       ("trytond-sale-shipment-cost" ,trytond-sale-shipment-cost)
+       ("trytond-stock-shipment-cost" ,trytond-stock-shipment-cost)))
     (propagated-inputs
      (list trytond
            trytond-carrier
@@ -1494,13 +1499,13 @@ the weight is greater or equal but smaller than the next line.")
 (define-public trytond-commission
   (package
     (name "trytond-commission")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_commission" version))
        (sha256
-        (base32 "0a5grn6gvvwn0prr5fpgyj4kz283w08a8svmv3b4a4c5pchik3hv"))))
+        (base32 "1m8cg6vb08paymi3bckqwp2vg0as36p6jadg86dc4b1axabas144"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "commission"))
     (native-inputs
@@ -1524,13 +1529,13 @@ invoice, following the agent's commission plan.")
 (define-public trytond-commission-waiting
   (package
     (name "trytond-commission-waiting")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_commission_waiting" version))
        (sha256
-        (base32 "113wzwjip8virdh9bnh14vl29wb3w7a32skk5yibja819s19ycdn"))))
+        (base32 "16y11dc33x1h55v94rab8wzbh4d1pc35vd64ys8915rvijpm6xm5"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "commission_waiting"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1547,13 +1552,13 @@ to a waiting account defined on the agent.")
 (define-public trytond-company
   (package
     (name "trytond-company")
-    (version "6.0.3")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_company" version))
        (sha256
-        (base32 "1q4qdyg32dn00pn3pj2yjl3jhxaqpv7a1cv5s5c95cpy5p46p02n"))))
+        (base32 "03ss7cwxbynn8ly5y32bj1cl2ikji9ydsby62l440jb025sn9x8v"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "company"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1572,13 +1577,13 @@ company and employee and extend the user model.")
 (define-public trytond-company-work-time
   (package
     (name "trytond-company-work-time")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_company_work_time" version))
        (sha256
-        (base32 "0aasp12l66zcys9w3qc4ysi2krd5c9x3xxaxvr29j7zl7nz05bwx"))))
+        (base32 "08nhnlxy1z5drlmxdsd6ad166qx5ckymzx94ja824n1qqac17zqw"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "company_work_time"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1598,19 +1603,19 @@ month and a year of work.")
 (define-public trytond-country
   (package
     (name "trytond-country")
-    (version "6.0.1")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_country" version))
        (sha256
-        (base32 "1ksinysac7p0k8avsz8xqzfkmm21s6i93qyrsma5h4y5477cwmw7"))))
+        (base32 "1mlf6fwngdbqy6c7xi7nmg4dph3nnac61rkzhn79x5zqg2mgnv53"))))
     (build-system python-build-system)
     ;; Doctest contains one test that requires internet access.
     (arguments (tryton-arguments "country" "--no-doctest"))
     (native-inputs (%standard-trytond-native-inputs))
     (propagated-inputs
-     (list python-pycountry trytond))
+     (list python-pycountry@HIDDEN trytond))
     (home-page "http://www.tryton.org/")
     (synopsis "Tryton module with countries")
     (description
@@ -1623,13 +1628,13 @@ month and a year of work.")
 (define-public trytond-currency
   (package
     (name "trytond-currency")
-    (version "6.0.1")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_currency" version))
        (sha256
-        (base32 "0fs2wvhgvc0l4yzs5m9l8z4lbzazr42hgz0859malhnlp1sya2kq"))))
+        (base32 "1sx9wanb4r95gs5hsl6hgy0gcvsfh0yr17rnhaa908286f88wa4f"))))
     (build-system python-build-system)
     ;; Doctest 'scenario_currency_rate_update.rst' fails.
     (arguments (tryton-arguments "currency" "--no-doctest"))
@@ -1652,13 +1657,13 @@ currency and rate.")
 (define-public trytond-customs
   (package
     (name "trytond-customs")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_customs" version))
        (sha256
-        (base32 "1qilj1b9zr35z15313xbvgklf87dgxddvkcnymklwp9n7vs7hrz5"))))
+        (base32 "1zx9cwiq9q4802bj2ga3bilyjls60vpycp3cncqfqh2n4mg23xlq"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "customs"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1674,13 +1679,13 @@ duty based on the tariff code.")
 (define-public trytond-dashboard
   (package
     (name "trytond-dashboard")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_dashboard" version))
        (sha256
-        (base32 "1drqiks8r7y58wz0skfa39v9yqx9fi5x0ymrrjd87wybw9q3kv46"))))
+        (base32 "1b8dalnbj69ppk8q7znw1ljyv5515r16m6gfd9a3l25dpvj0cxz2"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "dashboard"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1695,13 +1700,13 @@ configure their dashboard.")
 (define-public trytond-edocument-uncefact
   (package
     (name "trytond-edocument-uncefact")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_edocument_uncefact" version))
        (sha256
-        (base32 "0b5qhkirfkrh5g1d7m42f7niiz86favf352i403fdi4j532sl3i2"))))
+        (base32 "0nf72c5sw33c77y87idkhf8fz39a7qlgmlrbnzz1cwcpky4hrmdg"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "edocument_uncefact"))
     (native-inputs
@@ -1723,13 +1728,13 @@ electronic document from UN/CEFACT.  Supported formats are:
 (define-public trytond-edocument-unece
   (package
     (name "trytond-edocument-unece")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_edocument_unece" version))
        (sha256
-        (base32 "1ri3gjvk0h0sljbgh7h2j0rbr3953p3k21l8x6rhrnh1q2rqgi70"))))
+        (base32 "1ikrh9yk5if8v1sw1aihnysbpipmly6r6ka6zccjcywm1cmabhx0"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "edocument_unece"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1751,13 +1756,13 @@ from the UNECE.  Supported formats are:
 (define-public trytond-gis
   (package
     (name "trytond-gis")
-    (version "6.0.1")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_gis" version))
        (sha256
-        (base32 "1z6rvwyzisd62bmzhh1g56as7xyvchdsgj52w9q5x908k2jr4pl4"))))
+        (base32 "0zfvbqzxhvjja03pv9ja9rml2i2fqiir5a92rz0vj3lx9azjbkvw"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "trytond_gis"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1771,13 +1776,13 @@ information system) support to Tryton.")
 (define-public trytond-google-maps
   (package
     (name "trytond-google-maps")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_google_maps" version))
        (sha256
-        (base32 "1wgcnl3r1017vicbf7rkcwv2ffrhaah90hcajn3i78bywjdag6nj"))))
+        (base32 "0g6hag2n7rc7avcawwhdkndbqxc957nyrwq4arkrlkidpbipw37n"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "trytond_google_maps"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1792,13 +1797,13 @@ default browser with the map centered on the selected address.")
 (define-public trytond-incoterm
   (package
     (name "trytond-incoterm")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_incoterm" version))
        (sha256
-        (base32 "09x53kqi7dvmr4kcri2b3f0lxyv99pi731vhk6581f3vy2bby97s"))))
+        (base32 "08sz2j3610iqqzz3qdl51pxdj8mncyjp8lg29y6sskfd0s4fhax5"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "incoterm"))
     (native-inputs
@@ -1814,7 +1819,8 @@ default browser with the map centered on the selected address.")
        ("trytond-sale-invoice-grouping" ,trytond-sale-invoice-grouping)
        ("trytond-sale-opportunity" ,trytond-sale-opportunity)
        ("trytond-sale-shipment-cost" ,trytond-sale-shipment-cost)
-       ("trytond-stock" ,trytond-stock)))
+       ("trytond-stock" ,trytond-stock)
+       ("trytond-stock-shipment-cost" ,trytond-stock-shipment-cost)))
     (propagated-inputs
      (list trytond trytond-company trytond-party))
     (home-page "https://docs.tryton.org/projects/modules-incoterm")
@@ -1827,13 +1833,13 @@ versions of 2010 and 2020.")
 (define-public trytond-ldap-authentication
   (package
     (name "trytond-ldap-authentication")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_ldap_authentication" version))
        (sha256
-        (base32 "1iylbpp66qjff1mkp0w3a703pracpcv3bv25i2bafkmcjiv9b4jl"))))
+        (base32 "0c3g2y8zqh17wwg9w3bk9q1gwm4hq7h8avchmbfawi6cq3g6ch5b"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "ldap_authentication"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1848,13 +1854,13 @@ authenticating users via a LDAP server.")
 (define-public trytond-marketing
   (package
     (name "trytond-marketing")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_marketing" version))
        (sha256
-        (base32 "0mh85sx5xj06zjmf9fhcislkwlp7k54fz14k3ia1xxpw5f953y3c"))))
+        (base32 "1ljv23ldva3cd07k0knncnawwrig8q6lgsxlm392dcqkyb8gvbjg"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "marketing"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1869,13 +1875,13 @@ fundamentals for marketing modules.")
 (define-public trytond-marketing-automation
   (package
     (name "trytond-marketing-automation")
-    (version "6.0.1")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_marketing_automation" version))
        (sha256
-        (base32 "0c2bjkxkpkjqm5zqk0r0gcxm1cxgixm6xxhh16j46vy7d4zssgsp"))))
+        (base32 "17x4pikw2i513wwrfv8g8xim65ksk3dwijahk1qhf3yqpa506kp2"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "marketing_automation"))
     (native-inputs
@@ -1894,13 +1900,13 @@ that are executed on selected records.")
 (define-public trytond-marketing-email
   (package
     (name "trytond-marketing-email")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_marketing_email" version))
        (sha256
-        (base32 "07zh1pni4kpm6bsgyizz0a5k64nyxc9laxxaih9py7d24p9pgvky"))))
+        (base32 "1z38c3lw8chqbm23y0wfsnp268kq2f9azly4ix6imis74zdjnzkl"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "marketing_email"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -1916,13 +1922,13 @@ mailing lists.")
 (define-public trytond-notification-email
   (package
     (name "trytond-notification-email")
-    (version "6.0.1")
+    (version "6.2.2")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_notification_email" version))
        (sha256
-        (base32 "12hi2p400b15vsmq2a4yifxppc08zdf5l64svv987mxxqv6403ma"))))
+        (base32 "1i0h7spdnf3gryzbzjm8khc0jxzj6g6ljsjgsd28h39kqpdxyffz"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "notification_email"))
     (native-inputs
@@ -1944,13 +1950,13 @@ to the email.")
 (define-public trytond-party
   (package
     (name "trytond-party")
-    (version "6.0.2")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_party" version))
        (sha256
-        (base32 "0aikzpr0ambc98v76dl6xqa42b08dy3b011y33lvxjp5mcha3f7y"))))
+        (base32 "1g62kzdqr4rq6k8zswil4anwhd22d8nzz0i852fmkdsb97yqg4id"))))
     (build-system python-build-system)
     ;; Doctest 'scenario_party_phone_number.rst' fails.
     (arguments (tryton-arguments "party" "--no-doctest"))
@@ -1970,13 +1976,13 @@ addresses.")
 (define-public trytond-party-avatar
   (package
     (name "trytond-party-avatar")
-    (version "6.0.1")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_party_avatar" version))
        (sha256
-        (base32 "1g0f4522bfw2ycr05yq9k570amwcfxf9sza89lhhpzg0kxx0mpq2"))))
+        (base32 "00gjjvslvcvfkdb0293n9yd9pmsnlbjvcnxrjg99vxkrn6dcwxzh"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "party_avatar"))
     (native-inputs
@@ -1993,13 +1999,13 @@ party.")
 (define-public trytond-party-relationship
   (package
     (name "trytond-party-relationship")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_party_relationship" version))
        (sha256
-        (base32 "03lkjmhinxm75schfn596vyg8459fx2spdyh372ikra3zdp8pg75"))))
+        (base32 "0vhm7zl29z8al4ay4n6gw3zazq07dsdhjc54il7sg3z9kz21xv6k"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "party_relationship"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2014,13 +2020,13 @@ different types of relations between parties.")
 (define-public trytond-party-siret
   (package
     (name "trytond-party-siret")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_party_siret" version))
        (sha256
-        (base32 "1xmfjiqn7wzwja34abrxn3bj39z0799pdxd8bcz7l5dxrnqxwc38"))))
+        (base32 "0ab5g3rs2k73wk01ykzh1s4pgrnypdv4l75lr3pn8hyxw9q4b5vk"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "party_siret"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2035,13 +2041,13 @@ identification numbers SIREN and SIRET on party and address.")
 (define-public trytond-product
   (package
     (name "trytond-product")
-    (version "6.0.1")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_product" version))
        (sha256
-        (base32 "1xvvqxkvzyqy6fn2sj5h3zj0g17igzwx6s18sxkdz72vqz6kpv0l"))))
+        (base32 "1cq270ng0rav7hzxip3fswbvhs6wkjadl2j8kmiy30qa43abmpwr"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "product"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2060,13 +2066,13 @@ Template and Product.")
 (define-public trytond-product-attribute
   (package
     (name "trytond-product-attribute")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_product_attribute" version))
        (sha256
-        (base32 "0brvwvm3q2ik4vjb9cwd6jxddrmpp2vcafw8k675gy0xbbp1ddik"))))
+        (base32 "10656g9na098ndjhy4iv1iv0020jin7yw38bb79zxynck39vld29"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "product_attribute"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2081,13 +2087,13 @@ models `Attribute` and `Attribute Set` for products.")
 (define-public trytond-product-classification
   (package
     (name "trytond-product-classification")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_product_classification" version))
        (sha256
-        (base32 "1sq42siqq8w6dd8jnqnkzy3npaf9g2nrdzazkl6nw5dysvpsz8cr"))))
+        (base32 "1a5rdvscp3hb7jddciqmpzb095yzmyvsj5jc06jiilvynrawwzsh"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "product_classification"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2104,13 +2110,13 @@ reference field classification to the product template.")
 (define-public trytond-product-classification-taxonomic
   (package
     (name "trytond-product-classification-taxonomic")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_product_classification_taxonomic" version))
        (sha256
-        (base32 "1pkk0z4bl1pz2yxs46b18fj35zwa80dnbickjg1ad66n9yrmifk6"))))
+        (base32 "1933kqhab8ky2mman13mmg06rdmlbak3sjgm5qbk615x5fzbl4s4"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "product_classification_taxonomic"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2126,13 +2132,13 @@ adds the taxonomic classification to the products.")
 (define-public trytond-product-cost-fifo
   (package
     (name "trytond-product-cost-fifo")
-    (version "6.0.1")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_product_cost_fifo" version))
        (sha256
-        (base32 "1zksnawvnbf1l2hkyxw4m85ysjy6i8kbx103sz4p9a9bgvjn3ai6"))))
+        (base32 "1lqd960z7dmy3000fhhqqbmq7c4lk2l2dqw383sd62ka5j57kpf4"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "product_cost_fifo"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2147,13 +2153,13 @@ first-in-first-out option in the `Cost Method` field of the product form.")
 (define-public trytond-product-cost-history
   (package
     (name "trytond-product-cost-history")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_product_cost_history" version))
        (sha256
-        (base32 "01cxx1lmcxwangk3q8lhbkd97w208qxpk96mqxv2hgds77xr42cj"))))
+        (base32 "16gnqa04fv7525ax12xfmh4phk4fvm577j3c80cahxqpvsp2a0q6"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "product_cost_history"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2172,17 +2178,18 @@ and assets.")
 (define-public trytond-product-cost-warehouse
   (package
     (name "trytond-product-cost-warehouse")
-    (version "6.0.1")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_product_cost_warehouse" version))
        (sha256
-        (base32 "12fcnmcx4m5wyw1hi3k175iiis5m18fcs72b04y14km583s6jcfr"))))
+        (base32 "0anz5071j1yzg9xp00qqcc3a4wb3zvl6605bzici76558zj7fl38"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "product_cost_warehouse"))
     (native-inputs
      `(,@(%standard-trytond-native-inputs)
+       ("trytond-account-invoice-stock" ,trytond-account-invoice-stock)
        ("trytond-account-stock-continental" ,trytond-account-stock-continental)
        ("trytond-product-cost-fifo" ,trytond-product-cost-fifo)
        ("trytond-product-cost-history" ,trytond-product-cost-history)))
@@ -2198,13 +2205,13 @@ cost price of products to be calculated separately for each warehouse.")
 (define-public trytond-product-kit
   (package
     (name "trytond-product-kit")
-    (version "6.0.3")
+    (version "6.2.2")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_product_kit" version))
        (sha256
-        (base32 "1xr1vd66lrnzj16ycbw5xnz4ai44ml77akhsvxvihf09zdz09yd7"))))
+        (base32 "1s41jng93cmf4pahz59jmza1k6nj6pb532k0mn2xnr0pgnh26w9m"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "product_kit"))
     (native-inputs
@@ -2227,13 +2234,13 @@ purchased using a single line.")
 (define-public trytond-product-measurements
   (package
     (name "trytond-product-measurements")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_product_measurements" version))
        (sha256
-        (base32 "0za3p0wxh2kb6f49455pggnpmy0vfiwj95j5c3l63x8q5yp8vdjl"))))
+        (base32 "111q382lv3yg76r7jxfhnvr35kgi2fhiyxyj07immvwm5k3z0vi1"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "product_measurements"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2248,13 +2255,13 @@ following measurements to Product:")
 (define-public trytond-product-price-list
   (package
     (name "trytond-product-price-list")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_product_price_list" version))
        (sha256
-        (base32 "1csr2g7wx89kykhm76dyrjn0nicvjmc4razqfqpj9rhdpwppdgr6"))))
+        (base32 "0x85317skmqkq12i9qqyjiny37rn2dccx7rk7lan87jj2cam70q4"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "product_price_list"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2269,13 +2276,13 @@ to compute prices per product or category.")
 (define-public trytond-product-price-list-dates
   (package
     (name "trytond-product-price-list-dates")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_product_price_list_dates" version))
        (sha256
-        (base32 "0p1n4qivj9gfhdy0357n53wswyi14rnanc2bkayiv3zfr7qkf2m1"))))
+        (base32 "0312s99fqfjwyn5lp3b8qd7j0ac0208jbalgxxazfks1h2g22nj5"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "product_price_list_dates"))
     (native-inputs
@@ -2293,13 +2300,13 @@ date and end date conditions to the price list lines.")
 (define-public trytond-product-price-list-parent
   (package
     (name "trytond-product-price-list-parent")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_product_price_list_parent" version))
        (sha256
-        (base32 "15jdw9qj2fffml9x4vdlzp3iz5gs2l597hpf5y5p887mmx9aa8cn"))))
+        (base32 "0w5fmr2p56p44yq33qgjxp5b8r7bpyixwpdp6xgbrd36ig9wcg3z"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "product_price_list_parent"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2316,13 +2323,13 @@ which contains the unit price computed by the parent price list.")
 (define-public trytond-production
   (package
     (name "trytond-production")
-    (version "6.0.1")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_production" version))
        (sha256
-        (base32 "0ys1wg52bs3i7yjrrkm9ycn07xz7fsb2pqc4a2bj44691pvrclpk"))))
+        (base32 "1sjrpyh4cxllmcxh085nfkq4hhdaz2mcgs1x9hwcsk9scqbi8fkw"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "production"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2337,13 +2344,13 @@ for production management: Bill of material and production order.")
 (define-public trytond-production-outsourcing
   (package
     (name "trytond-production-outsourcing")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_production_outsourcing" version))
        (sha256
-        (base32 "08pp80d4jfw7qmhvds60i63pb2nad489xwkf2ybbzdkrzhcgrrjk"))))
+        (base32 "0ms50p42jr23v2fgm3kplacr11czx16dljmxvvn4qgxlacsf0dz0"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "production_outsourcing"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2362,13 +2369,13 @@ the production.")
 (define-public trytond-production-routing
   (package
     (name "trytond-production-routing")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_production_routing" version))
        (sha256
-        (base32 "0qypqsf36lf02wrbv7pwhg2vv7004g7c6vxd1z2aiwj58g8q7894"))))
+        (base32 "1a6cw0yc60ijd8bnrk84rzx4swqi294g3dsapp03hapn9rgdjbpj"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "production_routing"))
     (native-inputs
@@ -2385,13 +2392,13 @@ routings for production: Routing, Step and Operation.")
 (define-public trytond-production-split
   (package
     (name "trytond-production-split")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_production_split" version))
        (sha256
-        (base32 "0jl2jnm0lwybwjw2w4nb7ih2s3z7lp00l6zm5vsx4phcvfvzcxgi"))))
+        (base32 "1fcsbvmcjxriq4yllxv2h7i2p07caqgka39f04l7pvz4w9ha4s96"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "production_split"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2409,13 +2416,13 @@ quantity.")
 (define-public trytond-production-work
   (package
     (name "trytond-production-work")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_production_work" version))
        (sha256
-        (base32 "01a09snawlr224s5aqhrdkal14qry4hlfsglnsk09yzbw6fx196b"))))
+        (base32 "1bff8rfdrlx14ahjnmq3lw7z816qnk22cjk9wwmwkcpl99faw3bd"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "production_work"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2436,13 +2443,13 @@ work cost.")
 (define-public trytond-production-work-timesheet
   (package
     (name "trytond-production-work-timesheet")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_production_work_timesheet" version))
        (sha256
-        (base32 "1r7k25wddd381g0p5pj3m8jqvbg8g6ss0ifnhhjya3b6x0d41jz9"))))
+        (base32 "19d9sasviayn4vkbwgxmgqbn2fd61qqh4sk35vzlmkbwycrbczhi"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "production_work_timesheet"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2459,13 +2466,13 @@ entering a timesheet for production works.")
 (define-public trytond-project
   (package
     (name "trytond-project")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_project" version))
        (sha256
-        (base32 "1xlqzg07csr9a89jjgmk5n4d9dd2s3qahg2x8arf3vqqnrqw1g0f"))))
+        (base32 "0rr1ar7ah753afqi16yklirwv3ikmcv4xhnbv5vixna1kqhg8n43"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "project"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2481,13 +2488,13 @@ project and task and the basis for simple project management.")
 (define-public trytond-project-invoice
   (package
     (name "trytond-project-invoice")
-    (version "6.0.0")
+    (version "6.2.3")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_project_invoice" version))
        (sha256
-        (base32 "0wxgpsn5kwfz4f51icmc0p7r615lpr286ifwyz0xnd6rrh0glvmw"))))
+        (base32 "1hdyds6k2k0hjk8za8xa64qvqx9pnyv1a6g7mq80ag8hscx2s282"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "project_invoice"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2518,13 +2525,13 @@ methods on projects.  The methods are:
 (define-public trytond-project-plan
   (package
     (name "trytond-project-plan")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_project_plan" version))
        (sha256
-        (base32 "0yanvfmg4nmbc322h6w9m7asv4bm95y2wksi4rrvlbs84njgvhnq"))))
+        (base32 "1rijwxx1sypgv3fapw7sv0i6xbci2b6h3ij42aq693yvn0wm46q4"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "project_plan"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2539,13 +2546,13 @@ on top of the Project module.")
 (define-public trytond-project-revenue
   (package
     (name "trytond-project-revenue")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_project_revenue" version))
        (sha256
-        (base32 "0gji7kpq4l1smxvj6dqdpcyp2ml4ywfhagf6xm813y71mrlfvmka"))))
+        (base32 "0hpqwjpd6d0a291yssa8f0x89xxqvdzq8a3f10csibsq7bssqzki"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "project_revenue"))
     (native-inputs
@@ -2571,13 +2578,13 @@ the linked time sheets and the linked purchase lines.")
 (define-public trytond-purchase
   (package
     (name "trytond-purchase")
-    (version "6.0.2")
+    (version "6.2.3")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_purchase" version))
        (sha256
-        (base32 "12drjw30ik3alckn6xrny4814vzi3ysh17wgiawiy9319yahsvay"))))
+        (base32 "1lni31dhi1yrz0ga1l2268fyv564gsqiy1rjal8l765v40121q0p"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "purchase"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2604,13 +2611,13 @@ the linked time sheets and the linked purchase lines.")
 (define-public trytond-purchase-amendment
   (package
     (name "trytond-purchase-amendment")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_purchase_amendment" version))
        (sha256
-        (base32 "0bgk5ib7y1nzdrfx00g9qr2lxmjkascvh1caps21r12czz0iz5fx"))))
+        (base32 "0zprgfxpif2bbjbv8b4aci7s5si9sp3rjizr7nf31mvsjnwx7i06"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "purchase_amendment"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2637,13 +2644,13 @@ amendment is composed of action lines which can:
 (define-public trytond-purchase-history
   (package
     (name "trytond-purchase-history")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_purchase_history" version))
        (sha256
-        (base32 "18mb1vqmf9c934jp2qjwj4mi0sx99m8005vxc42mjj1f5qkxxsgg"))))
+        (base32 "0b72q0b41jfaahccdnya9amp5x4w90mlx4b32wdby96xvfi485ar"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "purchase_history"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2659,13 +2666,13 @@ time the purchase is reset to draft.")
 (define-public trytond-purchase-invoice-line-standalone
   (package
     (name "trytond-purchase-invoice-line-standalone")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_purchase_invoice_line_standalone" version))
        (sha256
-        (base32 "1qwa8a1vxalvb6r3d1w5wwpa9kx7w8c879x1zb4wwc9nqpdji8v0"))))
+        (base32 "169y69an6i796m8bmp8sanfn0qh7bcws8nangp96q07dsv51wrvb"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "purchase_invoice_line_standalone"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2682,13 +2689,13 @@ makes purchase to generate invoice lines instead of invoices.")
 (define-public trytond-purchase-price-list
   (package
     (name "trytond-purchase-price-list")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_purchase_price_list" version))
        (sha256
-        (base32 "0y54b677dy1jpmclgxvbzs2zsypzkyvmdbx1i58j16hs24l8h0c8"))))
+        (base32 "0xqry794l9vy5v5ck0qqy9yli57av4zzmpv1g8f9hkg7lm9ypg0v"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "purchase_price_list"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2708,13 +2715,13 @@ lists to be defined for suppliers.")
 (define-public trytond-purchase-request
   (package
     (name "trytond-purchase-request")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_purchase_request" version))
        (sha256
-        (base32 "0yhf3lh5b24qpk80r5pbmmswf5757bxa0s7ckl40vf6lkjkccv5i"))))
+        (base32 "0as8lb6bgjigpg926fjfyfy25758m45ihl1xish5vlfcxmccpyn3"))))
     (build-system python-build-system)
     ;; Doctest 'scenario_purchase_request.rst' fails.
     (arguments (tryton-arguments "purchase_request" "--no-doctest"))
@@ -2736,13 +2743,13 @@ generated by other process from Tryton.")
 (define-public trytond-purchase-request-quotation
   (package
     (name "trytond-purchase-request-quotation")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_purchase_request_quotation" version))
        (sha256
-        (base32 "12r34fawdsvxhaygs5nlnmx2a51x6yn0vgayj4qy083f4lv0mwml"))))
+        (base32 "08kcp88lfn8aa92cd07x5i5xbjznqy0x9lr34f07ky0i26nrnn72"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "purchase_request_quotation"))
     (native-inputs
@@ -2767,13 +2774,13 @@ supplier.")
 (define-public trytond-purchase-requisition
   (package
     (name "trytond-purchase-requisition")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_purchase_requisition" version))
        (sha256
-        (base32 "0hiz4q4cq7zz6xxl6bkk0vn71hc2wgasnhda5h41cmi69jphhzzk"))))
+        (base32 "0wm4xrxklwd5bbdzlwr5ca4h0zm6jx9pm08mspk15nbvf23qz5n3"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "purchase_requisition"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2798,13 +2805,13 @@ be created.")
 (define-public trytond-purchase-secondary-unit
   (package
     (name "trytond-purchase-secondary-unit")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_purchase_secondary_unit" version))
        (sha256
-        (base32 "0vyvdrshlikp9m3gxn1yyi15qxgih0cccxndr9d257fap9nilip5"))))
+        (base32 "04fnrim6dimrd63rqbqginlklpih7sb4x3zai5idxjn6hc1l398y"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "purchase_secondary_unit"))
     (native-inputs
@@ -2829,13 +2836,13 @@ the product with its factor against the purchase unit.")
 (define-public trytond-purchase-shipment-cost
   (package
     (name "trytond-purchase-shipment-cost")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_purchase_shipment_cost" version))
        (sha256
-        (base32 "0n54mkw8fbhyxn8sxrkn97bkx2c1j7bngsc7isc3md5c3kyi50nf"))))
+        (base32 "1xpkqicv32vrhi89wpn073bc58x6xl189yv0f7h1i9m9q613w9ps"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "purchase_shipment_cost"))
     (native-inputs
@@ -2857,13 +2864,13 @@ shipment costs to Supplier Shipment.")
 (define-public trytond-sale
   (package
     (name "trytond-sale")
-    (version "6.0.1")
+    (version "6.2.4")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale" version))
        (sha256
-        (base32 "0wk5lhj74vl7zs4l3x176iwfqr3jnq37xhiksgnajsrjrl54bgfg"))))
+        (base32 "124cx2h93dw61rnavc2q7isjy9008qc379g82myihq9gh4z6rbpr"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2891,13 +2898,13 @@ to be generated that contain aggregated sales figures.")
 (define-public trytond-sale-advance-payment
   (package
     (name "trytond-sale-advance-payment")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_advance_payment" version))
        (sha256
-        (base32 "1h7jjh0ddfhk8b2rlmizlv5x31k14zz0xccm846kc4idvcsaqcy4"))))
+        (base32 "00rlg4jax212qha2w6acris7knj3b17a0rrlm7xyw0bp2vfzgb69"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_advance_payment"))
     (native-inputs
@@ -2916,13 +2923,13 @@ for advance payment management on the sale.")
 (define-public trytond-sale-amendment
   (package
     (name "trytond-sale-amendment")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_amendment" version))
        (sha256
-        (base32 "1vkcyfp30hng2vj1h1pvwrlvp9b59pkzzlmgnj6gvs867l8f2zva"))))
+        (base32 "0mrnqlgihkvn4z2p1k90c9cha8kqa28ss1ycjzsalxmngnw27hfg"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_amendment"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2939,13 +2946,13 @@ composed of action lines which can:")
 (define-public trytond-sale-complaint
   (package
     (name "trytond-sale-complaint")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_complaint" version))
        (sha256
-        (base32 "0wbs7kawrzz39z0jw34ygdb85qja49xfb75ahbwgqd185wf3jvgz"))))
+        (base32 "172650xyn2k1ay6jd4vy6f71s9rfv8qalfx9j8jz0i4cn320z272"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_complaint"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2961,13 +2968,13 @@ composed of action lines which can:")
 (define-public trytond-sale-credit-limit
   (package
     (name "trytond-sale-credit-limit")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_credit_limit" version))
        (sha256
-        (base32 "1qj4lg5gjsqg27sv6l5afb3rgw46y008ywy6742w9ab6misy57dh"))))
+        (base32 "0rx3zi0m4cbpbmjlzkii08424yz68y31nqqkgj6rl9swaqins67h"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_credit_limit"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -2988,13 +2995,13 @@ credit limit of the party when confirming a sale.")
 (define-public trytond-sale-discount
   (package
     (name "trytond-sale-discount")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_discount" version))
        (sha256
-        (base32 "0ss976dcx6k2z2gdbhcgdp6d561b2vwwgf83xdl2pc28q2d3rmh6"))))
+        (base32 "1kbfbd5rmvaaf5wwvb1akxf7zij1bqpzx2s0dahjxcihxwwra2ib"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_discount"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3009,13 +3016,13 @@ line.")
 (define-public trytond-sale-extra
   (package
     (name "trytond-sale-extra")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_extra" version))
        (sha256
-        (base32 "0n6fxv573bszhfw1ik16y9754jfp6r2rrliprm6iv7v5ld3r1yqi"))))
+        (base32 "0j9ya68p6bfyr2ixh1dqfqnmfa4mn5ayf9hn5pfm2z7nih8bys3r"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_extra"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3035,16 +3042,18 @@ on sale based on criteria.")
 (define-public trytond-sale-gift-card
   (package
     (name "trytond-sale-gift-card")
-    (version "6.0.3")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_gift_card" version))
        (sha256
-        (base32 "0bbcgm7xs5hmn3axz62jkarhl9v43nk9mk9zldlf9qrfqy89fd80"))))
+        (base32 "0r395qj178f39lip8mkwhn9lakkh3700hlpcsd208d8wqqqmbf1n"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_gift_card"))
-    (native-inputs (%standard-trytond-native-inputs))
+    (native-inputs
+     `(,@(%standard-trytond-native-inputs)
+       ("trytond-sale-point" ,trytond-sale-point)))
     (propagated-inputs
      (list trytond
            trytond-account
@@ -3062,13 +3071,13 @@ and redeeming of gift cards.")
 (define-public trytond-sale-history
   (package
     (name "trytond-sale-history")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_history" version))
        (sha256
-        (base32 "1pp5lmmpiqakcmwxv392v1miiisbb0yl55gjb618ngx6ayrd0vdv"))))
+        (base32 "0snjdbhq5mf8j7z6i6yqk3kjl3mpjsdzwnh5bzcnax2n4zrscvxq"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_history"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3084,13 +3093,13 @@ time the sale is reset to draft.")
 (define-public trytond-sale-invoice-grouping
   (package
     (name "trytond-sale-invoice-grouping")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_invoice_grouping" version))
        (sha256
-        (base32 "1h8lcm8dg3i6644c50d9y1lca9x7k8l6cvwzkabvzixm54mflqsx"))))
+        (base32 "1c70s1lnxzhg6yqv7vjxyqvxp4myh26i9hnnf1k045d6hwf80hvf"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_invoice_grouping"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3106,13 +3115,13 @@ option to define how invoice lines generated from sales will be grouped.")
 (define-public trytond-sale-opportunity
   (package
     (name "trytond-sale-opportunity")
-    (version "6.0.1")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_opportunity" version))
        (sha256
-        (base32 "0rvj73382h2ha6jqhini0fzpn40w190qij1r7k2fa0c9ls15rrp5"))))
+        (base32 "05zliwc39zandn7amjzf1n7fqxq7yrwrx5b418ikh09pfz4alq21"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_opportunity"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3135,13 +3144,13 @@ lead/opportunity model.")
 (define-public trytond-sale-payment
   (package
     (name "trytond-sale-payment")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_payment" version))
        (sha256
-        (base32 "0i38766m9a0arhwybsqgk11zmmr982mmcsn0fswq695gb0zlwl0f"))))
+        (base32 "02zq3smfj55n70kqgipi2q869lp7hlfm0qbw74qx7pina28pipf4"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_payment"))
     (native-inputs
@@ -3159,13 +3168,13 @@ payments prior to the creation of any invoice.")
 (define-public trytond-sale-price-list
   (package
     (name "trytond-sale-price-list")
-    (version "6.0.1")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_price_list" version))
        (sha256
-        (base32 "0xg0i12a7billpdv13arvc3j5jsbn9gzis8snkl84315ayz3irq4"))))
+        (base32 "037h107wl3p3ig9w8db2878x80gzdf4dsa9wjrrcxdaz7yp7iwhn"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_price_list"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3181,13 +3190,13 @@ price list on sale.  A price list can be set per party or as default.")
 (define-public trytond-sale-product-customer
   (package
     (name "trytond-sale-product-customer")
-    (version "6.0.0")
+    (version "6.2.2")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_product_customer" version))
        (sha256
-        (base32 "0yys6mc52v62v51wkg3wngmz9jhqb2lq9v5jvb93j0yh5ah07a4v"))))
+        (base32 "01nyhimg00z33zzlxyg8incpfbgcqa7svmzzv5n0x2dafnx5n7wl"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_product_customer"))
     (native-inputs
@@ -3205,13 +3214,13 @@ customer's names and codes for products or variants.")
 (define-public trytond-sale-promotion
   (package
     (name "trytond-sale-promotion")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_promotion" version))
        (sha256
-        (base32 "1bvk14sjlqrlg2wakihrcbz8vl40hr6isbc3ijdsv5g1khl3j74i"))))
+        (base32 "1nd4f5j25v3g25hr0xr6kqzv0rqavnwkc5wyn8r0if1y9b2scwnc"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_promotion"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3232,13 +3241,13 @@ on a sale based on criteria.")
 (define-public trytond-sale-promotion-coupon
   (package
     (name "trytond-sale-promotion-coupon")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_promotion_coupon" version))
        (sha256
-        (base32 "1hkbsamsf6swx05ij2yh7b3nvmcnlvf9xbz9r7hfs6blx2jkxs3p"))))
+        (base32 "18086y4xszb5iq6v5ibq3kylzc3b8zbyn6pn6pm61mdbdpqav7mg"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_promotion_coupon"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3254,13 +3263,13 @@ to the promotions.")
 (define-public trytond-sale-secondary-unit
   (package
     (name "trytond-sale-secondary-unit")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_secondary_unit" version))
        (sha256
-        (base32 "0w7jw6ih4ypwqy83r5qrpclp3yalsrvnz65z2kn5yqaj95b4dpy8"))))
+        (base32 "0as7vc8wp2i3402h5r90zg6170y3av41a6k5ivdfbaxlhsjq8lxa"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_secondary_unit"))
     (native-inputs
@@ -3283,13 +3292,13 @@ unit is defined on the product with its factor against the sale unit.")
 (define-public trytond-sale-shipment-cost
   (package
     (name "trytond-sale-shipment-cost")
-    (version "6.0.1")
+    (version "6.2.2")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_shipment_cost" version))
        (sha256
-        (base32 "1h1qhp90f8mzx2px48fa8xsgwhbf2gkg8q94vghy696a3hh1xzxb"))))
+        (base32 "1r6jcsfxa2q448ks5s23apbj3b35rc5596qk7f3hzwiw6nm168k5"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_shipment_cost"))
     (native-inputs
@@ -3313,13 +3322,13 @@ cost for sale.")
 (define-public trytond-sale-shipment-grouping
   (package
     (name "trytond-sale-shipment-grouping")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_shipment_grouping" version))
        (sha256
-        (base32 "0n1h50j6c4za7a16pgn916cqjxxrd2qs16hb2h42wsp5p2bkfww2"))))
+        (base32 "0v8inxsgdhmkiaj0l3c2gjzbs96qbbxmbw67f14mx9axjvcvkkwy"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_shipment_grouping"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3335,13 +3344,13 @@ define how stock moves generated from sales will be grouped.")
 (define-public trytond-sale-shipment-tolerance
   (package
     (name "trytond-sale-shipment-tolerance")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_shipment_tolerance" version))
        (sha256
-        (base32 "0zigl695hyw7zyk86y1ng6mnvd9v8dbk05c5n6q14yvh4gz3ri5l"))))
+        (base32 "1vggdhnfg05dad2gmyi49ydhrq3sjqva4shn9zygj8fyjpkppx2y"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_shipment_tolerance"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3361,13 +3370,13 @@ raised.")
 (define-public trytond-sale-stock-quantity
   (package
     (name "trytond-sale-stock-quantity")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_stock_quantity" version))
        (sha256
-        (base32 "0xi79nmizly3hfc1ppcid622nvby50524jflisfvmjb651ixpfl8"))))
+        (base32 "0bn06a752rp16ki5xa0dr3in5xj1hry6020qgz6mji8kxl24v7sv"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_stock_quantity"))
     (native-inputs
@@ -3387,13 +3396,13 @@ stock forecasts.")
 (define-public trytond-sale-subscription
   (package
     (name "trytond-sale-subscription")
-    (version "6.0.1")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_subscription" version))
        (sha256
-        (base32 "092ljl0ywybwchp4qfki752nclqc6hkx2h99cd1h3g998jv3l72x"))))
+        (base32 "095zdy6031lqffm3yddhsrv93dl2dgqjpbskp539knvd72bdaqdd"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_subscription"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3414,13 +3423,13 @@ services and recurrence rule models.")
 (define-public trytond-sale-subscription-asset
   (package
     (name "trytond-sale-subscription-asset")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_subscription_asset" version))
        (sha256
-        (base32 "1j160sqfvzqv0ah85w2bsc4fixrxhzjq0lbin2bgasmdm3yqfqdj"))))
+        (base32 "0bkksk3l3ydxmqglsrrqgwgrak6iwc740vmj0dpw93h4f127haiv"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_subscription_asset"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3436,13 +3445,13 @@ notion of asset to the sale subscription module.")
 (define-public trytond-sale-supply
   (package
     (name "trytond-sale-supply")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_supply" version))
        (sha256
-        (base32 "0lk4pj2fr1q603wnia96i7fzym8pncpvy0hg41q4dkr380nm3qzs"))))
+        (base32 "05ik819spy8jmc5k10mki6kxdjxdqrr4x0g3rgvvlnmadn5igykf"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_supply"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3462,13 +3471,13 @@ supply method.")
 (define-public trytond-sale-supply-drop-shipment
   (package
     (name "trytond-sale-supply-drop-shipment")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_supply_drop_shipment" version))
        (sha256
-        (base32 "0gm2m5zm7vrm1vb34svqby7h91ka3mhln3367zmwr17yfyqf68dk"))))
+        (base32 "1i3a8amm3nacc7wis3amr4z9pl47sjzy7gds5qv1xg3fl1awm4ic"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_supply_drop_shipment"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3494,13 +3503,13 @@ shipment is created and linked to both the purchase and the sale.")
 (define-public trytond-sale-supply-production
   (package
     (name "trytond-sale-supply-production")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_sale_supply_production" version))
        (sha256
-        (base32 "03v702r4sfmql5yv6414gi2y72psvr3zq3xmx049w5nsywc2585v"))))
+        (base32 "08ky3mqprlqyksw91mqlb7mjkfpdrgzgnc862wm2q28s0aydn3dv"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "sale_supply_production"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3520,13 +3529,13 @@ back to the default supply method.")
 (define-public trytond-stock
   (package
     (name "trytond-stock")
-    (version "6.0.6")
+    (version "6.2.7")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock" version))
        (sha256
-        (base32 "1v6pvkwj6vhjqbz2zn0609kb7kx4g0dsn1xhvax4z2dqigh7ywpx"))))
+        (base32 "02klx6qk2vrwiynxcdjnpqx593wr1wjg9sygh5zjzrqqwmjb16yi"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3552,13 +3561,13 @@ inventory to control and update stock levels.")
 (define-public trytond-stock-assign-manual
   (package
     (name "trytond-stock-assign-manual")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_assign_manual" version))
        (sha256
-        (base32 "0106x21ncxiyd4jsbdapmf6gfix6infjf59807j2lqmrblb3z25f"))))
+        (base32 "0jn5rbbgmr7jnddrbmy49r2vpfbbfsrgx1bkgjkg687d922lwnrh"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_assign_manual"))
     (native-inputs
@@ -3576,13 +3585,13 @@ location to pick products.")
 (define-public trytond-stock-consignment
   (package
     (name "trytond-stock-consignment")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_consignment" version))
        (sha256
-        (base32 "0c2wa0d8msam77nd4c79f71jaznsprnlvv1jqrmkl1qf3lvgq4a2"))))
+        (base32 "0c26gvqmh98hj7zp1kx3q30wdwnvy8j101m9kmsi21j9n2nw7maj"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_consignment"))
     (native-inputs
@@ -3606,13 +3615,13 @@ consignment stock from supplier or at customer warehouse.")
 (define-public trytond-stock-forecast
   (package
     (name "trytond-stock-forecast")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_forecast" version))
        (sha256
-        (base32 "1l3ks2jbz95qqbv9jsvakrxgazyq1kkk3fspwvrg1d10rv6xmb58"))))
+        (base32 "19w4q71rm4j0rlsdp6d2ykyjcdkrvq5mjlprsdk6890dmnxm6czx"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_forecast"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3628,13 +3637,13 @@ other stock mechanisms to anticipate customer demand.")
 (define-public trytond-stock-inventory-location
   (package
     (name "trytond-stock-inventory-location")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_inventory_location" version))
        (sha256
-        (base32 "0mvgday5qhmx89xikklr2ad2xa7zxkiysxa2bqsf76imvx4801q6"))))
+        (base32 "1x35rq6hzxb9wzsflvlsbl1fjgqcp6byrj4rk20fvgbhnv02s4x0"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_inventory_location"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3650,13 +3659,13 @@ wizard \"Create Inventories\" under the \"Inventories\" sub-menu.")
 (define-public trytond-stock-location-move
   (package
     (name "trytond-stock-location-move")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_location_move" version))
        (sha256
-        (base32 "1mljb97abwcmsl3zmz20b2kfa8wm9q405kr1lag7j5587j2b2h6f"))))
+        (base32 "07f0xq26wc0vpxf94655gsya3nxsa2xpi6v1c74q5a2qan4gkv9k"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_location_move"))
     (native-inputs
@@ -3674,13 +3683,13 @@ defining some Locations as movable
 (define-public trytond-stock-location-sequence
   (package
     (name "trytond-stock-location-sequence")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_location_sequence" version))
        (sha256
-        (base32 "0lpvgk5s7v30c0hicqc2m6apv8gzd1d6229yv1lrp2g62yp9pa9f"))))
+        (base32 "0ab2jf36mmbkg0hrhwrmpjh5m9kpl60mz1gdkb2zhv629z9bxr13"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_location_sequence"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3696,13 +3705,13 @@ ordering to location.")
 (define-public trytond-stock-lot
   (package
     (name "trytond-stock-lot")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_lot" version))
        (sha256
-        (base32 "18cwrvnrzjk1wb765gr6hp3plpdpwz1a7cwimjhxi47iw7w5c84g"))))
+        (base32 "0z0ligvgvm2py794sg2ay5r47pm30m890lmfp2jvdr3vjbq3f1a3"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_lot"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3720,13 +3729,13 @@ ordering to location.")
 (define-public trytond-stock-lot-sled
   (package
     (name "trytond-stock-lot-sled")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_lot_sled" version))
        (sha256
-        (base32 "1x8sjhgbakqbgfhrrl7b1b0961riqibs6q6lmgmyrvjyrxx0hpig"))))
+        (base32 "14bx84snw6kd896h6gdd825qrg2p7nmm341xl8qvrpn34jq3p2p1"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_lot_sled"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3743,13 +3752,13 @@ it is no more used to compute the forecast quantity of the stock.")
 (define-public trytond-stock-lot-unit
   (package
     (name "trytond-stock-lot-unit")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_lot_unit" version))
        (sha256
-        (base32 "1acvrj9af83gmfcp7kgyi37kv3v5910rh1q73scd37xbv7h8dyrm"))))
+        (base32 "1m6vbz57y0yrjv4z447gggqgcwd6dzk0hrycv5zvbq4h1kscrh6z"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_lot_unit"))
     (native-inputs
@@ -3766,13 +3775,13 @@ unit and quantity on stock lot.")
 (define-public trytond-stock-package
   (package
     (name "trytond-stock-package")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_package" version))
        (sha256
-        (base32 "1jbpl141wyc19v27bcyqsph8p2zf9yqprm55yl642mvwq55bshq8"))))
+        (base32 "1jy7qz62h29rf10mjr9d9pm6g53ira26m77iccs0cwv3qlrv87rg"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_package"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3787,13 +3796,13 @@ packaging information about customer and supplier return shipments.")
 (define-public trytond-stock-package-shipping
   (package
     (name "trytond-stock-package-shipping")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_package_shipping" version))
        (sha256
-        (base32 "09j7v64wmpiw1bh9byjq4shsd5474rq0mfx7wwak8hn0v5ni7imn"))))
+        (base32 "0j902bvkmfhn353z6dgfbik7jh5yps13jz4dq785rqj2ia5az9iq"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_package_shipping"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3802,9 +3811,9 @@ packaging information about customer and supplier return shipments.")
            trytond-carrier
            trytond-product
            trytond-product-measurements
-           trytond-sale-shipment-cost
            trytond-stock
            trytond-stock-package
+           trytond-stock-shipment-cost
            trytond-stock-shipment-measurements))
     (home-page
      "https://docs.tryton.org/projects/modules-stock-package-shipping")
@@ -3816,13 +3825,13 @@ interact with shipping service providers.")
 (define-public trytond-stock-package-shipping-dpd
   (package
     (name "trytond-stock-package-shipping-dpd")
-    (version "6.0.0")
+    (version "6.2.3")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_package_shipping_dpd" version))
        (sha256
-        (base32 "11jn2i7gkxj4nck5fkp0j8n8r6vhsv26rcnmmmmdh1iqji7cv8yf"))))
+        (base32 "0q7g5qg9j32kn51yigiahd939k2x9gfsnb8k6kinyc9vhq3anbkx"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_package_shipping_dpd"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3841,13 +3850,13 @@ different web services, the module supports:")
 (define-public trytond-stock-package-shipping-ups
   (package
     (name "trytond-stock-package-shipping-ups")
-    (version "6.0.1")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_package_shipping_ups" version))
        (sha256
-        (base32 "1dw6amd1kvpsldk14m656c0hpazf1ljzz2zri00nqq11d9x8xab5"))))
+        (base32 "198i6fdb9ghcsd7z1cb1f3m261dl9w9hxmzzvs7h51f2lbw07n58"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_package_shipping_ups"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3870,13 +3879,13 @@ you to generate the UPS labels per package using the UPS webservices.")
 (define-public trytond-stock-product-location
   (package
     (name "trytond-stock-product-location")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_product_location" version))
        (sha256
-        (base32 "1r0a9pkyjh1n0xhax583v80fawnszxaf9q8r3851325an2rmndx8"))))
+        (base32 "18r7j40zdbva8rcxyhianjwb7m30db7qf85709kivvbvbk93rabh"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_product_location"))
     (native-inputs
@@ -3897,13 +3906,13 @@ warehouse.")
 (define-public trytond-stock-quantity-early-planning
   (package
     (name "trytond-stock-quantity-early-planning")
-    (version "6.0.0")
+    (version "6.2.2")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_quantity_early_planning" version))
        (sha256
-        (base32 "05djbhz82wjkgvfvlzkhzi94nfg0cif3jfmh1jv0zixzfv87chqs"))))
+        (base32 "04fj6h21kl4ab8vl1w9vhnvsxgjg6qd1gxcf1i6r7pfsbhjz8gfj"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_quantity_early_planning"))
     (native-inputs
@@ -3921,13 +3930,13 @@ reducing stock level by proposing to consume earlier.")
 (define-public trytond-stock-quantity-issue
   (package
     (name "trytond-stock-quantity-issue")
-    (version "6.0.1")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_quantity_issue" version))
        (sha256
-        (base32 "1fk250l09l2q4jcx1vh9nkkpn419ng993bkp2bmk6dpk7xs1qv0v"))))
+        (base32 "0ig2lix5qw8ql1gax8dymwc7advmf9x3xc8djhw5sgb8v0bvknrv"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_quantity_issue"))
     (native-inputs
@@ -3944,13 +3953,13 @@ stock quantity issues.")
 (define-public trytond-stock-secondary-unit
   (package
     (name "trytond-stock-secondary-unit")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_secondary_unit" version))
        (sha256
-        (base32 "0s4nryiirdbndm2sz5aqpk2mzw9zxah92gmh6433sj5zyc6a22if"))))
+        (base32 "0ihhgf4xs5rrf12v9mfj4rpsxjrqfl7schp3r66cdmrm0ccnrj29"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_secondary_unit"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -3965,18 +3974,18 @@ secondary unit of measure on the stock move.")
 (define-public trytond-stock-shipment-cost
   (package
     (name "trytond-stock-shipment-cost")
-    (version "6.0.1")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_shipment_cost" version))
        (sha256
-        (base32 "13c940pz5ivqj9qk6b5nbid2xfkjnnijjmbz1bn7ic7ydfpiqy8j"))))
+        (base32 "0abl4lw0mz7c1chv5c5r3341cqcfz49nw00g9y12kxbxib17h3fc"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_shipment_cost"))
     (native-inputs (%standard-trytond-native-inputs))
     (propagated-inputs
-     (list trytond trytond-product trytond-stock))
+     (list trytond trytond-carrier trytond-product trytond-stock))
     (home-page "https://docs.tryton.org/projects/modules-stock-shipment-cost")
     (synopsis "Tryton module for stock shipment cost")
     (description "The @emph{Stock Shipment Cost} Tryton Module adds a shipment
@@ -3987,13 +3996,13 @@ price.  This cost is added to the product margin reports.")
 (define-public trytond-stock-shipment-measurements
   (package
     (name "trytond-stock-shipment-measurements")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_shipment_measurements" version))
        (sha256
-        (base32 "1h9ijs7yc0013w7cwa4i7ny3dndbgycxxpkai7qw0ygqf9ajmh8c"))))
+        (base32 "0a2p3c1780waa779kx24vpknjr9g6z8097ika9kl047xzdnw4n00"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_shipment_measurements"))
     (native-inputs
@@ -4013,13 +4022,13 @@ measurement and the quantity of their moves.")
 (define-public trytond-stock-split
   (package
     (name "trytond-stock-split")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_split" version))
        (sha256
-        (base32 "0ynvmmdxgzgg6mn8ckhl7jr9ircq4bpwsl0xpzk83r6mhlvlrxpm"))))
+        (base32 "1gqbkncdg084cxfsq7vc4ikvdajd2akbl2ryi3awh5xs7phrpabf"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_split"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -4036,13 +4045,13 @@ there can be a move with the remaining quantity.")
 (define-public trytond-stock-supply
   (package
     (name "trytond-stock-supply")
-    (version "6.0.1")
+    (version "6.2.2")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_supply" version))
        (sha256
-        (base32 "1p5l3yjjy6l25kk9xnhbl691l3v8gfg9fhc87jc6qszhxlqxk730"))))
+        (base32 "1kb6rnb1xk8hnqr9znfpgh8m66590zqbar62xr7094bwaym2ymaa"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_supply"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -4067,13 +4076,13 @@ mechanisms and introduces the concepts of order point.")
 (define-public trytond-stock-supply-day
   (package
     (name "trytond-stock-supply-day")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_supply_day" version))
        (sha256
-        (base32 "1b6q2zk0qnsxdhlqgsnb49prgn6sgqlpr84vy31a2p83mwiz0fqr"))))
+        (base32 "112xzrzw2k4badync2qd9aanvni43nh86qhrdh754f311km5gh7q"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_supply_day"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -4090,13 +4099,13 @@ a supplying may happens at any day of the week.")
 (define-public trytond-stock-supply-forecast
   (package
     (name "trytond-stock-supply-forecast")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_supply_forecast" version))
        (sha256
-        (base32 "0i5dc9ddd6mfx3zjlcq16isw52b8qy7igaj2lv8jqvkdrc19yfha"))))
+        (base32 "0b7d8csjcn74086wgm6cydirsl1ygrd9hysd7l4kmd3jz8bb8dzs"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_supply_forecast"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -4112,13 +4121,13 @@ forecast into account to compute purchase requests.")
 (define-public trytond-stock-supply-production
   (package
     (name "trytond-stock-supply-production")
-    (version "6.0.1")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_stock_supply_production" version))
        (sha256
-        (base32 "1qyvj61hwn3xgjqagnr7d28qkiniw5fp0b5vmn9wii9grf7p4m8d"))))
+        (base32 "03cs9g9yfw885ia03x2lxkpjnh919ynizimvvx1jay62i3adk7a2"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "stock_supply_production"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -4135,13 +4144,13 @@ supply mechanisms via production request.")
 (define-public trytond-timesheet
   (package
     (name "trytond-timesheet")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_timesheet" version))
        (sha256
-        (base32 "0airh5jvcdjbkb71p684dr5qgsnpam2hhmq6gswclgnx3nd1lz6a"))))
+        (base32 "0lbdb0743mj33vrzrb3fq93d3ksj3395d7q0ivbplp1nn3hrh6sq"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "timesheet"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -4158,13 +4167,13 @@ periods.")
 (define-public trytond-timesheet-cost
   (package
     (name "trytond-timesheet-cost")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_timesheet_cost" version))
        (sha256
-        (base32 "0pjsdgad2plbx8k6mh6mpa6qbz6lp30nnpv7ydyz0gsgb6jz7li6"))))
+        (base32 "1b1xi7fa371kdsci0naskspvznswb8z8yay7nrzzi8rv622g0cjw"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "timesheet_cost"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -4179,13 +4188,13 @@ employee.")
 (define-public trytond-user-role
   (package
     (name "trytond-user-role")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_user_role" version))
        (sha256
-        (base32 "11sjz46kagrpig5n05pp52yph4z0l1zm140q9wsagjcmzkx7s6gf"))))
+        (base32 "0kx6vqmhny8xjzm2wsy0kf14ybgcdig1cjhyir9b0v11fbavhbw7"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "user_role"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -4202,18 +4211,19 @@ user for a period of time only.")
 (define-public trytond-web-shop
   (package
     (name "trytond-web-shop")
-    (version "6.0.2")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_web_shop" version))
        (sha256
-        (base32 "0gnq9hyx4x681hcmqsm2d6rga7chbaf2r2k2nmnkjq6izg5ivas2"))))
+        (base32 "182mawahm74lkns2cpy9lrczhllpa8p8np1d7k9agv9kypaqq582"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "web_shop"))
     (native-inputs
      `(,@(%standard-trytond-native-inputs)
-       ("trytond-product-attribute" ,trytond-product-attribute)))
+       ("trytond-product-attribute" ,trytond-product-attribute)
+       ("trytond-product-image" ,trytond-product-image)))
     (propagated-inputs
      (list trytond
            trytond-account
@@ -4232,21 +4242,23 @@ configuration of an online web shop.")
 (define-public trytond-web-shop-vue-storefront
   (package
     (name "trytond-web-shop-vue-storefront")
-    (version "6.0.2")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_web_shop_vue_storefront" version))
        (sha256
-        (base32 "0hccvk5i2qrczvbm66mnp8vcgr9zbnwqmbqmavqlkk7r7bqa1gch"))))
+        (base32 "18rc77crfdckzxcz5wryqk0iqccm3mx2a6b956274643sa8kbhvs"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "web_shop_vue_storefront"))
     (native-inputs
      `(,@(%standard-trytond-native-inputs)
        ("trytond-carrier" ,trytond-carrier)
        ("trytond-product-attribute" ,trytond-product-attribute)
+       ("trytond-product-image" ,trytond-product-image)
        ("trytond-sale-promotion-coupon" ,trytond-sale-promotion-coupon)
-       ("trytond-sale-shipment-cost" ,trytond-sale-shipment-cost)))
+       ("trytond-sale-shipment-cost" ,trytond-sale-shipment-cost)
+       ("trytond-stock-shipment-cost" ,trytond-stock-shipment-cost)))
     (propagated-inputs
      (list python-elasticsearch
            python-stdnum
@@ -4266,13 +4278,13 @@ Vue Storefront 1.x.")
 (define-public trytond-web-shop-vue-storefront-stripe
   (package
     (name "trytond-web-shop-vue-storefront-stripe")
-    (version "6.0.1")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_web_shop_vue_storefront_stripe" version))
        (sha256
-        (base32 "0j4yv9q0f39bkyqlcn7kpnlqi9wc4qfjs8zic69za6xw2c86zgzm"))))
+        (base32 "0qzcflcrkd35da9vb9gl9mnxg7dis1sz9kp9hb6hbnmyjbhdz17k"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "web_shop_vue_storefront_stripe"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -4289,13 +4301,13 @@ provides support of Stripe payment for Vue Storefront integration.")
 (define-public trytond-web-shortener
   (package
     (name "trytond-web-shortener")
-    (version "6.0.0")
+    (version "6.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_web_shortener" version))
        (sha256
-        (base32 "0vxwnsy7xzxawn7fmm6ykdrhih6ahrwwx6fzd6kz7qbwh4nmqcpk"))))
+        (base32 "0mjcp97f5dh6lzgw4yhd7k01jlmaga1jvsc07as1snz9y7r06kpk"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "web_shortener"))
     (native-inputs (%standard-trytond-native-inputs))
@@ -4311,13 +4323,13 @@ optionally triggers action.")
 (define-public trytond-web-user
   (package
     (name "trytond-web-user")
-    (version "6.0.0")
+    (version "6.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trytond_web_user" version))
        (sha256
-        (base32 "1k07d1kcfm2hwwqcyy8k5mjbhhgrnji0hadn487zsx1zp50r6rds"))))
+        (base32 "04b3mb4kxibz073746c90i9k4gsc3vnnk47fcn4wqj2b2wq6smng"))))
     (build-system python-build-system)
     (arguments (tryton-arguments "web_user"))
     (native-inputs (%standard-trytond-native-inputs))
-- 
2.30.4





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at 56706 <at> debbugs.gnu.org:


Received: (at 56706) by debbugs.gnu.org; 22 Jul 2022 15:48:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:48:14 2022
Received: from localhost ([127.0.0.1]:42278 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEusw-0003pQ-4g
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:14 -0400
Received: from mout.kundenserver.de ([212.227.126.135]:44649)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEust-0003oq-WB
 for 56706 <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:48:12 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue009 [212.227.15.167]) with ESMTPSA (Nemesis)
 id 1N3Kc6-1nWC960LVC-010OL9 for <56706 <at> debbugs.gnu.org>; Fri, 22 Jul 2022
 17:48:06 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 910A065EE9;
 Fri, 22 Jul 2022 17:48:14 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 56706 <at> debbugs.gnu.org
Subject: [PATCH 01/17] gnu: Add python-pycountry@HIDDEN
Date: Fri, 22 Jul 2022 17:47:47 +0200
Message-Id: <fa585efd362e6bff7d6de8a2e87a11513fd61243.1658504593.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
In-Reply-To: <cover.1658504593.git.h.goebel@HIDDEN>
References: <cover.1658504593.git.h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:0RY+vmTzERqTp4LClcssTPxKcivQ5+4ZzBdlBglXFZnFqmK7G3L
 c1bfVNl/sz6jBkJRFmdylHDMU/zHgUz1D7q7u9OllGbHVjUNBoZjSs0GIN4NV+GLJcs/wLq
 sv57bJlorQqGpIKw3s466MI8UXnZnHQzWE4VJWUW1RvA73WCd2vnQ7odMdncVc6lzFKn/7t
 3L/G1yTednRmYEK3DnzCA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:SNax804bacg=:SVKbFFMgDppaShiTqQN7tm
 2SKvvoTR7eGSqNOO71oLJHtbxl1AYf8qpg54SN41DSWR3SnvQ1bY7Jpc+70zS7nGdYTcLbg+B
 n9NPJrKLCXoYQ/vyGwOGK0Aj8A/h65lASR9+G6z2cnaLjSk/NHRV/vaqb9b+HaeOK8neIgCC7
 Kmx9aSMXTiNWPQZL9oZT0XjGr3MFe+C1E10qjrY8uOBMVvf8Qw0PqnhtlufS9XvGHBkAJAeqQ
 cgCKtcDN4vm6+zwbG11/SRe4Mzuua+yAXHnqr46sp46mJgvOi5OlEZ6Wjl6MGfsmdzwVcco0o
 gyslDh+xzn7nd/WZ6sST+likGYaGuambdn1eUNXIWeBhxIgd6Nb+5nLqoc/5dmeIgHytqXuAC
 q6LeTpJ5wGW0/YMP171ac0YmzgU57gHGtpFTISNmHpnML1NlcwTOJKmOHTBaff4Ib5zwByXbX
 NUw7Nv4xdOGA8Me0ymUlDz/qiNpalrZ8JBl2j7d6Sa2/w+VBXrTZNQfu+BIjsgggw+pIhQrWN
 eciuOgourPC394Ywmz3Wb7cptDksyxgQVamP8o7RVftLNZn7lcnYSN8SHVNBGOO3mdTn9CTum
 BmMUas6wACl4qjWWPUPg23nWpA04WKpL2ttYAAGteD8gjx5pzAa31Y+K294wktnlebypjilwq
 NSG1sOdn3TQaAMbdySo/UXzLOHyr3oNebbHnusA3+y/e/Bo6lNRmWZaN25C41ZPA60BrBI3kK
 C7/mzUJ5lR3o/GWHewyABdF/vONjnih/BMLE4LmGZA9NDAi94yZBYzEr55c=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56706
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This old version is required by Tryton.

* gnu/packages/python-xyz.scm (python-pycountry@HIDDEN): New variable.
---
 gnu/packages/python-xyz.scm | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 4494735c97..ee733f85af 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -18818,6 +18818,18 @@ from the header, as well as section details and data available.")
      through a Python API.")
     (license license:lgpl2.1+)))
 
+(define-public python-pycountry@HIDDEN
+  (package
+    (inherit python-pycountry)
+    (name "python-pycountry")
+    (version "20.7.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "pycountry" version))
+       (sha256
+        (base32 "0hnbabsmqimx5hqh0jbd2f64i8fhzhhbrvid57048hs5sd9ll241"))))))
+
 (define-public python-pycosat
   (package
     (name "python-pycosat")
-- 
2.30.4





Information forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Jul 2022 15:46:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 11:46:13 2022
Received: from localhost ([127.0.0.1]:42273 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oEuqz-0003jN-Mh
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:46:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:43604)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1oEuqw-0003jB-UD
 for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 11:46:12 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49108)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <h.goebel@HIDDEN>)
 id 1oEuqv-0002WM-K9
 for guix-patches@HIDDEN; Fri, 22 Jul 2022 11:46:10 -0400
Received: from mout.kundenserver.de ([212.227.17.13]:37693)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <h.goebel@HIDDEN>)
 id 1oEuqq-00060l-Mh
 for guix-patches@HIDDEN; Fri, 22 Jul 2022 11:46:08 -0400
Received: from hermia.goebel-consult.de ([46.87.142.64]) by
 mrelayeu.kundenserver.de (mreue106 [212.227.15.183]) with ESMTPSA (Nemesis)
 id 1MScox-1o4APx1FPd-00SvRj for <guix-patches@HIDDEN>; Fri, 22 Jul 2022
 17:46:00 +0200
Received: from lenashee.fritz.box (lenashee.goebel-consult.de [192.168.110.2])
 by hermia.goebel-consult.de (Postfix) with ESMTP id C517A65EE9;
 Fri, 22 Jul 2022 17:46:08 +0200 (CEST)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 00/17] Update Tryton to 6.2.
Date: Fri, 22 Jul 2022 17:45:58 +0200
Message-Id: <cover.1658504593.git.h.goebel@HIDDEN>
X-Mailer: git-send-email 2.30.4
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K1:tIngFuqFzB0YDda1raBiMXdqDJLQDg/cEDjhie6xN6Xbc6+Hxa/
 nDhcCkLI84npMgV3cpwTZ1CRbgiT3PpczZHr+8kScv8IpYPqMtcI0tv0yvMc+4yzAOtPHwP
 xwNUCJxyyPjN/GoM8EoyWd4wfw6Esbg3zfix5ylKPNIIRgZNCCysTssGTBie8iBEYWY/eeQ
 Wjce6QCOEJTi434wmqVMQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:afN3VXwSpgc=:0l1xmznM7eeA2rDm0FBonV
 tpaYcCmYDSCmv4DyWmEc48Ak4Hphtl/tkINT79int2aV8UuOfcxursS8hlRvuifdxuCo97BWa
 jnhBt+Tpl4kpEWJiFaXRPhW/MHhFpl/QULd5aouFnEAPH1bqNWVIY6IMBEDf5sJutTjjrf3me
 IV+gvVnzfW6Mnc5S3XjHSbedToWoYE5hGgCFONGuKX3uYCdQasRVSaEBkxmFO7zwTVw6rKP0g
 zmElNpCOB8CbniZNC+8WW3rQyTXwizpsQRI2VJSrG9KUT9cOSrCJVFthlkJ+A45hmJ+eyqGsP
 ZzYqKytySEw9CtmGr8++Jr4P69u6YzdcoX0ahfAD2LfDJbAhHYweipbNyaybCy5GKxgM5zIgt
 q662kbYZhjmgpIar+FVDO9S6ab7Wh2WO0hF+tU7uFtoGGq/njd/QhJgNhIBkjaS1ZeRN2s5//
 8w2edlR+wheHYUQrhe3HMRTTnxi9MG7QdmumYYdIQxOLU1r2Txny6ARUu9UUd0+HeER3zY4me
 unaFdGFRsBys5OQv20EuowvkrBuLlp9xGGEB8AkUdzPD9IP4ZrTAjTmiQEG9cNHGD6i3ugVJV
 QYd/JAvBZPKRVcgy6+na2iQhBAVnwmJZowhRL9xuVW0ULtvaZ41Xbmu/tVBw39xs3hSFk+CBX
 Cn6Gy4TXVeH1Pk1ST4bQpDXH4Y22XRI3WUs1s15mtEdgN8pNlTIPy5EIEsJQIT8hjnZyXsq/w
 9M98LUBSpRjOuJB8q0Giwzmb+11vVaotblXlbPr50Xe+HKJM1aCJ6Lw1ggg=
Received-SPF: none client-ip=212.227.17.13;
 envelope-from=h.goebel@HIDDEN; helo=mout.kundenserver.de
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_MSPIKE_H2=-0.001,
 SPF_HELO_NONE=0.001, SPF_NONE=0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Update all existing Tryton packages to the latest 6.2.x version and add the
latest version of all Tryton modules new in 6.2.

This needs to be applied after issue 56701.

Hartmut Goebel (17):
  gnu: Add python-pycountry@HIDDEN
  gnu: Tryton application and framework: Update to 6.2.x.
  gnu: Add trytond-account-budget.
  gnu: Add trytond-account-move-line-grouping.
  gnu: Add trytond-account-rule.
  gnu: Add trytond-account-stock-shipment-cost.
  gnu: Add trytond-analytic-budget.
  gnu: Add trytond-currency-ro.
  gnu: Add trytond-currency-rs.
  gnu: Add trytond-product-image.
  gnu: Add trytond-product-image-attribute.
  gnu: Add trytond-sale-point.
  gnu: Add trytond-stock-package-shipping-mygls.
  gnu: Add trytond-stock-package-shipping-sendcloud.
  gnu: Add python-pyactiveresource.
  gnu: Add python-shopifyapi.
  gnu: Add trytond-web-shop-shopify.

 gnu/packages/python-web.scm |   50 ++
 gnu/packages/python-xyz.scm |   12 +
 gnu/packages/tryton.scm     | 1010 +++++++++++++++++++++++------------
 3 files changed, 724 insertions(+), 348 deletions(-)


base-commit: e69a3a260b8e679657cd55f1367717bac3315b90
-- 
2.30.4





Acknowledgement sent to Hartmut Goebel <h.goebel@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#56706; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 10 Aug 2022 12:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.